2005-12-24 Perry Rapp

	* ChangeLog README.MAINTAINERS

	Fix path of invocation example for setversions.sh.

	*  ChangeLog INSTALL NEWS README configure.in
	build/msvc6/dbverify/dbVerify.rc build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc build/rpm/lifelines.spec
	docs/btedit.1 docs/dbverify.1 docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml docs/llines.1
	src/hdrs/version.h

	Bumping versions to 3.0.50 for new release.

	* docs/ll-reportmanual.html docs/ll-reportmanual.pdf
	docs/ll-reportmanual.txt docs/ll-userguide.html
	docs/ll-userguide.pdf docs/ll-userguide.txt

	Generating new manuals for version 3.0.50.

2005-12-22 Stephen Dum
	* ChangeLog configure.in

	has_key function was not being properly detected in config file.
	moved check for it below check for curses libraries.

	* ChangeLog docs/ll-reportmanual.xml reports/htmlahnen.ll

	Add some text to the report template about how the description is 
	extracted for index.html.  Fix a syntax error in htmlahnen.ll

2005-12-22 Perry Rapp

	* ChangeLog docs/ll-reportmanual.xml

	Fix invalid xml ("&" => "and").

2005-12-21 Stephen Dum
	* ChangeLog build/rpm/lifelines.spec src/stdlib/path.c
	docs/ll-reportmanual.{xml,html,pdf,txt}
	docs/ll-userguide.{xml,html,pdf,txt}
	Makefile.am

	Update lifelines.spec file to include:
	tt files, new .mo files and .linesrc file
	export lines.cfg.input to source distribution
	update docs with some codeset information.
	Fix bug handling adding default extensions to short filenames
 
2005-12-22 Perry Rapp

	* ChangeLog src/hdrs/sys_inc.h

	Define M_PI if needed for WIN32/MSVC.

2005-12-21 Stephen Dum
	* ChangeLog docs/ll-reportmanual.xml src/gedlib/xlat.c
	src/interp/builtin.c src/stdlib/path.c

	fix llrpt_bytecode() function to actually process second argument
	rather than 1st argument twice.
	change bytecode docs to match code.
	add some TTPATH.debug enabled debug statements
	
2005-12-21 Matt Emmerton

	* ChangeLog reports/st/Makefile.am

	Fix clean target so that scripts and databases are not removed.

2005-12-21 Perry Rapp

	* ChangeLog sys/hdrs/sys_inc.h

	Fix backward int32 & int16 defines.

2005-12-21 Matt Emmerton

	* ChangeLog sys/hdrs/sys_inc.h

	Fix INT-related ifdef problems on Windows.

2005-12-21 Perry Rapp

	* ChangeLog src/hdrs/sequence.h src/liflines/screen.c
	src/liflines/tandem.c src/liflines/valgdcom.c
	src/stdlib/sequence.c src/stdlib/strcvt.c

	Fix declaration of seqerr (int => INT).
	Fix definition of crtseq (int => INT).
	Fix definition of ll_tolowerz (int => INT).
	Fix definition of handle_list_commands (BOOLEAN => INT rtn).
	Fix definition of variable reuse (INT => BOOLEAN).
	Fix definition of validate_get_warning_count (BOOLEAN => INT rtn).

2005-12-20 Stephen Dum

	* ChangeLog docs/ll-reportmanual.{xml,html,txt,pdf}

	Update report manual for new trig functions.

	* ChangeLog reports/Makefile.am

	remove reference to novel.head from Makefile.am

2005-12-20 Matt Emmerton

	* ChangeLog src/interp/builtin.c src/interp/functab.c
	src/interp/heapused.c src/interp/interpi.h src/interp/intrpseq.c
	src/interp/more.c src/interp/rassa.c src/interp/rptsort.c
	src/interp/write.c

	Update function names (again!) to avoid conflicts after
	linker fixups.  This is a generic solution that should
	work for everyone, everywhere, evermore.

2005-12-20 Matt Emmerton

	* ChangeLog src/interp/interpi.h src/interp/more.c
	src/interp/functab.c src/interp/builtin.c

	Update function names to avoid conflicts with linker
	on Linux Mandrake 7.0 and 9.0.

2005-12-20 Matt Emmerton

	* ChangeLog src/hdrs/sys_inc.h

	Fix misplaced typedef on WIN32.

2005-12-20 Perry Rapp

	* ChangeLog src/hdrs/indiseq.h

	Fix declaration of default_compare_values (int => INT).

	* ChangeLog src/interp/pvalue.c

	Fix definition of create_pvalue_from_cel (int => INT).

	* ChangeLog src/hdrs/llstdlib.h

	Fix declaration of __reallocate (int => INT).

	* ChangeLog src/stdlib/path.c

	Fix definition of path_cmp (int => INT).

2005-12-19 Matt Emmerton

	* ChangeLog reports/trigtest.ll reports/Makefile.am
	src/interp/functab.c src/interp/more.c src/interp/interpi.h

	Add spherical distance function.
	Update sample report.

2005-12-19 Matt Emmerton

	* ChangeLog configure.in

	Add comments, re-arrange/group checks, general cleanup
	Add checks for trig functions

	* src/interp/interpi.h src/interp/alloc.c src/interp/functab.c
	* src/interp/more.c reports/trigtest.ll

	Add sin/cos/tan and arcsin/arccos/arctan report functions.
	Add sample report.

	* src/hdrs/standard.h src/hdrs/sys_inc.h 

	Clean up headers.

2005-12-05 Stephen Dum

	* ChangeLog reports/novel/novel.{ll,intro,head}
	
	remove the external file dependency of novel.ll on novel.head by
	moving novel.head into novel.ll.   It is ugly, but copyfile() didn't
	know how to find the included file.  Also, remove the requirement that
	novel.intro be available in the current directory.  Not it is
	optional.  Fix a y2k bug that improperly interperted the year that
	*nix returned.

2005-11-30 Perry Rapp

	* ChangeLog src/stdlib/strcvt.c

	Fix unicode conversion bug on cygwin.
	Fix get_wchar_codeset_name to test size of wchar_t.

2005-11-29 Stephen Dum

	* ChangeLog docs/ll-reportmanual.xml
	
	Update behavior of incr and decr resolving defect 1361818

	* ChangeLog src/stdlib/path.c

        Fix miscalculation of filenames being looked up.

2005-11-28 Stephen Dum

	* ChangeLog reports/anniver.ll reports/cron.ll reports/find.ll
	Remove reports/genancc2.ll

	Remove genancc2.ll which was identical to genancc.ll.
	add comment to anniver. fix typo in cron which was getting the wrong
	property values.  move comment around in find.ll so that the 
	description of the report is extracted for use in index.html.

2005-11-26 Stephen Dum

	* ChangeLog src/gedlib/lloptions.c

	See bug 1367863
        copy_process() was not handling copying of strings correctly.
	Looks like a compiler bug.  Code failed when compiled -O2, but
	worked when compiled -O1.  Rearranged the code, and it now works with
	-O2. (Let someone else debug gcc.)

	* ChangeLog src/stdlib/path.c

	revise filepath() so that relative paths will be looked for in
	current directory and then in path directories.

2005-11-26 Perry Rapp

	* ChangeLog README.DEVELOPERS

	Add explanation of lynx use in developer tools.

	* ChangeLog

	Cosmetic: fix two typos in earlier ChangeLog entry.

	* ChangeLog README.DEVELOPERS

	Minor textual improvement to "which does what".

	* ChangeLog src/stdlib/path.c

	Cosmetic: Fix some inconsistency in tabs in filepath.

	* ChangeLog src/stdlib/path.c

	Restore is_absolute_path so that relative paths work again.
	Add more commenting to both is_path and is_absolute_path.
	Remove a spurious test for isdirsep(dir[0]) in both functions.

	* ChangeLog src/interp/Makefile.am src/interp/more.c
	*NEW src/interp/rptsort.c

	Move sort & rsort implementations from end of more.c into new
	file rptsort.c.

	* ChangeLog src/interp/rptsort.c

	Add some ASSERT calls in sortpair_bin.

	* ChangeLog src/hdrs/isolangs.h

	Add Italy, Sweden, and Spain to isolangs.h, to pass self-tests
	on MS-Windows.

	* ChangeLog src/hdrs/isolangs.h

	Add countries beginning with A or B to isolangs list.

	* ChangeLog build/msvc6/llines/llinesprj.dsp

	Add new source file rptsort.c to MSVC6 project.

	* ChangeLog README.DEVELOPERS

	Add jadetex to software list.

2005-11-26 Stephen Dum
	* ChangeLog ll-reportmanual.{xml,html,pdf,txt}

	Deprecate baptism function, and offer two alternative solutions.

	* ChangeLog lines.cfg.input

	Minor cleanup on lines.cfg.input.  Remove a couple of 
	inconsistent differences between *nix and windows ifdef's.

	* Changelog Makefile.am src/stdlib/path.c README.DEVELOPERS

	Remove use of unix2dos, which is not available everywhere.
	Add extension appending on pathnames, not just filenames.
	Add more data on required tools in README.DEVELOPERS

2005-11-26 Perry Rapp

	* ChangeLog src/stdlib/path.c

	New function get_user_homedir to encapsulate platform-specific
	portion of expand_special_fname_chars.

	* ChangeLog reports/find.ll

	Fix find.ll report to optionally search all types of records,
	and add menu option to print results to output file.

	* ChangeLog README.DEVELOPERS

	Add initial section on required software for developers.

	* ChangeLog README.DEVELOPERS

	Add requirements for compiling docs to software list.

2005-11-26 Stephen Dum
	* ChangeLog reports/st/st_collate_8859-1.li
	reports/st/st_collate_UTF-8.li reports/st/st_date.li
	reports/st/Makefile.am reports/st/st_all_stdout.ref

	Fix selftests to look for locales es_ES, it_IT, and sv_SE rather than
	es,it,sv.

	Change executions of llines and llexec in selftests to use full
	pathnames, rather than rely on default search paths.  Add a clean
	target.

	* src/stdlib/path.c
	Change Path resolution code to properly handle absolute and relative
	unix paths.  Also to handle ~name/, in addition to ~/ on *nix.

	* ll-reportmanual.{xml,txt,html,pdf}
	* ll-userguide.{xml,txt,html,pdf}

	Update formatted docs. Fix typo in report manual

2005-11-25 Perry Rapp

	* ChangeLog docs/ll-reportmanual.xml

	Add report header comments to sample ahnentafel in report manual.

	* ChangeLog docs/ll-reportmanual.xml

	Add report template, and explanation of report header comments, to
	report manual. sf#1362488.

2005-11-25 Stephen Dum

	* ChangeLog reports/anniver.ll reports/cron.ll
	Update cron.ll and anniver.ll to privatize data.

	* src/interp/interp.c
	Fix iterators forfam,forindi,forsour,fornotes and forothr so that
	last argument - the count, increments by 1 each time thru the executed
	loop.

	* DELETE .linesrc lines.cfg 
	* lines.cfg.input Makefile.am
	Generate .linesrc and lines.cfg from lines.cfg.input using m4.

	* configure.in reports/Makefile.am
	*NEW  in reports/st
	    Makefile.am st_all.out st_all.ref 
	    st_all_stdout.ref test_fam_it.ll test_fam_it.ref test_forfam.ll
	    test_forfam.out test_forfam.ref test_forindi.ll test_forindi.out
	    test_forindi.ref test_indi_it.ll test_indi_it.out test_indi_it.ref
	    test_othr_it.ll test_othr_it.ref ti.ged

	Add a number of tests in the reports/st directory.  Add Makefile
	for this directory, and utilize the check target in the makefiles 
	to run the tests in this directory.

2005-11-25 Perry Rapp

	* ChangeLog
	*NEW reports/marriages.ll

	New marriages report.

	* ChangeLog reports/Makefile.am

	Add new marriages report to Makefile.am.

	* ChangeLog src\gedlib\editvtab.c src\hdrs\gedcom.h
	src\liflines\screen.c

	Fix user option validator to test before & after codeset
	(test was failing when no preexisting option in user options).
	Changed uopt_validate & edit_valtab_from_db etc.

2005-11-20 Stephen Dum

	* ChangeLog  reports/addsour.ll reports/refn.ll reports/Makefile.am

	Add Larry Hamilton's refn script, and add my addsour report.
	Adjust makefile to know about these scripts.

2005-11-20 Perry Rapp

	* ChangeLog src/interp/builtin.c

	Fix fragile handling of null val in __length (sf#1361865).

	* ChangeLog docs/ll-userguide.xml docs/llines.1

	Add options (I, a, c, l, n, o, z) to man page (sf#1360893).

	* ChangeLog docs/ll-userguide.xml

	Add mention of btedit to user manual, and alphabetize tool list.
	(sf#1360896)

	* ChangeLog src/gedlib/messages.c

	Add z and I to the llines -h display (sf#1360885).

2005-11-19 Stephen Dum

	* ChangeLog reports/net-ped.ll

	fix net-ped.ll so it no longer crashes trying to deal with
	non-existant people.  Clean up the html a little by adding new-lines.

2005-11-19 Matt Emmerton

	* ChangeLog docs/lifelines.sgml

	Add missing </PARA> tags, as per SF Patch 551968.

	* ChangeLog reports/book-latex.ll reports/register-tex.ll

	Add "usepackage{isolatin1}" to register-tex.ll, as per
	SF Patch # 402021.

	Add comments about how to change between A4/Letter paper.

	* ChangeLog src/liflines/main.c src/liflines/llexec.c

	Add -v (version) option; clean up -h/-? (usage) options.
	As per SF Feature Request # 1310390.

	* ChangeLog src/btree/btrec.c src/btree/index.c

	Add "temp" and "random" hints to more file operations.

2005-11-18 Stephen Dum

	* ChangeLog Makefile.am docs/ll-userguide.{xml,html,pdf,txt}

	fix Makefile so that 'make install' will install random readme's and
	LICENSE file.  Add some more text about XREF's under import errors.

2005-11-18 Perry Rapp

	* ChangeLog NEWS

	Cosmetic: typo fix

	* ChangeLog build/setversions.sh

	Add 'restore' option to usage.

	* ChangeLog build/setversions.sh docs/btedit.1
	docs/dbverify.1

	Add btedit.1 and dbverify.1 to setversions handling.

	* ChangeLog src/gedlib/refns.c

	Cosmetic: add more comments to header of index_by_refn.

2005-11-17 Stephen Dum

	* ChangeLog NEWS

	Add a new in 3.0.50 note about overloading the spouses() iterator.

2005-11-17 Matt Emmerton

	* ChangeLog src/tools/dbverify.c docs/dbverify.1

	Update dbverify to accept and display the -h option.
	Update dbverify man page with all accepted options.

2005-11-17 Perry Rapp

	* ChangeLog src/tools/dbverify.c

	Fix cgn_callback in dbverify to avoid ASSERT on empty key.

	* ChangeLog src/tools/dbverify.c

	Fix my previous fix to cgn_callback.

2005-11-16 Stephen Dum

	* ChangeLog docs/ll-reportmanual.{xml,html,pdf,txt}
	docs/ll-userguide.{xml,html,pdf,txt}

	Added some text to the user guide about importing gedcoms.
	Added some text to report manual to clarify how iterators work.
	Especially that the count argument, increments by 1 for each
	iteration of the loop.

2005-11-16 Perry Rapp

	* ChangeLog docs/ll-userguide.xml

	Update copy of main menu (lacked Q) & miscellaneous 
	utilities (lacked R & c).

2005-11-15 Perry Rapp

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp

	Fix MSVC6 project for dbverify to link.

	* ChangeLog build/msvc6/btedit/bteditCmd.dsp

	Fix MSVC6 project for btedit to link.

	* ChangeLog build/msvc6/llexec/llexec.dsp

	Fix MSVC6 project for llexec to link.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp
	build/msvc6/llexec/llexec.dsp build/msvc6/llines/llinesprj.dsp
	src/hdrs/llstdlib.h src/liflines/error.c src/stdlib/signals.c
	src/tools/dbverify.c
	*NEW src/stdlib/errlog.c
	*NEW src/stdlib/llabort.c

	Factor out crashlog reporting into new file src/stdlib/errlog.c,
	and implement crashlog for dbverify as well. Also implement 
	optional abort for dbverify (by factoring optional abort into
	new file src/stdlib/llabort.c).

	* ChangeLog src/stdlib/Makefile.am

	Fix unix compilation for new files errlog.c & llabort.c.

	* ChangeLog build/rpm/lifelines.spec

	rpm changes from sf#1327474 by Karl DeBisschop

2005-11-14 Stephen Dum
	* ChangeLog src/gedlib/node.c src/hdrs/gedcom_macros.h
	src/interp/alloc.c src/interp/interp.c src/interp/interpi.h
	src/interp/lex.c src/interp/yacc.y 
	docs/ll-reportmanual.{xml,html,pdf,txt}

	FORSPOUSES macro was counting all spouses, not just those the loop
	returned.  This caused nspouses to return incorrect number, and
	spouses iterator skipping numbers in it's count.

	rename parentunits iterator to spouses.  Two different spouses
	iterators exist now: 
	spouses(fam,indi,cnt) and 
	spouses(indi,fam,indi,cnt)

2005-11-14 Perry Rapp

	* ChangeLog src/liflines/llexec.c src/liflines/main.c

	Remove unused variable dbdir.

	* ChangeLog src/liflines/valgdcom.c

	Remove no longer used global variable qSmisval.

	* ChangeLog src/gedlib/messages.c src/liflines/valgdcom.c

	Include tag0 key with import warning: "Family has no members"

2005-11-13 Perry Rapp

	* ChangeLog src/interp/lex.c

	Cosmetic: fix alignment in rwordtable.

2005-11-10 Stephen Dum
	* ChangeLog ll-userguide.{xml,html,pdf,txt}

	Update userguide on causes of import errors and reformat docs.

2005-11-08 Stephen Dum
	* ChangeLog src/gedlib/gengedc.c docs/ll-reportmanual.html 
	  docs/ll-reportmanual.pdf docs/ll-reportmanual.txt 
	  docs/ll-userguide.html docs/ll-userguide.pdf docs/ll-userguide.txt
	  src/interp/alloc.c src/interp/interp.c src/interp/interpi.h
	  src/interp/lex.c src/interp/yacc.y

	Ignore @ signs in the value of a record if it is
	not the start of a valid key when writing out gedcom's.
	The prevents discarding any record with a random @ in it.
	Update Formatted docs
	Add parentunits iterator, that iterates over all parents in a family
	(the name is less than desirable, but parents and Parents already
	exist.)

2005-11-08 Perry Rapp

	* ChangeLog src/liflines/valgdcom.c

	Report top-level key in warnings & errors.

	* ChangeLog docs/ll-userguide.xml

	Add examples to import errors, and add entry for missing values.

2005-11-07 Stephen Dum

	* ChangeLog reports/partition.ll

	Change report to use gengedcomstrong, print out a gedcom header
	and output gedcom files, whose names end in .ged

2005-11-06 Perry Rapp
	
	* ChangeLog reports/html.ll

	Add url to LINES-L archive referenced in header of html.ll.

2005-10-30 Stephen Dum
	* ChangeLog src/gedlib/indiseq.c src/liflines/browse.c reports/span.ll
	docs/ll-userguide.xml

	Update span.ll.
	Enhance browse on Family, Individual and Main menu, to look
	for keys first, then Individuals

2005-10-30 Matt Emmerton

	* ChangeLog po/.cvsignore

	Update .cvsignore to ignore .gmo files for recently-added
	languages.

2005-10-26 Perry Rapp

	* ChangeLog src/gedlib/indiseq.c src/gedlib/messages.c
	src/liflines/ask.c src/liflines/browse.c src/liflines/lbrowse.c
	src/liflines/screen.c

	Allow main "browse persons" to accept any type
	of keyed entry (eg, F1), but still prefer persons.
	Fix $$ browse pointers to go to person browse screen if
	person chosen. Fix browse lists to check for types
	before invoking tandem mode.

2005-10-25 Stephen Dum

	* ChangeLog docs/ll-reportmanual.xml reports/BW_descendants.ll
	  reports/bday_cover.ll reports/bias.ll reports/book-latex.ll
	  reports/cgi_html.li reports/common.ll reports/connect2.ll
	  reports/cons.ll reports/cron.ll

	Spelling corrections to reports from Larry Hamilton.
	Minor clarification to reportmanual about families vs spouses iterator.

2005-10-22 Perry Rapp

	* ChangeLog src/stdlib/signals.c

	Fix signal name array size.
	sf Patch#1334872: Fix off-by-one access to signal names list
	By Andreas Kirschbaum

	* ChangeLog src/gedlib/editmap.c src/gedlib/gengedc.c

	Fix a resource leak in editmap.c and one in genged.c
	sf Patch#1334873: Fix resource leaks
	By Andreas Kirschbaum

	* ChangeLog src/btree/btrec.c src/btree/file.c
	src/btree/index.c src/btree/opnbtree.c

	Check fclose & fflush return values.
	Based on Andreas' patch, with wrapper checked_fclose added.
	sf Patch#1334875: Check result values of file operations
	By Andreas Kirschbaum

	*ChangeLog build/msvc6/llines/llinesprj.dsp

	src/btree/btrec.c src/hdrs/llstdlib.h src/stdlib/Makefile.am
	*NEW src/stdlib/fileops.c

	Add wrappers for fclose, fflush, fseek, and fwrite, to check returns.

2005-10-21 Perry Rapp

	* ChangeLog docs/Install.LifeLines.Windows.txt
	docs/Run.LifeLines.Windows.txt
	*NEW reports/newuser.ll

	Windows docs improvements (& new newuser.ll report) 
	by Larry Hamilton.

2005-10-19 Stephen Dum

	* ChangeLog .linesrc lines.cfg reports/anc2_ged.ll

	Make use of user properties consistent.  name is user.fullname,
	address is user.address.  Make lines.cfg and .linesrc more consistent.

2005-10-16 Stephen Dum

	* ChangeLog src/hdrs/gedcom_macros.h src/interp/builtin.c

	Parents iterator was returning counts of 2,4,...
	FORFAMCS macro was incrementing count twice for each family.
	roman() would only handle numbers less than 100.  Enhanced it
	to handle numbers up to 3999, which reflect conventional use of roman
	numbers (i.e. for years).  Numbers larger than this require special
	symbols and are no longer used.

2005-10-17 Matt Emmerton

	* ChangeLog src/btree/opnbtree.c src/btree/index.c
	src/btree/btrec.c

	Rename FILE* variables to line up with their usage.
	(fd=data, fi=index, fk=key, ft=temp, fp=general)
	This will make future maintenance simpler.

2005-10-16 Stephen Dum

        * ChangeLog docs/ll-reportmanual.{txt,pdf,html}
        docs/ll-userguide.{xml,txt,pdf,html} reports famtree1.ll
	reports/af-import.ll reports/ahnenliste.ll reports/ahnentafel.ll
        reports/alllines.ll reports/anc2_ged.ll reports/anniver.ll
	reports/alllines.sgml.ll  reports/Makefile.am

	Add user.phone to the list of mentioned user properties.
	update famtree1.ll to use user properties by applying Larry Hamilton's
	patch.
	Regenerate formatted manuals.
	Increase use of getproperty() and fix typos in some reports.
	replaced reports/alllines.ll with  reports/alllines.sgml.ll
	and removed reports/alllines.sgml.ll
	as they are really the same report.  the sgml version does both
	nroff and sgml.

2005-10-15 Matt Emmerton

	* ChangeLog src/btree/btrec.c

	Use LLFILETEMP fopen() flag for temporary files.

2005-10-15 Matt Emmerton

	* ChangeLog src/gedlib/charprops.c src/gedlib/node.c
	src/gedlib/record.c src/interp/heapused.c src/interp/pvalalloc.c
	src/liflines/askgedc.c src/liflines/askprogram.c
	src/liflines/browse.c src/tools/prettytt.c

	Fix up instances where we were passing hard-coded mode strings
	(such as "r" or "w") to fopen() instead of using the appropriate
	LL macros (which map "r" to "rt" on Windows, as so on.)

	src/gedlib/xreffile.c

	Code cleanup/optimization.

	src/hdrs/standard.h

	Add new #defines for "random file I/O" and "temporary file"
	fopen() flags.

2005-10-15 Perry Rapp

	* ChangeLog src/liflines/main.c

	Fix crashlog name.

2005-10-14 Perry Rapp

	* ChangeLog src/liflines/llexec.c src/liflines/main.c

	Fix to not try to print null string.

	* ChangeLog src/gedlib/nodeio.c

	Cosmetic: remove obsolete TODO comment.

2005-10-09 lifelines beta 3.0.49 RELEASE

2005-10-09 Perry Rapp

	* ChangeLog build/setversions.sh

	Fix bug in setversions.sh causing files to be emptied
	(use .tmp files, instead of trying to override input).

	* ChangeLog build/setversions.sh

	Fix reversed resore/set version logic.
	Add handling for build/rpm/lifelines.spec.
	Add handling for src/hdrs/version.h.

	* ChangeLog build/setversions.sh

	Fix setversions.sh to set versions in Windows rc files.

	* ChangeLog build/setversions.sh

	Revise alterfile to handle multiple sed patterns.
	Finish handling versions listed in README.MAINTAINERS.

	* ChangeLog README.MAINTAINERS

	Add use of setversions.sh to README.MAINTAINERS.

	* ChangeLog README.MAINTAINERS

	Fix incorrect cvs command shown.

	* ChangeLog INSTALL NEWS README configure.in
	build/msvc6/dbverify/dbVerify.rc build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml docs/llines.1 src/hdrs/version.h

	Bump version to 3.0.49.

2005-10-08 Perry Rapp

	* ChangeLog src/gedlib/init.c src/gedlib/lldatabase.c
	src/hdrs/gedcom.h src/hdrs/liflines.h src/liflines/llexec.c
	src/liflines/main.c src/liflines/selectdb.c
	src/tools/dbverify.c

	Move duplicated database select & open code from main.c
	and llexec.c into new function select_database.

	* ChangeLog build/setversions.sh

	New (incomplete) shell script to set version numbers.

2005-10-07 Perry Rapp

	* ChangeLog build/msvc6/dbverify/config.h
	build/msvc6/llexec/config.h build/msvc6/llines/config.h
	src/gedlib/init.c

	Fix config file handling to work for Win32 also. New function
	check_installation_path & variable global_conf_path in init.c.

	* ChangeLog src/gedlib/init.c

	Fix typo (SYS_CONF_PATH => SYS_CONF_DIR).

	* ChangeLog src/gedlib/remove.c

	Fix bug in remove_any_xrefs_node_list (prev was not getting set).

	* ChangeLog NEWS

	Note above bugfix in NEWS.

2005-10-06 Stephen Dum

	* ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
	docs/ll-reportmanual.txt docs/ll-userguide.html docs/ll-userguide.pdf
	docs/ll-userguide.txt 

	Revise search process for configuration files.  Document process in
	ll-userguide.

2005-10-05 Perry Rapp

	* ChangeLog build/msvc6/llexec/llexec.dsp
	build/msvc6/llines/llinesprj.dsp src/hdrs/liflines.h
	src/liflines/Makefile.am src/liflines/ask.c
	src/liflines/llexec.c src/liflines/main.c
	*NEW src/liflines/selectdb.c

	Combine two copies of open_or_create_database code from
	main.c & llexec.c into one copy in new selectdb.c.

	* ChangeLog src/liflines/Makefile.am

	Add new src/liflines/selectdb.c to makefile for llexec.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp
	build/msvc6/llexec/llexec.dsp build/msvc6/llines/llinesprj.dsp
	src/hdrs/Makefile.am src/hdrs/gedcom.h 

	Move macros from gedcom.h to new gedcom_macros.h.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp
	build/msvc6/llexec/llexec.dsp build/msvc6/llines/llinesprj.dsp
	src/gedlib/gedcomi.h src/gedlib/init.c src/gedlib/lldatabase.c
	*NEW src/hdrs/dbcontext.h
	*NEW src/gedlib/dbcontext.c

	New files dbcontext.c & dbcontext.h, to start implementing
	database interface layer.

	* ChangeLog src/gedlib/Makefile.am src/hdrs/Makefile.am

	Add files dbcontext.* to makefiles.

2005-10-03 Perry Rapp

	* ChangeLog dbverify/dbverifyCmd.dsp llexec/llexec.dsp

	Fix MSVC6 compilation (new llgettext.c file).

2005-10-03 Stephen Dum

	*NEW reports/span.ll

2005-10-03 Perry Rapp

	* ChangeLog configure.in

	Restore AM_INIT_AUTOMAKE to configure.in (lost yesterday).

2005-10-03 Stephen Dum

	* ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
	docs/ll-reportmanual.txt  docs/ll-userguide.html docs/ll-userguide.pdf
	docs/ll-userguide.txt src/gedlib/init.c reports/anniver.ll 
	reports/CREDIT reports/cron.ll reports/dump_html_sd.ll 
	reports/gen_index reports/grand.ll reports/Makefile.am

	Update formatted docs
	Fix typo in init.c
	Change my email address to one that works in a number of reports
	Add a new report span.ll

2005-10-03 Matt Emmerton

	* ChangeLog configure.in

	Work around problems checking for <alloc.h> on OSX/Darwin.

2005-10-03 Perry Rapp

	* ChangeLog src/gedlib/charprops.c src/gedlib/codesets.c
	src/gedlib/dispfmt.c src/gedlib/init.c src/gedlib/llgettext.c
	src/gedlib/lloptions.c src/gedlib/locales.c src/gedlib/node.c
	src/gedlib/property.c src/gedlib/record.c src/gedlib/translat.c
	src/hdrs/lloptions.h src/interp/builtin.c src/interp/interp.c
	src/interp/pvalalloc.c src/interp/rassa.c src/liflines/add.c
	src/liflines/export.c src/liflines/llexec.c src/liflines/loadsave.c
	src/liflines/main.c src/liflines/newrecs.c src/liflines/screen.c
	src/liflines/valgdcom.c src/stdlib/table.c

	Rename getoptstr to getlloptstr (to avoid clash with grep for getopt).

	* ChangeLog src/gedlib/gedcom.c src/gedlib/gstrings.c
	src/gedlib/init.c src/gedlib/lloptions.c src/gedlib/node.c
	src/gedlib/refns.c src/gedlib/valid.c src/gedlib/xlat.c
	src/hdrs/lloptions.h src/interp/builtin.c src/interp/eval.c
	src/interp/interp.c src/interp/more.c src/liflines/browse.c
	src/liflines/pedigree.c src/liflines/screen.c src/liflines/show.c
	src/liflines/valgdcom.c

	Rename getoptint to getlloptint.

	* ChangeLog src/gedlib/lloptions.c src/gedlib/property.c
	src/hdrs/lloptions.h

	Rename getoptstr_rpt to getlloptstr_rpt, and getoptstr_dbonly
	to getlloptstr_dbonly.

	* ChangeLog build/msvc6/llines/llinesprj.dsp src/gedlib/codesets.c
	src/gedlib/init.c src/hdrs/codesets.h src/stdlib/Makefile.am
	*NEW src/stdlib/norm_charmap.c

	Added Marcus Kuhn's norm_charmap.c to stdlib.
	Use user's default codeset (should be from locale) for databases
	lacking a codeset specification.

2005-10-02 Perry Rapp

	* ChangeLog src/gedlib/init.c src/gedlib/llgettext.c
	src/hdrs/gedcom.h src/liflines/screen.c

	Add more diagnostics to u/c display (Internal UTF-8,
	bind_textdomain_codeset).

	* ChangeLog README.MAINTAINERS configure.in
	src/hdrs/version.h

	Bump version to 3.0.48p.

2005-10-01 Perry Rapp

	* ChangeLog src/gedlib/init.c

	Break code out of init_lifelines_global into new functions
	llgettext_init, pre_codesets_hook.

	* ChangeLog src/gedlib/init.c src/gedlib/lloptions.c
	src/hdrs/lloptions.h

	Move code reading config file out of init_lifelines_global
	into new function load_configs, and allow local config file
	to override, and allow chaining to second config file.

	* ChangeLog src/gedlib/init.c

	Cosmetic: Add todo note for Win32.

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/init.c
	build/msvc6/llines/llinesprj.dsp
	*NEW src/gedlib/llgettext.c

	Pull gettext code out of init.c into new file llgettext.c.

	* ChangeLog src/gedlib/Makefile.am

	Add new llgettext.c file to makefile.

	* ChangeLog src/arch/platform.c

	Add some internal debugging code (error descriptions
	for some Win32 console codepage functions).

2005-09-30 Perry Rapp

	* ChangeLog src/hdrs/standard.h

	Greppable definition-style comments for macro functions.

	* ChangeLog src/btree/btreei.h src/btree/index.c src/btree/utils.c

	Remove "double-buffering" comments (that was never implemented).
	Fix newmaster to ASSERT on failure, and no return value (it was
	anyway ignored).

	* ChangeLog src/btree/index.c

	Modify readindex to not set bterrno on robust error (wasn't used).

	* ChangeLog src/gedlib/lldatabase.c src/hdrs/gedcom.h

	Remove unused ERRORINFO type & list in LLDATABASE.

2005-09-30 lifelines beta 3.0.48 RELEASE

2005-09-30 Perry Rapp

	* ChangeLog build/msvc6/btedit/btedit.rc
	build/msvc6/btedit/bteditCmd.dsp
	build/msvc6/dbverify/dbVerify.rc
	build/msvc6/dbverify/dbverifyCmd.dsp
	build/msvc6/llexec/llexec.dsp
	build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc
	build/msvc6/btedit/config.h

	Bump Win32 versions to 3.0.48.15272.
	Fix llexec, dbverify, and btedit project files to compile & link.

	* ChangeLog po/da.po po/de.po po/el.po po/eo.po po/es.po
	po/fr.po po/it.po po/nl.po po/pl.po po/rw.po po/sv.po

	Making 3.0.48 release

2005-09-29 Perry Rapp

	* ChangeLog reports/Makefile.am

	Add some mising reports to Makefile.am, split self-tests 
	into own target, and reformat lists.

	* ChangeLog reports/Makefile.am

	Fix typo (fami-grps.li => fami-grps.ll).

	* ChangeLog reports/Makefile.am

	Fix typo (genanc.ll => genancc.ll)

	* ChangeLog src/liflines/screen.c

	Ensure row is initialized in place_cursor_main.

	* ChangeLog INSTALL NEWS README README.MAINTAINERS configure.in
	build/rpm/lifelines.spec docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml docs/llines.1
	src/hdrs/version.h

	Bump version to 3.0.48, starting to get ready for
	release.

	* ChangeLog src/hdrs/Makefile.am

	Add (fairly recent) mycurses.h to src/hdrs/Makefile.am.

	* ChangeLog build/rpm/lifelines.spec

	Add more translations, and include *.li files.
	Add novel, pedtex, and ps-fan subdirs of reports.

	* ChangeLog build/rpm/lifelines.spec

	Remove cvs conflict markers in spec file.

	* ChangeLog build/rpm/lifelines.spec

	Fix path & filename bugs in lifelines.spec file.

	* ChangeLog po/es.po

	A few Spanish translations, including ordinals for reports.

2005-09-28 Perry Rapp

	* ChangeLog src/btree/opnbtree. src/liflines/main.c

	Cosmetic: comment updates & formatting

	* ChangeLog po/POTFILES.in

	Fix filename list (date.c replaced by dateparse.c
	and dateprint.c).

2005-09-26 Perry Rapp

	* ChangeLog src/hdrs/gedcheck.h src/hdrs/standard.h
	src/liflines/valgdcom.c

	More leak fix in import; new function free_elmnt.

	* ChangeLog src/gedlib/xlat.c

	Leak fix in xlat call to scandir (in load_dynttlist_from_dir).

	* src/liflines/valgdcom.c

	Leak fix in validate_gedcom (tag0).

	* ChangeLog src/liflines/browse.c

	Annotate location of a memory leak.

2005-09-25 Perry Rapp

	* ChangeLong build/msvc6/llines/llinesprj.dsp
	src/gedlib/datei.c src/gedlib/datei.h src/gedlib/dateparse.c
	src/gedlib/dateprint.c src/gedlib/date.c

	Split code for parsing dates, and code for printing dates,
	into different files.

	* ChangeLog src/gedlib/Makefile.am src/gedlib/datei.c

	Fix Makefile.am for new date files. Fix a typedef incorrectly
	in both datei.h and date.c.

	* ChangeLog build/msvc6/llines/llinesprj.dsp

	Move datei.h into headers folder in MSVC6 project.

	* ChangeLog src/gedlib/datei.c src/gedlib/datei.h
	src/hdrs/date.h src/interp/builtin.c

	Move a bunch of date structures & enums from date.h into private datei.h.
	Add accessors as needed for this move (date_get_day, date_get_month, etc).

	* ChangeLog src/gedlib/dateprint.c

	Always format GEDCOM date phrases (parenthesized) using original text.

	* ChangeLog NEWS

	Note GEDCOM date phrase display feature in next release.

	* ChangeLog src/liflines/import.c src/liflines/llinesi.h
	src/liflines/valgdcom.c

	New function validate_end_import, called from do_import, to plug leaks.


2005-09-24 Perry Rapp

	* ChangeLog configure.in src/hdrs/mycurses.h
	src/lifelines/cscurses.c

	Use libncursew if available (for full UTF-8 support).

	* ChangeLog src/gedlib/charprops.c

	Fix bug in charprops_is_loaded.

	* ChangeLog NEWS

	Note fix to use cursesw for UTF-8 locales in NEWS.

2005-09-22 Stephen Dum

	* ChangeLog reports/gedn.ll reports/gedall.ll

	gedn incorrectly tried to include ged_write.ll instead of ged_write.li
	Modified gedall.ll to generate gedcom header using properties,
	rather than relying on use defined header files.

2005-09-21 Perry Rapp

	* ChangeLog win32/mycurses.c

	Fix win32 impl. of curs_set (use hStdout for console handle).

	* ChangeLog src/hdrs/log.h src/stdlib/log.c

	New function log_bytecode to help developer work on encoding issues.

2005-09-21 Matt Emmerton

	* ChangeLog src/hdrs/win32/curses.h win32/mycurses.c

	Add implementation of curs_set().

2005-09-21 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/hdrs/mycurses.h

	Fix hdrs/mycurses.h to include existing win32/curses.h
	(instead of nonexistent win32/mycurses.h).

2005-09-20 Perry Rapp

	* ChangeLog configure.in po/LINGUAS
	*NEW po/es.po

	Add untranslated Spanish message catalog (in order to 
	add the minimal strings for reports).

2005-09-19 Matt Emmerton

	* ChangeLog src/liflines/screen.c

	Improve cursor handling during external editing and
	dynamic menus.

2005-09-19 Matt Emmerton

	* ChangeLog configure.in src/hdrs/screen.h
	src/hdrs/win32/curses.h src/gedlib/editvtab.c
	* NEW: src/hdrs/mycurses.h

	Introduce mycurses.h which will choose between <curses.h>
	(standard library implementation) or "win32/curses.h"
	(local Win32 implementation.) 

	Update configure.in to detect <windows.h> and platforms
	where local curses implementation can be used.

	Update screen.h and editvtab.c to use mycurses.h.

	Minor comment changes in src/win32/curses.h.

2005-09-20 Perry Rapp

	* ChangeLog configure.in src/hdrs/version.h

	Bump version to 3.0.47post.

	* ChangeLog src/gedlib/charprops.c src/hdrs/charprops.h
	src/liflines/screen.c

	New function charprops_is_loaded, and add line to cset 
	output menu.

2005-09-19 Matt Emmerton

	* ChangeLog reports/browser.ll docs/ll-reportmanuals.xml
	src/interp/functab.c

	Remove all vestiges of the report function getrecord(),
	which now exists as dereference().

2005-09-18 Perry Rapp

	* ChangeLog configure.in src/hdrs/arch.h

	Fix logic for declaring sleep (only if windows and
	don't already have it, not either).
	Add configure.in test for windows.h.

2005-09-18 Stephen Dum

	* ChangeLog reports/d-rtf.ll reports/dump-ances.ll
	* reports/est_life_span.ll
	docs/ll-reportmanual.html docs/ll-reportmanual.pdf
	docs/ll-reportmanual.txt docs/ll-userguide.html
	docs/ll-userguide.pdf docs/ll-userguide.txt

        Fixed two typo's in listed reports reported by Larry Hamilton
	est_life_span had a number of truncated lines that were repaired.
	Update formatted documentation.

2005-09-17 lifelines beta 3.0.47 RELEASE

2005-09-17 Perry Rapp

	* ChangeLog build/msvc6/btedit/btedit.rc
	build/msvc6/dbverify/dbVerify.rc
	build/msvc6/llexec/llexec.rc build/msvc6/llines/llines.rc
	src/hdrs/version.h

	Bumping version to 3.0.47.

	* ChangeLog configure.in

	If bison not present, don't fail, but don't use yacc
	(so end users can compile without bison).

	* ChangeLog configure.in

	If no (n)curses, display different message for win32
	(using LifeLines version). No follow-on use of this test
	yet.

	* ChangeLog INSTALL README configure.in build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml docs/llines.1 po/da.po po/de.po po/el.po
	po/eo.po po/fr.po po/it.po po/nl.po po/pl.po po/rw.po po/sv.po

	Bump version to 3.0.47.

2005-09-16 Perry Rapp

	* ChangeLog src/gedlib/date.c src/hdrs/date.h src/interp/builtin.c

	New day and month formats 21 (which give 00 for blank).
	New functions is_valid_dayfmt, is_valid_monthfmt, is_valid_yearfmt.

	* ChangeLog
	*NEW build/msvc6/releaseScript/create_lifelines_release.vbs

	New script to create win32 binary directory for distribution.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp

	Fix msvc6 project for dbverify by adding file nodechk.c

	* ChangeLog build/msvc6/releaseScript/create_lifelines_release.vbs

	Finish win32 package script.

	* ChangeLog build/msvc6/releaseScript/create_lifelines_release.vbs

	Add esperanto to list of languages.

	* ChangeLog NEWS

	Update NEWS (new day & month formats)

2005-09-15 Perry Rapp

	* ChangeLog src/interp/heapused.c

	Remove old declaration "struct heapinfo hi", which was 
	duplicating new declaration "HEAPINFO hi;". This has been
	broken since heapused.c v1.3, 2000-11-09.

	* ChangeLog src/gedlib/editvtab.c

	Remove unneeded endwin call (right before calling do_edit,
	which calls endwin first).

	* ChangeLog src/gedlib/editvtab.c

	Remove unneeded endwin call (before edit_valtab_impl, which 
	calls do_edit, which calls endwin). Remove curses include.

	* ChangeLog src/gedlib/date.c

	Cosmetic: scope newdate to use, in extract_date.

2005-09-14 Perry Rapp

	* ChangeLog src/liflines/cscurses.c

	Cosmetic: Add explanatory comments to existing TODO items (for UTF-8 GUI).

2005-09-13 Perry Rapp

	* ChangeLog src/hdrs/cscurses.h src/hdrs/feedback.h src/hdrs/screen.h
	src/hdrs/ui.h src/liflines/ask.c src/liflines/cscurses.c
	src/liflines/llinesi.h src/liflines/screen.c src/ui/ui_cli.c

	const fix for ask_for_indiseq & ask_for_db_filename (& cascade)

	* ChangeLog src/hdrs/ui.h src/liflines/llexec.h src/ui/ui_cli.c

	some llexec ramifications of const fix

2005-07-30 Perry Rapp

	* ChangeLog po/da.po po/de.po po/el.po po/eo.po po/fr.po po/it.po
	po/nl.po po/pl.po po/rw.po po/sv.po src/liflines/menuset.c

	Cosmetic typo: Remove spurious extra space in "Clash with longer hotkey"

2005-07-29 Perry Rapp

	* ChangeLog src/gedlib/replace.c src/liflines/edit.c

	More nodechk calls, for sanity checking in-memory node tree.

	* ChangeLog src/gedlib/spltjoin.c

	Fix parenthood of first level children in join_indi & join_fam.

	* ChangeLog  src/gedlib/keytonod.c src/gedlib/replace.c
	src/gedlib/splitjoin.c src/hdrs/cache.h

	New functions fix_children & fix_cel in spltjoin.c.
	New function set_all_nodetree_to_root_cel in keytonod.c.
	Call nodechk from end of join_indi and end of join_fam.

2005-07-28 Perry Rapp

	* ChangeLog
	*NEW src/gedlib/nodechk.c

	Add new nodechk.c source file which was missed yesterday.

	* ChangeLog src/gedlib/Makefile.am

	Add nodechk.c to Makefile.am.

	* ChangeLog src/gedlib/nodechk.c

	Pass scope (caller name) through to FATAL message.

2005-07-27 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	build/msvc6/llexec/llexec.dsp
	src/gedlib/init.c src/gedlib/nodeio.c
	src/hdrs/gedcom.h

	New function to sanity check node tree, and new option ("nodecheck")
	to enable node checking.

2005-07-22 Stephen Dum
	* ChangeLog docs/Makefile.am docs/ll-reportmanual.html 
	docs/ll-reportmanual.pdf docs/ll-reportmanual.sv.html 
	docs/ll-reportmanual.sv.xml docs/ll-reportmanual.txt 
	docs/ll-userguide.html docs/ll-userguide.pdf docs/ll-userguide.txt
	src/gedlib/remove.c src/liflines/valgdcom.c  src/stdlib/stdlib.c 
	src/stdlib/table.c

	Move installed man page location to man/man1.  Update
	ll-reportmanual.sv.xml to use dtd 4.2.  Release formatted docs.
	remove some warning messages in compilation

2005-07-21 Perry Rapp

	* ChangeLog configure.in po/LINGUAS
	*NEW po/eo.po

	New Esperanto translation from Dave Eaton.

	* ChangeLog NEWS

	Update NEWS file with Esperanto translation and also
	3.0.46.1 branch notes.

2005-07-20 Perry Rapp

	* ChangeLog src/liflines/delete.c

	Initialize local buffer confirm in choose_and_remove_family to avoid
	ASSERT crash. sf#1242080

2005-07-20 Perry Rapp

	* ChangeLog src/gedlib/lloptions.c

	Minor changes to help debugging option parsing
	(Store line length into local, skip blank lines)

2005-07-20 Stephen Dum
	* ChangeLog  README.MAINTAINERS  src/gedlib/remove.c

	update README.MAINTAINERS
	fix bug 1241731 - double free when joining two indi's

2005-07-17 Stephen Dum
	* ChangeLog docs/ll-reportmanual.xml src/interp/intrpseq.c
	fix bug 1224303 - document optional second argument to incr and decr
	fix bug 1239997 - bad free of pointer in inset() - free of
	uninitialized data.

2005-07-05 Stephen Dum
	* ChangeLog AUTHORS docs/llines.1

	Updated the llines man page and AUTHORS.  

2005-06-26 Perry Rapp

	* ChangeLog NEWS src/liflines/screen.c

	Handle CMD_KY_ENTER in array_interact, so enter key works
	for database list.

2005-06-25 Perry Rapp

	* ChangeLog NEWS

	Annotate release entries in NEWS as beta or stable.

2005-06-23 Perry Rapp

	* ChangeLog src/gedlib/messages.c src/liflines/swap.c

	Confirm swap families (spouse orders), new message qScffswp.
	Confirm for CMD_SWAPFAMILIES.

	* ChangeLog src/gedlib/messages.c src/liflines/swap.c

	Confirm swap children. New function confirm_and_swap_children_impl.
	New message qScfchswp.

	* ChangeLog NEWS

	Document newest features in NEWS.

2005-06-22 Perry Rapp

	* ChangeLog .linesrc

	Remove spurious carriage return

	* ChangeLog .linesrc src/liflines/pedigree.c

	Customizable indent in ancestor/descendent/gedcom views
	(new function get_indent). New option GedcomDisplayIndent.

2005-06-21 Perry Rapp

	* ChangeLog po/de.po

	German catalog typo fix (Schlüsel => Schlüssel)
	from Felipe Augusto van de Wiel on LINES-L.

2005-06-20 Perry Rapp

	* ChangeLog INSTALL

	More extensive platform notes in INSTALL file.

	* ChangeLog src/interp/builtin.c

	Cosmetic: Document optional 2nd arg to __incr & __decr
	in function header comments.

2005-06-20 Jens Arvidsson

	* ChangeLog po/sv.po

	Update Swedish translation for 3.0.46.

2005-06-20 Stephen Dum
	* ChangeLog docs/ll-userguide.html  docs/ll-userguide.pdf 
	docs/ll-userguide.txt  docs/ll-userguide.xml

	clarify behavior of -o option.

2005-06-20 lifelines beta 3.0.46 RELEASE

Branch point for v3_0_46_branch

2005-06-20 Perry Rapp

	* ChangeLog build/msvc6/btedit/btedit.rc
	build/msvc6/dbverify/dbVerify.rc
	build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc  

	Set version strings in Windows resource files.

	* po/da.po po/de.po po/el.po po/fr.po po/it.po po/nl.po po/pl.po
	po/rw.po po/sv.po

	Updated message catalogs (3.0.46 release).

2005-06-19 Perry Rapp

	* ChangeLog NEWS

	Document fixing outfile in llexec in 3.0.46 (not yet released).

2005-06-18 Perry Rapp

	* ChangeLog src/gedlib/refns.c

	Fix key_possible_to_record to call qkey_ functions, not key_ functions,
	to avoid assert if key is not found.

	* ChangeLog NEWS

	Add latest bugfix to NEWS, and annotate bugfixes with sf bug numbers.

	* ChangeLog src/liflines/valgdcom.c

	New function check_level1_tag, to warn of weird lineage-linking tags
	(eg, level-1 FAMS pointer inside of FAM record).

	* ChangeLog NEWS

	Note import check for unusual FAMS, FAMC, HUSB, WIFE in NEWS.

	* ChangeLog src/liflines/llexec.c

	Cosmetic: Fix indents in main in llexec.c.

	* ChangeLog src/interp/rassa.c

	Cosmetic: Add function header comment for set_output_file

	* ChangeLog src/interp/interp.c src/interp/interpi.h src/interp/rassa.c

	Fix interp_program_list to set outputfile, so outfile works for llexec.

2005-06-17 Stephen Dum
	* ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
	docs/ll-reportmanual.txt docs/ll-userguide.html docs/ll-userguide.pdf 
	docs/ll-userguide.txt reports/book-latex.ll src/gedlib/remove.c 

	Update docs for 3.0.46. fix typo in book-latex.ll and cleanup
	code in merge families.

2005-06-17 Perry Rapp

	* ChangeLog src/gedlib/spltjoin.c src/hdrs/gedcom.h
	src/liflines/browse.c

	Add new normalize_rec function, and call it from autoadd_xref
	(instead of normalize_irec), to handle when auto adding to 
	non-individuals.

	* ChangeLog INSTALL NEWS configure.in build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml src/hdrs/version.h

	Set most version numbers to 3.0.46 in preparation for next beta.

2005-06-15 Perry Rapp

	* ChangeLog po/fr.po

	Updated French message catalog from Patrick Texier.

2005-06-12 Stephen Dum
         * ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf
	   docs/ll-reportmanual.txt docs/ll-userguide.html
	   docs/ll-userguide.pdf docs/ll-userguide.txt

	 Update formatted documents

2005-06-12 lifelines beta 3.0.45 RELEASE

2005-06-12 Perry Rapp

	* ChangeLog INSTALL build/msvc6/dbverify/dbVerify.rc
	build/msvc6/llexec/llexec.rc build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec configure.in docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml src/hdrs/version.h
	po/da.po po/de.po po/el.po po/fr.po po/it.po
	po/nl.po po/pl.po po/sv.po

	Bump version for 3.0.45

2005-06-09 Stephen Dum
        * ChangeLog src/gedlib/remove.c 
	Cosmetic (added more comments inside remove_empty_fam)

	* src/hdrs/gedcom.h docs/ll-reportmanual.xml
	Fix FORFAMSS to handle case of a family with only 1 spouse
	and no other records.  Also add documentation clarifying difference
	between families and spouses iterators.

2005-06-09 Perry Rapp

	* ChangeLog src/gedlib/remove.c

	Cosmetic (added more comments inside remove_empty_fam)

	* ChangeLog src/interp/builtin.c

	Improved clean up of __insert in error cases.

	* ChangeLog src/hdrs/gedcom.h

	Fix FORSPOUSES to not count self (& add more comments)

	* ChangeLog src/hdrs/gedcom.h

	Fix FORFAMSS to only fall through at end of family for 
	unreported families (fix handling first_sp).

2005-05-07 Stephen Dum
        * ChangeLog src/gedlib/init.c src/gedlib/remove.c src/interp/builtin.c
	  src/interp/intrpseq.c src/interp/pvalalloc.c src/liflines/import.c
	  src/stdlib/table.c src/liflines/valgdcom.c src/stdlib/hashtab.c

        fix crash on merging two families - double free of fam record
	clean up lots of memory and pvalue leaks 

2005-04-26 Stephen Dum
        * ChangeLog src/hdrs/gedcom.h src/interp/builtin.c
	  docs/ll-reportmanuel.xml docs/ll-reportmanuel.html
	  docs/ll-reportmanuel.pdf docs/ll-reportmanuel.txt

	Fix bug 1190528 failure to display child if only 1 parent in
	normal Person display screen.  Tighten what fam() and indi()
	will accept as a valid key.  Now requires a valid key, ie Fnnn
	or Innn.  Functions will also accept @Fnnn@ and @Innn@.
	Update docs.

2005-04-17 Perry Rapp

	* ChangeLog po/pl.po

	Updated Polish translation.

2005-04-06 Perry Rapp

	* ChangeLog configure.in po/LINGUAS
	*NEW po/rw.po

	Add Kinyarwanda (rw) translation from Translation
	Project, courtesy of Steve Murphy.

2005-03-12 Perry Rapp

	* ChangeLog src/hdrs/version.h

	Bump version to 3.0.44d to distinguish from 3.0.44 release.

2005-03-11 Jens Arvidsson

	* ChangeLog po/sv.po

	Update Swedish translation for 3.0.44.

2005-02-27 Perry Rapp

	* ChangeLog src/gedlib/init.c src/hdrs/gedcom.h

	Move dblist functions out of init.c into new dblist.c

	*NEW dblist.c

	New module dblist.c handles list of available databases.

	* ChangeLog src/gedlib/Makefile.am

	Add new dblist.c to Makefile.am.

	* ChangeLog build/msvc6/llexec/llexec.dsp
	build/msvc6/llines/llinesprj.dsp

	Add new dblist.c to llines MSVC6 project and llexec MSVC6 project.

	* ChangeLog src/arch/alphasort.c src/stdlib/appendstr.c
	src/tools/btedit.c

	Remove some unneeded includes.

	* ChangeLog src/tools/wprintf.c

	Remove unneeded include.

	* ChangeLog src/interp/symtab.c

	Remove unused locals in remove_symtab.

2005-02-26 Perry Rapp

	* ChangeLog src/stdlib/rbtree.c src/stdlib/rbtree.h
	src/stdlib/table.c

	Fix table's insertion into rbtree not to delete first.

	* ChangeLog src/stdlib/table.c

	Fix table leaking rbtree values (wasn't using custom destructor for VPTR).

2005-02-25 Perry Rapp

	* ChangeLog src/stdlib/rbtree.c

	Add newline to end of file (to placate gcc warning).

	* ChangeLog src/hdrs/table.h src/stdlib/stdlib.c
	src/stdlib/table.c

	Make stdlib_init just call table_init.

2005-02-24 Perry Rapp

	* ChangeLog src/gedlib/lloptions.c

	Release option tables instead of destroying them.

	* ChangeLog src/stdlib/rbtree.c

	Fix RbNext to handle null rbit->high.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp
	src/liflines/llexec.c src/tools/dbverify.c

	Call init_stdlib from llexec & dbverify.
	Fix dbverify to do setlocale.
	Add rbtree & stack to MSVC6 project for dbverify.

	* ChangeLog build/msvc6/llexec:/llexec.dsp

	Add rbtree & stack to MSVC6 project for llexec.

2005-02-22 Perry Rapp

	* ChangeLog src/stdlib/table.c

	Fix next_table_ptr to handle rbtree iterator.

2005-02-20 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp src/stdlib/rbtree.c
	src/stdlib/rbtree.h src/stdlib/table.c

	Add iteration to rbtree.

	* ChangeLog src/hdrs/table.h src/stdlib/table.c

	Cleanup & fix compilation for gcc (order table.c includes so
	struct tag_table only declared once).

	* ChangeLog src/stdlib/rbtree.c src/stdlib/rbtree.h
	src/stdlib/table.c

	Tables are implemented with rbtree when property "rbtree" is set.

2005-02-19 Perry Rapp

	* build/msvc6/llines/llinesprj.dsp src/gedlib/date.c
	src/gedlib/editvtab.c src/gedlib/gengedc.c src/gedlib/indiseq.c
	src/gedlib/init.c src/gedlib/keytonod.c src/gedlib/lloptions.c
	src/gedlib/misc.c src/gedlib/names.c src/gedlib/node.c
	src/gedlib/valtable.c src/gedlib/xlat.c src/hdrs/table.h
	src/interp/alloc.c src/interp/builtin.c src/interp/interp.c
	src/interp/pvalalloc.c src/interp/pvalue.c src/interp/symtab.c
	src/liflines/import.c src/liflines/llexec.c src/liflines/main.c
	src/liflines/screen.c src/liflines/valgdcom.c
	src/stdlib/memalloc.c src/stdlib/proptbls.c src/stdlib/table.c
	*NEW src/hdrs/hashtab.h
	*NEW src/stdlib/hashtab.c

	Move hash table into new hashtab.h (use it from table.c).

	* ChangeLog src/hdrs/Makefile.am src/stdlib/Makefile.am

	Add new hashtab files to automake makefiles.

	* ChangeLog build/msvc6/llexec/llexec.dsp src/liflines/llexec.c

	Fix compilation & MSVC6 linking of llexec.

	* ChangeLog src/gedlib/gengedc.c

	Cleanup: remove declaration of (no longer existing) function
	add_refd_fams.

	* ChangeLog src/interp/builtin.c src/stdlib/table.c

	Cleanup: remove unused variables & no longer existing functions.

	* ChangeLog src/stdlib/rbtree.c src/stdlib/rbtree.h

	Add typedef for key & value types to rbtree, and reformat
	function declarations lifelines-style.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp
	src/tools/dbverify.c

	Fix compilation & MSVC6 linking of dbverify.

2005-02-16 Perry Rapp

	* ChangeLog src/gedlib/xlat.c

	Change DYNTT to be object type. Change f_dyntts to be generic
	table.

	* ChangeLog src/gedlib/init.c src/gedlib/lloptions.c src/hdrs/proptbls.h
	src/hdrs/table.h src/liflines/askgedc.c src/liflines/askprogram.c
	src/stdlib/proptbls.c src/stdlib/table.c

	New function create_table_strings. Convert proparrays to new
	table (table of strings). Fix some option string leaks.
	Remove now unused insert_table_str. const fixes.

	* ChangeLog src/liflines/llexec.c

	Fix typo ("create_table_") in llexec.c.

2005-02-14 Perry Rapp

	* ChangeLog src/gedlib/editvtab.c src/gedlib/indiseq.c
	src/gedlib/init.c src/gedlib/lloptions.c src/gedlib/node.c
	src/gedlib/valtable.c src/liflines/import.c src/liflines/llexec.c
	src/liflines/main.c src/liflines/screen.c src/liflines/valgdcom.c
	src/stdlib/table.c

	Convert more occurrences of create_table_old to create_table.

	* ChangeLog src/gedlib/keytonod.c

	Convert caches to use create_table instead of create_table_old.

	* ChangeLog src/hdrs/table.h src/stdlib/table.c

	Remove now unused function delete_table_element_old.

2005-02-13 lifelines beta 3.0.44 RELEASE

2005-02-13 Perry Rapp

	* ChangeLog po/da.po po/de.po po/el.po po/fr.po po/it.po
	po/nl.po po/pl.po po/sv.po

	lifelines beta 3.0.44 release

2005-02-13 Stephen Dum
       * ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
       docs/ll-reportmanual.txt docs/ll-userguide.html docs/ll-userguide.pdf 
       docs/ll-userguide.txt docs/Makefile.am

       Fix bug generating txt version of manuals and update manuals 
       for 3.0.44

2005-02-13 Perry Rapp

	* ChangeLog INSTALL build/msvc6/dbverify/dbVerify.rc
	build/msvc6/llexec/llexec.rc build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec configure.in docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml src/hdrs/version.h

	Bump version info for 3.0.44.

2005-02-12 Perry Rapp

	* ChangeLog src/gedlib/xlat.c

	Free leaked strings in free_xlat.

	* ChangeLog src/interp/lex.c

	Add comment about leaking IDEN strings.

	* ChangeLog src/interp/alloc.c src/interp/interp.c
	src/interp/interpi.h src/interp/lex.c src/interp/yacc.y

	Fix some IDEN leaks.

	* ChangeLog src/interp/alloc.c src/interp/interpi.h
	src/interp/yacc.y

	Fix IDEN leaks in children_node, spouses_node, families_node.

	* ChangeLog src/interp/alloc.c src/interp/interpi.h
	src/interp/yacc.y

	Fix IDEN leak in call_node, fornodes_node, traverse_node,
	fathers_node, mothers_node, parents_node, forindiset_node,
	forlist_node.

	* ChangeLog src/interp/alloc.c src/interp/yacc.y

	Fix IDEN leak in forindi_node, fornotes_node, forfam_node,
	forsour_node, foreven_node, forothr_node.

	* ChangeLog NEWS

	Added memory leak fixes to NEWS.

	* ChangeLog src/interp/alloc.c src/interp/interpi.h

	Fix IDEN leak in iden_node.

2005-02-13 Stephen Dum
        * ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
	docs/ll-userguide.html docs/ll-userguide.pdf reports/Makefile.am 
	src/gedlib/brwslist.c src/gedlib/lloptions.c src/gedlib/nodeio.c 
	src/interp/alloc.c src/interp/interp.c src/interp/interpi.h 
	src/interp/pvalue.c src/interp/symtab.c src/stdlib/icvt.c 
	src/stdlib/stack.c src/stdlib/stdlib.c src/stdlib/table.c 
	src/stdlib/vtable.c

	Update docs to 3.0.43, clean up compiler warnings on linux

2005-02-12 Perry Rapp

	* ChangeLog docs/ll-devguide.xml

	Fixes to ll-devguide.xml (from saxon 8.3b).

	* ChangeLog docs/ll-devguide.html

	New version (xsltproc, docbook-1.33) of ll-devguide.

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/keytonod.c
	src/gedlib/record.c src/hdrs/gedcom.h src/liflines/add.c

	New function make_new_record_with_info. 
	alloc_new_record becomes static. 
	Change arguments of set_record_key_info.

	* ChangeLog src/gedlib/keytonod.c

	New cel_magic & init_cel, to identify corrupt cel memory.
	Stop asserting that record is cel's record in cel_remove_record
	(this is firing, although I don't know why, but records
	should be able to handle pointing at wrong cel; nztop handles it).

	* ChangeLog src/gedlib/keytonod.c src/liflines/error.c
	src/stdlib/signals.c

	Change assert logic so abort is called without shutting down db,
	if user wants crash dump.

	* ChangeLog src/gedlib/keytonod.c

	Call init_cel for new cel in get_free_cacheel (assure not wrong
	record pointer) and put_node_in_cache.

	* ChangeLog src/gedlib/indiseq.c

	Fix indi_to_families to check families only once, and include ones
	without spouse.

	* ChangeLog NEWS

	Update NEWS file.

	* ChangeLog configure.in src/hdrs/version.h

	Bump version to 3.0.43d, to differentiate from 3.0.43 release.

	* ChangeLog build/msvc6/llines/llines.rc

	Bump windows build number to 3.0.43.15043, and attach Private
	Build of "3.0.43d".

2005-02-12 lifelines beta 3.0.43 RELEASE

2005-02-12 Perry Rapp

	* ChangeLog src/liflines/browse.c

	Fix record reference counts in goto_indi_child and 
	goto_fam_child.

	* ChangeLog src/liflines/browse.c

	Fix bug just introduced in goto_fam_child.

	* ChangeLog src/gedlib/node.c src/liflines/browse.c
	src/liflines/show.c

	Fix next_spouse to not ASSERT on missing spouse.
	Fix 2 record leaks (ihusb & iwife) in init_display_fam.

	* ChangeLog INSTALL NEWS README.MAINTAINERS
	build/msvc6/dbverify/dbVerify.rc build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc build/rpm/lifelines.spec
	configure.in docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml src/hdrs/version.h

	Bump versions for 3.0.43.

	* ChangeLog NEWS

	Record memory leak fixes in NEWS.

	* ChangeLog docs/ll-devguide.xml

	Additions to devguide, in the stdlib section.

	* ChangeLog po/da.po po/de.po po/el.po po/fr.po po/it.po
	po/nl.po po/pl.po po/sv.po

	Rebuild message catalogs for 3.0.42 release.

2005-02-10 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c src/gedlib/node.c

	Fix leak of record in indi_to_next_sib_old.

	* ChangeLog src/tools/dbverify.c

	Cosmetic: added newline to bottom of dbverify.c.

2005-02-09 Stephen Dum
	* ChangeLog  src/gedlib/date.c  src/stdlib/list.c

	Fixed 2 memory leaks.

2005-02-09 Perry Rapp

	* ChangeLog src/interp/pvalue.c

	Fix leak of record in create_pvalue_from_cel.

	* ChangeLog src/gedlib/keytonod.c

	Fix leak of record in key_to_type.

2005-02-08 Perry Rapp

	* ChangeLog src/interp/alloc.c src/interp/interp.c

	Fix leak of pvalue returned to main proc.

	* ChangeLog src/hdrs/version.h src/interp/symtab.c

	Fix leak of assignments of nulls and ints with same value
	in insert_symtab (self-assignment check that did not belong).
	Bump version to 3.0.42d to differentiate from release.

2005-02-08 lifelines beta 3.0.42-2 RELEASE

2005-02-08 Stephen Dum
	* ChangeLog  docs/ll-reportmanual.html  docs/ll-reportmanual.pdf 
	  docs/ll-reportmanual.txt  docs/ll-userguide.html 
	  docs/ll-userguide.pdf docs/ll-userguide.txt

	update docs for 3.0.42

2005-02-08 lifelines beta 3.0.42 RELEASE

2005-02-08 Perry Rapp

	* ChangeLog NEWS src/gedlib/keytonod.c src/gedlib/lldatabase.c

	Free nodes which were leaked in cache.

	* ChangeLog src/tools/dbverify.c

	dbverify: convert tables to generic tables.

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/lldatabase.c
	src/gedlib/node.c src/gedlib/record.c

	Add record leak count to leak log.

	* ChangeLog INSTALL build/msvc6/dbverify/dbVerify.rc
	build/msvc6/llexec/llexec.rc build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec configure.in docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml src/hdrs/version.h

	Bump version for 3.0.42.

	*

	Update pot & message catalogs.
	

2005-02-07 Perry Rapp

	* ChangeLog lines.cfg src/interp/pvalue.c src/interp/symtab.c

	Fix leak of pvalues of existing variables in insert_symtab.

	* ChangeLog src/interp/alloc.c src/interp/interpi.h
	src/interp/pvalalloc.c

	Fix leak of pvalues in ivaluex in pnodes.

	* ChangeLog src/gedlib/xreffile.c

	Fix prototype for addxref_impl to fix gcc compilation.

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/lldatabase.c
	src/gedlib/node.c

	New function check_node_leaks.

	* ChangeLog src/gedlib/node.c src/interp/pvalalloc.c

	Add node leak count to leak log, and add time stamps, and append.

2005-02-06 Perry Rapp

	* ChangeLog src/liflines/llexec.c src/liflines/main.c
	src/liflines/pedigree.c src/liflines/screen.c

	More converting make_list_empty/remove_list2 to remove_list.

	* ChangeLog src/interp/interp.c src/stdlib/list.c

	Convert gproctab & gfunctab to generic table, and delete
	freelistentry which is thereby unused.

	* ChangeLog src/btree/index.c src/hdrs/btree.h
	src/tools/dbverify.c

	dbverify: Convert (unused) fkeytab to generic table.
	Implement checking for cycle in btree index files.

	* ChangeLog src/gedlib/indiseq.c src/gedlib/init.c
	src/gedlib/names.c src/gedlib/xlat.c
	src/hdrs/list.h src/hdrs/table.h src/interp/interp.c
	src/liflines/llexec.c src/liflines/main.c
	src/liflines/pedigree.c src/liflines/screen.c
	src/stdlib/list.c src/stdlib/listener.c
	src/stdlib/proptbls.c src/tools/dbverify.c

	Reorg list.h in sections like table.h.
	Rename remove list functions to destroy list.

	* ChangeLog src/gedlib/indiseq.c src/hdrs/list.h src/hdrs/table.h
	src/interp/more.c src/stdlib/list.c src/stdlib/table.c

	Make list iterators heap objects like table iterators.

	* ChangeLog src/interp/interp.c

	Convert "destroy_list2(list, NULL)" calls to "destroy_list(list)".

	* ChangeLog src/btree/btreei.h src/gedlib/gedcomi.h
	src/hdrs/btree.h

	Move some btree internal calls to btreei.h.

	* ChangeLog src/hdrs/table.h src/tools/dbverify.c

	Remove unused traverse_table function. Fix dbverify compile.

	* ChangeLog src/gedlib/names.c src/hdrs/gedcom.h
	src/interp/more.c src/liflines/scan.c

	Convert name_to_list to return new list (simplifying cleanup).

	* ChangeLog src/gedlib/names.c src/hdrs/gedcom.h
	src/liflines/screen.c

	Remove obsoleted function free_name_list.
	Cleanup destruction of msg_list.
	Remove obsoleted function free_string_list.
	Remove obsoleted function free_string_el.

	* ChangeLog src/gedlib/lloptions.c src/gedlib/locales.c
	src/hdrs/llstdlib.h src/stdlib/listener.c

	Alter notifier lists to use create_list2 instead of remove_list2.

	* ChangeLog src/hdrs/list.h src/stdlib/list.c

	Alter release_list not to use remove_list2, and delete now unused
	remove_list2 function.

	* ChangeLog src/hdrs/list.h src/interp/interp.c
	src/interp/pvalue.c src/stdlib/list.c

	Move destructor spec (used for pvalues) from release_list to
	new create_list3.

	* ChangeLog reports/st/st_db.li src/gedlib/place.c
	src/hdrs/gedcom.h src/hdrs/list.h src/interp/more.c
	src/stdlib/list.c

	Alter place_to_list and value_to_list to return list as output.
	Make in_string a local function in place.c. Delete now unused
	function set_list_type. Add extractplaces to st_db.li.

	* ChangeLog src/gedlib/keytonod.c src/hdrs/table.h
	src/interp/symtab.c src/stdlib/table.c

	Rename delete_table to delete_table_element.

	* ChangeLog src/interp/interp.c src/interp/interpi.h
	src/interp/symtab.c

	Rename delete_symtab to delete_symtab_element.

	* ChangeLog src/gedlib/keytonod.c src/hdrs/table.h
	src/interp/symtab.c src/stdlib/table.c

	Rename delete_table_element to delete_table_element_old.
	New delete_table_element which does free memory.

	* ChangeLog src/hdrs/pvalue.h src/hdrs/table.h
	src/interp/pvalalloc.c src/interp/pvalue.c src/interp/symtab.c
	src/stdlib/table.c

	Convert symtab to use generic table.
	Fix free_all_pvalues (was not handling leaked pvalues
	cross-linked between blocks).

	* ChangeLog src/hdrs/table.h src/stdlib/table.c

	Remove no longer used function create_table_old.

	* ChangeLog src/gedlib/gengedc.c src/gedlib/xlat.c
	src/hdrs/table.h src/stdlib/table.c

	Move gengedc.c local table_incr_item to table.c table_incr_int.
	Fix next_table_ptr to use const key.

	* ChangeLog src/interp/interp.c src/interp/interpi.h
	src/interp/symtab.c

	Add code to check for leaked symbol tables.

	* .linesrc ChangeLog lines.cfg src/hdrs/table.h
	src/interp/interpi.h src/interp/intrpseq.c src/interp/pvalalloc.c
	src/interp/pvalue.c src/interp/symtab.c src/stdlib/table.c

	Add leak statistics and new option ReportLeakLog.
	New function next_table_int.

	* ChangeLog src/gedlib/xreffile.c

	Add prototypes for add?xref_impl.

	* ChangeLog src/gedlib/xreffile.c

	Remove unused function add_xref_to_set.

2005-02-05 Perry Rapp

	* ChangeLog NEWS src/gedlib/xreffile.c

	Fix buggy growxrefs; set->max must be bigger than set->n,
	and shift was wrong direction, so this utterly failed 
	at 65th insert.

	* ChangeLog src/interp/interp.c

	Avoid ASSERTs for missing records in forindi, forfam, etc loops.

	* ChangeLog src/gedlib/intrface.c src/gedlib/messages.c
	src/gedlib/refns.c src/hdrs/gedcom.h src/liflines/delete.c
	src/liflines/llinesi.h src/liflines/screen.c src/tools/dbverify.c

	llines & dbverify: Change terminology for records in index but
	lacking data from orphaned to missing data records. Remove llines
	UI for fixing these, and add dbverify M switch to fix them.

	* ChangeLog src/gedlib/indiseq.c src/gedlib/init.c
	src/gedlib/lldatabase.c src/gedlib/names.c src/gedlib/xlat.c
	src/hdrs/list.h src/interp/interp.c src/liflines/llexec.c
	src/liflines/main.c src/liflines/pedigree.c src/liflines/screen.c
	src/stdlib/list.c src/stdlib/listener.c src/stdlib/proptbls.c
	src/tools/dbverify.c

	Some internal list cleanup; new function remove_empty_list.
	Rename remove_list to remove_list2.

	* ChangeLog src/gedlib/intrface.c src/gedlib/xreffile.c
	src/hdrs/gedcom.h src/tools/dbverify.c

	dbverify: Add code to fix unfreed but missing records.

	* ChangeLog src/gedlib/intrface.c src/gedlib/xreffile.c
	src/hdrs/gedcom.h src/liflines/browse.c src/tools/dbverify.c

	dbverify: Add code to fix live records marked as deleted.
	Move some gedcom.h declarations to module areas.

	* ChangeLog src/hdrs/list.h src/stdlib/list.c

	Consolidate list element removal code into make_list_empty_impl.

	* ChangeLog src/gedlib/indiseq.c src/gedlib/init.c src/gedlib/xlat.c
	src/hdrs/list.h src/interp/builtin.c src/interp/interp.c
	src/stdlib/list.c src/stdlib/listener.c

	New function remove_list.

	* ChangeLog NEWS

	Fix NEWS now that missing record fixes are in dbverify not llines.

	* ChangeLog src/hdrs/pvalue.h src/interp/pvalalloc.c

	Remove PUNINT (use PNULL from the beginning).

2005-02-04 Perry Rapp

	* ChangeLog src/gedlib/node.c src/hdrs/gedcom.h
	src/tools/dbverify.c

	New function change_node_tag.
	dbverify: Fix bug in fix_bad_pointer which was corrupting node tags.

	* ChangeLog src/tools/dbverify.c

	dbverify: Change option -L to -l, and add to usage string.

	* ChangeLog src/tools/dbverify.c

	dbverify: Add orphan checking

2005-02-04 Jens Arvidsson

	* ChangeLog po/sv.po

	Update Swedish translation.
	
2005-02-04 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c src/gedlib/node.c
	src/hdrs/gedcom.h src/tools/dbverify.c

	dbverify: Fix bad wife & child references in family.
	Fix fam_to_wife_node to ignore bad key (reference).
	Rewrite FORCHILDREN, FORCHILDRENx, etc for maximal efficiency,
	and to avoid ASSERTs.
	dbverify: Handle null keys in print outputs.

	* ChangeLog src/liflines/main.c

	Remove declaration of nonexistent check_version_compat function.

	* ChangeLog src/tools/dbverify.c

	dbverify: Change -P2 to -F, for fix family lineage.

2005-02-03 Perry Rapp

	* ChangeLog src/interp/alloc.c src/interp/interp.c
	src/stdlib/table.c

	Change rptinfo->functab from old table to generic table.

	* ChangeLog src/gedlib/keytonod.c src/liflines/add.c
	src/liflines/browse.c src/liflines/error.c src/liflines/screen.c
	src/stdlib/generic.c

	Minor optimization in copy_generic_value (skip clear_generic call).
	Avoid reentrancy in __fatal (to avoid infinite ASSERT loop).
	Fix some reference counts in adding new person and new family.

	* ChangeLog src/liflines/browse.c src/liflines/screen.c

	After adding new S/E/X record, browse to it.

	* ChangeLog src/interp/alloc.c src/interp/interp.c

	Change rptinfo->proctab from old table to generic table.

	* ChangeLog src/interp/interp.c src/stdlib/generic.c
	src/stdlib/table.c

	Change pactx->filetab from old table to generic table. Also
	fix leak of its elements (which are tables).

	* ChangeLog src/gedlib/node.c src/gedlib/record.c src/hdrs/list.h
	src/hdrs/object.h src/hdrs/table.h src/hdrs/vtable.h
	src/interp/alloc.c src/interp/interp.c src/interp/pvalue.c
	src/interp/symtab.c src/stdlib/array.c src/stdlib/generic.c
	src/stdlib/list.c src/stdlib/object.c src/stdlib/table.c
	src/stdlib/vtable.c

	Rename addref_obj to addref_object, and delref_obj to release_object.
	Rename delref_table to release_table, and delref_list to release_list.

	* ChangeLog src/gedlib/indiseq.c src/gedlib/intrface.c
	src/gedlib/keytonod.c src/gedlib/record.c src/gedlib/refns.c
	src/hdrs/gedcom.h src/interp/pvalue.c src/liflines/add.c
	src/liflines/browse.c

	Rename delref_record to release_record.
	Initialize vtable of record objects.

	* ChangeLog src/gedlib/brwslist.c src/liflines/lbrowse.c

	Make blel into an object.

	* ChangeLog src/gedlib/node.c src/hdrs/gedcom.h

	Skip over invalid spouses in FORFAMSS without ASSERT.
	Make next_spouse handle invalid spouses.
	Skip over invalid spouses in FORSPOUSES without ASSERT.
	Skip over invalid spouses in FORFAMSPOUSES without ASSERT.


	* ChangeLog src/hdrs/gedcom.h

	Skip over invalid children in FORCHILDRENx without ASSERT.

	* ChangeLog src/tools/dbverify.c

	Add "CHIL" to lineage_tags in dbverify.

	* ChangeLog src/btree/btrec.c src/gedlib/gstrings.c
	src/gedlib/node.c src/gedlib/spltjoin.c src/hdrs/gedcom.h
	src/interp/write.c src/liflines/advedit.c src/liflines/browse.c
	src/tools/dbverify.c

	dbverify: Remove unused fix_xxx members of struct work.
	dbverify: Implement fix/alter for missing spouse & children.
	Move normalize_indi from private browse.c to public spltjoin.c.
	Fix fam_to_list_string to not crash on bad HUSB.

	* ChangeLog src/tools/dbverify.c

	Cosmetic: fix unused arg warning in fix_bad_pointer.

	* ChangeLog src/tools/dbverify.c

	dbverify: Add shell for fixing family pointers.

	* ChangeLog src/gedlib/spltjoin.c src/hdrs/gedcom.h
	src/tools/dbverify.c

	dbverify: Implement code to fix family pointers.
	New function normalize_fam.

2005-02-02 Perry Rapp

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/keytonod.c
	src/gedlib/record.c

	Fix ASSERT crash when cache fills.
	Remove function cel_set_record.
	New function record_remove_cel.
	Rename set_record_cache_info to record_set_cel;

	* ChangeLog src/gedlib/keytonod.c

	Add more ASSERTs to key_to_cacheel.

	* ChangeLog src/gedlib/date.c src/hdrs/table.h
	src/stdlib/table.c

	Handle generics in table valueofxx functions.
	Remove function valueofbool_impl.
	Implement table valuexx functions via valueofxx functions.
	Remove default value argument to valueof_int.

	* ChangeLog src/hdrs/generic.h src/hdrs/table.h
	src/interp/alloc.c src/interp/interpi.h
	src/stdlib/generic.c src/stdlib/table.c src/stdlib/vtable.c

	Make rptinfo into an object (with vtable).
	Store rptinfos in table as objects.

	* ChangeLog src/hdrs/pvalue.h
	src/interp/builtin.c src/interp/pvalue.c src/stdlib/list.c

	Create lists with refcount of 1.

	* ChangeLog src/gedlib/nodeio.c src/gedlib/refns.c
	src/hdrs/gedcom.h src/hdrs/liflines.h src/hdrs/table.h
	src/liflines/add.c src/liflines/browse.c
	src/liflines/edit.c src/liflines/llinesi.h
	src/liflines/screen.c src/liflines/tandem.c

	New function write_fam_to_file_for_edit (gains BOM handling).
	Split add_family into add_family_by_edit and local add_new_fam_to_db.
	Renamed add_new_indi to add_new_indi_to_db & made local.
	Prevent obscure crash by locking record during 
	annotate_with_supplemental.

	* ChangeLog NEWS src/gedlib/intrface.c src/gedlib/keytonod.c
	src/gedlib/messages.c src/gedlib/refns.c src/hdrs/gedcom.h
	src/hdrs/liflines.h src/liflines/add.c src/liflines/ask.c
	src/liflines/delete.c src/liflines/llinesi.h src/liflines/screen.c

	New function ensure_cel_has_record.
	Fix so new cache elements get records immediately (avoids a crash
	adding new source).
	New function & UI choice choose_and_remove_orphaned_record.
	New function choose_and_remove_orphaned_record.
	New function delete_orphaned_record.

2005-02-01 Perry Rapp

	* ChangeLog src/stdlib/table.c

	Fix string leak in table_insert_ptr.

	* ChangeLog NEWS docs/ll-reportmanual.xml
	reports/st/st_all.ll reports/st/st_list.li
	src/interp/builtin.c
	*NEW reports/st/st_table.li

	Add self-test report for tables.
	Extend report 'empty' function to handle tables & sets.

	* ChangeLog docs/ll-reportmanual.xml

	Fix argument type specified for fornotes in report manual.

	* ChangeLog reports/st/st_db.li

	Add fornotes loop to st_db.li.

	* ChangeLog src/gedlib/gengedc.c

	Fix string leak in table_incr_item.

	* ChangeLog src/stdlib/table.c

	Remove no longer used table type TB_INT.

	* ChangeLog reports/Makefile.am

	Add new st_table.li to Makefile.am.

	* ChangeLog configure.in src/hdrs/version.h

	Bump version to 3.0.41d to differentiate from release.

	* ChangeLog src/gedlib/lloptions.c src/hdrs/lloptions.h

	Remove unused functions set_global_options, get_global_options.
	Change f_global to be generic table.

	* ChangeLog src/gedlib/date.c src/gedlib/gengedc.c
	src/gedlib/indiseq.c src/gedlib/init.c src/gedlib/lloptions.c
	src/gedlib/names.c src/hdrs/table.h src/stdlib/table.c

	Rename create_table_new to create_table_new.

	* ChangeLog src/hdrs/pvalue.h src/interp/builtin.c
	src/interp/pvalue.c src/stdlib/table.c

	New function create_pvalue_from_table.
	Addref new tables in create function.

2005-01-31 lifelines beta 3.0.41 RELEASE

2005-01-31 Perry Rapp

	* ChangeLog build/msvc6/btedit/bteditCmd.dsp
	build/msvc6/dbverify/dbverifyCmd.dsp
	src/gedlib/indiseq.c src/hdrs/indiseq.h
	src/tools/dbverify.c

	Fix compilation of dbverify, and tools MSVC6 projects
	(which I broke back on 2005-01-25).

	* ChangeLog src/hdrs/generic.h src/stdlib/generic.c

	Fix generics not to use unnamed member (to avoid pre-gcc 3
	compilation problems).

	* ChangeLog NEWS

	Prepare NEWS for 3.0.41.

	* ChangeLog README.MAINTAINERS

	Revise release order to get new pot and po files into release.

	* ChangeLog build/msvc6/btedit/btedit.rc
	build/msvc6/dbverify/dbVerify.rc
	build/msvc6/llexec/llexec.dsp build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc
	src/hdrs/version.h

	Prepare MSVC6 projects for 3.0.41. Fix compilation of llexec
	project (which I broke back on 2005-01-25).


	* ChangeLog INSTALL configure.in build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml po/da.po po/de.po po/el.po po/fr.po
	po/it.po po/nl.po po/pl.po po/sv.po

	Prepare 3.0.41 release.

2005-01-30 Matt Emmerton

	* ChangeLog src/interp/interp.c

	Set ranit=0 when cancel occurs in report selection box.
	Fixes sf bug#695876.

2005-01-30 Matt Emmerton

	* ChangeLog configure.in
	ADD: src/arch/nl_langinfo.c
	DEL: src/arch/langinfo.c

	Update configure script with proper detection logic for nl_langinfo().
	Rename files to work properly with configure logic.  Fix bug in our
	version of nl_langinfo() that was causing the ncurses-5.4 crashes.

	* ChangeLog build/msvc6/llexec/llexec.dsp
	build/msvc6/llines/llinesprj.dsp build/msvc6/dbverify/dbverifyCmd.dsp

	Update MSVC build files to handle changed filenames.

	* ChangeLog src/liflines/main.c

	Remove the ncurses-5.4 detection logic.

2005-01-30 Perry Rapp

	* ChangeLog build/rpm/lifelines.spec

	Cosmetic: add some comments in lifelines.spec.

	* ChangeLog src/stdlib/list.c

	Remove unused macro lrefcnt.

	* ChangeLog docs/ll-userguide.xml

	Reformat most of codeset explanations to fit 80 char screen
	(like surrounding sections).

	* ChangeLog docs/ll-userguide.xml

	Revise and extend user guide section on codesets.

	* ChangeLog src/gedlib/keytonod.c

	Cosmetic: remove obsolete variables from remove_from_cache.

	* ChangeLog src/interp/pvalue.c

	Cosmetic: Remove (my) questioning comment in set_pvalue.

	* ChangeLog src/gedlib/gengedc.c src/gedlib/indiseq.c
	src/hdrs/indiseq.h src/hdrs/pvalue.h
	src/interp/interp.c src/interp/pvalue.c
	src/liflines/ask.c src/liflines/delete.c src/liflines/lbrowse.c

	Move SORTEL (indiseq element) structure from indiseq.h to indiseq.c.
	Related const fixes.

2005-01-29 Perry Rapp

	* ChangeLog src/hdrs/table.h src/stdlib/table.c

	Remove unused function next_table_str.

	* ChangeLog src/gedlib/node.c src/gedlib/record.c
	src/gedlib/xlat.c src/hdrs/generic.h src/hdrs/table.h
	src/interp/alloc.c src/interp/interp.c src/interp/interpi.h
	src/interp/symtab.c src/stdlib/array.c src/stdlib/generic.c
	src/stdlib/list.c src/stdlib/table.c src/stdlib/zstr.c

	Encapsulated table & symbol table iterators into implementation
	(behind typedef'd pointers TABLE_ITER and SYMTAB_ITER).

	* ChangeLog src/interp/more.c

	Fix list leak in __extractnames.

	* ChangeLog src/gedlib/editmap.c

	Remove curses include & unneeded endwin call in editmap.

	* ChangeLog src/stdlib/rbtree.c

	Cosmetic: self-assign to avoid compiler warning for 
	unused variable in NullFunction.

2005-01-28 Perry Rapp

	* ChangeLog src/interp/alloc.c

	Fix three zstr leaks in clear_rptinfos.

	* ChangeLog src/interp/lex.c

	Comment a leak location for later diagnosis.

	* ChangeLog src/gedlib/keytonod.c src/interp/symtab.c

	Fix key leak in remove_cel_from_cache.

	* ChangeLog src/interp/interp.c

	Fix leak of plist in interp_program_list.

	* ChangeLog reports/Makefile.am

	Move st reports into own variable and add missing st_name
	and st_list files.

	* ChangeLog reports/Makefile.am

	Add explanatory comments to targets in reports/Makefile.am,
	and remove ST only target.

	* ChangeLog src/interp/more.c

	Fix string leak in __rjustify.

	* ChangeLog src/stdlib/listener.c

	Revise delete_listener to free list if empty, to fix leak
	in empty lists.

2005-01-27 Perry Rapp

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/keytonod.c
	src/gedlib/nodeio.c src/gedlib/record.c src/hdrs/gedcom.h
	src/interp/pvalue.c

	Give cacheel pointer to record, so we can reuse records.
	Rename create_record_for_cel to get_record_for_cel 
	and reuse record. Fix delete_cache to actually get all
	active cache elements (not just first in each hash chain).

	* ChangeLog src/gedlib/record.c

	Move free_rec up next to alloc_new_record and also declare it.

	* ChangeLog src/gedlib/indiseq.c src/gedlib/keytonod.c
	src/gedlib/names.c src/liflines/browse.c

	Comment more functions which addref record. Fix record leak
	in key_to_indiseq.

	* ChangeLog src/liflines/browse.c

	Fix current record leak returning from browse_indi_modes.

	* ChangeLog src/liflines/browse.c

	New function setrecord. Fix record leaks in browse_indi_modes.

	* ChangeLog src/liflines/browse.c

	Fix record leaks in browse_fam.

	* ChangeLog src/gedlib/choose.c src/liflines/browse.c

	Fix record leaks in browse_aux.

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/keytonod.c
	src/gedlib/nodeio.c src/gedlib/record.c src/liflines/add.c

	Fix record leak in add_indi_by_edit.
	Fix set_record_cache_info to hook cel & record together completely.

	* ChangeLog src/gedlib/init.c src/gedlib/xlat.c
	src/hdrs/xlat.h

	New function xlat_shutdown to fix some xlat leaks.

	* ChangeLog src/gedlib/lldatabase.c src/gedlib/xreffile.c

	Fix some leaks in closexref.

	* ChangeLog src/gedlib/xlat.c

	Fix leak in free_xlat.

	* ChangeLog src/btree/opnbtree.c

	Fix block & index leak in initbtree.

	* ChangeLog src/gedlib/charmaps.c

	Fix zstr leak in init_map_from_rec.

	* ChangeLog src/gedlib/init.c src/gedlib/lldatabase.c
	src/hdrs/gedcom.h

	Fix lldb leaks.

	* ChangeLog src/gedlib/valtable.c

	Fix string leak in init_valtab_from_string.

2005-01-26 Stephen Dum

        * ChangeLog docs/ll-reportmanual.xml docs/ll-userguide.sv.xml
	docs/ll-userguide.xml

        Make docbook versions consistant in xml files and 4.2.

2005-01-25 Perry Rapp

	* ChangeLog src/gedlib/intrface.c src/gedlib/keytonod.c
	src/gedlib/names.c src/gedlib/refns.c src/gedlib/remove.c
	src/gedlib/xreffile.c src/hdrs/gedcom.h src/hdrs/table.h
	src/liflines/add.c src/stdlib/table.c

	Convert record macros nzkey, nzkeynum, nztype to functions,
	and const correctness fixes.

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/btree/Makefile.am src/gedlib/Makefile.am
	src/gedlib/gedcomi.h src/gedlib/indiseq.c
	src/gedlib/intrface.c src/gedlib/keytonod.c src/gedlib/node.c
	src/hdrs/ src/hdrs/btree.h src/hdrs/gedcom.h src/hdrs/pvalue.h
	src/interp/builtin.c src/interp/more.c src/interp/pvalue.c
	src/liflines/add.c src/stdlib/list.c
	*NEW src/btree/btrec.c
	*emptied src/btree/record.c
	*NEW src/gedlib/record.c

	Move record struct & all associated functions into new file record.c.
	Rename btree/record.c to btrec.c.
	Rename pvalue_to_rec to pvalue_to_record. Make records objects
	and reference counted.

	* ChangeLog src/gedlib/indiseq.c src/hdrs/gedcom.h

	Free records in macros FORCHILDRENx, FORCHILDREN, FORFAMCS.
	Fix bug in remove_indiseq. Fix multiple delete bug in FORFAMS.

	* ChangeLog src/liflines/browse.c

	Fix goto_indi_child not to use deleted record.

	* ChangeLog reports/st/st_db.li

	Add children loop to st_db.li.

	* ChangeLog src/gedlib/keytonod.c src/interp/pvalue.c

	Fix record leak in create_pvalue_from_key_impl.

2005-01-24 Perry Rapp

	* ChangeLog src/gedlib/init.c src/gedlib/node.c
	src/stdlib/table.c

	Convert tagtable into generic table.

	* ChangeLog src/interp/builtin.c

	Modify __indi not to crash on empty string.

	* ChangeLog src/btree/index.c

	Free index cache blocks in freecache.

	* ChangeLog src/stdlib/table.c

	Fix key and string value leaks in table_insert_string.

2005-01-23 Perry Rapp

	* ChangeLog src/gedlib/date.c src/stdlib/table.c

	Revise date keywordtbl to use new generic table.
	Fix new_table_entry_impl to duplicate key (generic tables
	duplicate all keys).

	* ChangeLog reports/st/st_db.li src/gedlib/indiseq.c
	src/hdrs/indiseq.h src/interp/intrpseq.c

	Change parent_indiseq, child_indiseq, and sibling_indiseq
	to use new generic table.
	Add childset, siblingset, spouseset, ancestorset, descendentset,
	uniqueset calls to st_db.li.
	Revise append_indiseq_pval to always copy the key (eliminate the
	alloc arg).

	* ChangeLog src/interp/intrpseq.c

	Fix __indiset to use prog_var_error (& therefore report debugger).

	* ChangeLog src/interp/alloc.c src/interp/intrpseq.c

	Fix __addtoset to use prog_var_error (& therefore report debugger).
	New error message nonsetx.

	* ChangeLog docs/ll-reportmanual.xml reports/st/st_db.li
	src/interp/intrpseq.c

	Fix return values (VOID) of addtoset & deletefromset in manual.
	Add inset and deletefromset calls to st_db.li.
	Fix __inset to use prog_var_error (& therefore report debugger).
	Fix __deletefromset to use prog_var_error (& therefore report debugger).

	* ChangeLog reports/st/st_db.li src/interp/alloc.c
	src/interp/intrpseq.c

	Fix __namesort, __keysort, __valuesort to use prog_var_error.
	New error message nonset1. Add dt_db.li calls to set sort functions.

	* ChangeLog src/hdrs/generic.h src/hdrs/table.h
	src/stdlib/generic.c src/stdlib/rbtree.c src/stdlib/stack.c
	src/stdlib/stack.h

	Cosmetic & cleanup for compiler warnings.

	* ChangeLog reports/st/st_db.li src/interp/intrpseq.c

	Fix __uniqueset, __union, __intersect, __difference to
	use prog_var_error. Add interset, difference calls to st_db.li.

	* ChangeLog src/gedlib/gengedc.c src/hdrs/standard.h
	src/hdrs/table.h src/stdlib/table.c

	Convert gengedcom tables to new generic style.
	Adjust traverse_table_param to handle generic values.

	* ChangeLog src/gedlib/indiseq.c

	Convert descendent_indiseq to use new generic tables.

	* ChangeLog src/gedlib/names.c

	Convert names.c to use generic tables.

	* ChangeLog reports/st/st_db.li src/interp/intrpseq.c

	Fix __parentset, __childset, __siblingset, __spouseset,
	__ancestorset, __descendentset, __gengedcom, __gengedcomweak,
	__gengedcomstrong to use prog_var_error.
	Modify st_db.li to call gengedcom, gengedcomweak.

	* ChangeLog src/hdrs/generic.h src/hdrs/standard.h

	Use compiler guard to prevent more than one instance
	of GENERIC typedef.

	* ChangeLog src/hdrs/generic.h src/hdrs/standard.h

	Fix just added compiler guard to work properly (needs define).

2005-01-22 Perry Rapp

	* ChangeLog src/stdlib/generic.c src/stdlib/table.c

	More infrastructure for generics & mixed tables.

	*ChangeLog src/gedlib/date.c src/gedlib/editvtab.c
	src/gedlib/indiseq.c src/gedlib/init.c src/gedlib/keytonod.c
	src/gedlib/lloptions.c src/gedlib/names.c src/gedlib/xlat.c
	src/hdrs/table.h src/interp/builtin.c src/interp/interp.c
	src/liflines/import.c src/liflines/llexec.c src/liflines/main.c
	src/liflines/screen.c src/liflines/valgdcom.c
	src/stdlib/proptbls.c src/stdlib/table.c src/tools/dbverify.c

	Rename create_table to create_table_old2.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp

	Add object.c, generic.c, and miscellaneous headers to VC6 project,
	to fix compilation.

2005-01-21 Perry Rapp

	* ChangeLog src/gedlib/lloptions.c src/hdrs/generic.h
	src/hdrs/table.h src/stdlib/generic.c src/stdlib/table.c

	Continue converting tables to generics: new function create_table_new.

2005-01-19 Stephen Dum

	* ChangeLog INSTALL
	Add some text to INSTALL describing where to find doc generation
	tools.

2005-01-20 Perry Rapp

	* ChangeLog src/stdlib/table.c

	Fix next_table_str for generic values.

2005-01-19 Perry Rapp

	* ChangeLog src/stdlib/table.c

	Fix free_contents for generic values.

2005-01-18 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/gengedc.c src/hdrs/table.h src/stdlib/table.c

	Add new generic module (union and selector).
	Start converting table to use generic entries.
	Remove table methods access_value_int, access_value_ptr,
	and access_value_str.
	Implement generics in integers stored in table.

	*NEW src/hdrs/generic.h
	*NEW src/stdlib/generic.c

	New generic module.

	* ChangeLog src/hdrs/Makefile.am src/stdlib/Makefile.am

	Add new generic files to Makefiles.

2005-01-17 Perry Rapp

	* ChangeLog src/gedlib/names.c

	const correct fix in callback signature (traverse_name_callback)

	* ChangeLog src/gedlib/remove.c

	Prevent compiler warnings: self-assign unused argument in
	remove_fam_record; remove declaration of nonexistent
	function count_xrefs_in_list.

	* ChangeLog src/gedlib/remove.c src/interp/interp.c
	src/stdlib/zstr.c

	Cleanup: Mark unused function argument as unused.

	* ChangeLog src/interp/pvalue.c

	Code cleanup: unused parameters and remove obsolete
	functions (pvalue_to_pint, pvalue_to_pfloat).

	* ChangeLog src/gedlib/names.c src/hdrs/gedcom.h

	Const-correctness: fix callback of traverse_names to use
	const string key.

2005-01-16 Perry Rapp

	* ChangeLog po/fr.po

	Fix missing errors/warnings plural forms in French catalog.

	* ChangeLog configure.in src/hdrs/version.h

	Bump version to 3.0.40i, for interim between releases.

	* ChangeLog src/interp/builtin.c src/interp/intrpseq.c
	src/interp/more.c

	Convert more pvalue access to encapsulated calls.

	* ChangeLog src/hdrs/gedcom.h src/gedlib/node.c

	Add object vtable to node.

	* ChangeLog src/stdlib/Makefile.am

	Add lacking headers to EXTRA_DIST in src/stdlib/Makefile.am.

	* ChangeLog src/hdrs/pvalue.h src/interp/builtin.c
	src/interp/more.c src/interp/pvalmath.c src/interp/pvalue.c

	Rename PANY to PNULL.

	* ChangeLog src/btree/traverse.c src/gedlib/intrface.c
	src/gedlib/nodeio.c src/gedlib/refns.c src/hdrs/btree.h
	src/hdrs/gedcom.h

	Fix const typing in db traversal.

	* ChangeLog src/hdrs/pvalue.h src/hdrs/pvalue.h
	src/interp/more.c src/interp/pvalalloc.c
	src/interp/pvalue.c

	Remove PNONE (use PNULL instead).

	* ChangeLog

	Fix ChangeLog (contents were duplicated due to non-merged
	conflict).

2005-01-15 Perry Rapp

	* ChangeLog src/gedlib/init.c src/hdrs/list.h
	src/interp/pvalue.c src/liflines/screen.c
	src/stdlib/list.c src/ui/ui_cli.c

	Move tag_list inside list.c, and implement vtable for list.

	* ChangeLog src/hdrs/pvalue.h src/interp/builtin.c
	src/interp/pvalue.c

	New encapsulating wrappers create_pvalue_from_list, 
	create_pvalue_from_table, and set_pvalue_seq.
	Renamed create_pvalue_from_set to create_pvalue_from_seq.
	Reordered pvalue type blocks into order of types in pvalue.h
	(int,float,bool,string,node,indi,...).

	* ChangeLog src/hdrs/pvalue.h src/interp/pvalmath.c

	Removed pvalue_to_pfloat & pvalue_to_pint.

2005-01-14 Perry Rapp

	* ChangeLog README.MAINTAINERS

	More instructions for building release, including updating
	the message catalog template (lifelines.pot) first.

2005-01-14 Jens Arvidsson

	* ChangeLog po/sv.po

	Update Swedish translation (1.44->1.46, 9 changes).
	
2005-01-14 Perry Rapp

	* ChangeLog po/sv.po

	Change no-break space to space (in [ Minska menu item).

	* ChangeLog src/liflines/menuset.c

	Fix char to uchar for non-ASCII menu keys.

	* ChangeLog src/interp/eval.c

	Fix evaluate_ufunc not to crash deleting symbol table 
	on undefined function.
	Fixes sf bug#1102127 (ASSERT on call to undefined function)

	* ChangeLog src/gedlib/indiseq.c src/hdrs/gedcom.h

	Fix parent_indiseq to handle non-traditional families.
	New traversal macro FORFAMSPOUSES.
	Fixes sf bug#1102130 (parentset doesn't include extra parents)

	* ChangeLog src/gedlib/indiseq.c

	Simplify indi_to_spouses to use new FORFAMSPOUSES.

	* ChangeLog src/gedlib/indiseq.c

	Fix ancestor_indiseq to handle extra parents.
	Fixes sf bug#1102138 (ancestorset doesn't include extra parents)

	* ChangeLog src/interp/interp.c

	Fix interp_call to avoid ASSERT trying to delete empty symtab.

	* ChangeLog po/fr.po

	Updated French message catalog from Patrick Texier (42 changes).

2005-01-13 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/gengedc.c src/hdrs/llstdlib.h
	src/hdrs/table.h src/interp/builtin.c
	src/interp/interp.c src/interp/pvalue.c
	src/liflines/error.c
	src/liflines/main.c src/stdlib/table.c
	*NEW src/stdlib/rbtree.c
	*NEW src/stdlib/rbtree.h
	*NEW src/stdlib/stack.c
	*NEW src/stdlib/stack.h
	*NEW src/stdlib/stdlib.c

	Move table data declarations inside table.c.
	Add red/black (rbtree.*) and stack (stack.*) modules.

	* ChangeLog src/stdlib/Makefile.am src/tools/btedit.c
	src/tools/dbverify.c

	Add new files to Makefile.am. Fix __fatal implementations
	for const-correctness.

2005-01-12 Stephen Dum
	* ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
	  docs/ll-userguide.html docs/ll-userguide.pdf docs/ll-userguide.txt
	  INSTALL

	  update docs from xml's
	  Add bison to list of dependencies

2005-01-12 lifelines beta 3.0.40 RELEASE

2005-01-13 Perry Rapp

	* ChangeLog src/liflines/loadsave.c

	Fix initial counts for save (row was wrong and lacked i18n).

	* ChangeLog src/liflines/loadsave.c

	i18n import_validating ("0 Warnings" and "0 Errors")

	* ChangeLog reports/st/st_string.li

	Fix strconcat and concat tests on undef (now return "" not null).

	* ChangeLog INSTALL NEWS configure.in build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml src/hdrs/version.h

	Bump version to 3.0.40.

	* ChangeLog build/msvc6/llines/llines.rc build/msvc6/llines/llinesprj.dsp

	Bump windows versions.

2005-01-12 Perry Rapp

	* ChangeLog src/gedlib/remove.c

	Fix infinite loop in remove_any_xrefs_node_list.

2005-01-12 Matt Emmerton

	* ChangeLog configure.in

	Force the use of GNU Bison.

2005-01-12 Perry Rapp

	* ChangeLog configure.in src/hdrs/version.h

	Bump version to 3.0.39i to differentiate interim
	tarballs from released version.

	* ChangeLog docs/ll-userguide.xml

	Clarify use of environment in properties (and list
	environment variables alphabetically).

2005-01-11 Matt Emmerton

	* ChangeLog reports/Makefile.am

	Changes to Makefile.am to always install reports.
	This fixes problems on systems with older versions of
	automake that don't understand the newer syntax and
	end up not installing any of the reports.

2005-01-10 Stephen Dum

        * ChangeLog docs/ll-reportmanual.xml src/gedlib/gengedc.c 
	  src/gedlib/indiseq.c src/hdrs/gedcom.h src/liflines/browse.c 
	  src/liflines/show.c 

	  Update FORFAMSS to handle non-traditional families
	  Create FORFAMS to iterate only on families (doesn't compute
	  spouses).

2005-01-09 Perry Rapp

	* ChangeLog NEWS

	List recently added features in NEWS file.

	* ChangeLog src/interp/interp.c

	Avoid ASSERT running report with no main proc.
	Fixes sf bug#1099208
	 (FATAL error if no main() function in report).

	* ChangeLog reports/st/st_convert.li

	Remove Greek SAS test from string self-test,
	as special sigma code is not implemented.

2005-01-08 Matt Emmerton

	* ChangeLog src/interp/intrpseq.c src/interp/builtin.c

	Extend length() to work on SETs and TABLEs.
	Change lengthset() to use length() internally.

2005-01-08 Perry Rapp

	* ChangeLog src/gedlib/intrface.c src/gedlib/keytonod.c
	src/gedlib/messages.c src/gedlib/names.c src/gedlib/refns.c
	src/gedlib/remove.c src/gedlib/xreffile.c src/hdrs/gedcom.h
	src/hdrs/uiprompts.h src/interp/more.c src/liflines/ask.c
	src/liflines/delete.c src/liflines/llinesi.h src/liflines/merge.c
	src/liflines/screen.c

	Add remove function for any records.
	Cleanup of existing remove code & some const correct propagation.

	* ChangeLog src/liflines/Makefile.am src/stdlib/Makefile.am

	Fix typo in include for libintl.h.

	* ChangeLog sc/liflines/main.c

	Cosmetic & comments.

2005-01-08 lifelines beta 3.0.39 RELEASE

2005-01-08 Perry Rapp

	* ChangeLog src/gedlib/remove.c

	Fix child removal code for empty person.
	Fixes sf bug#1097629 
	 (Deleting an empty person who is a child will lead to an ASSERT)

	* ChangeLog build/msvc6/llines/lines.rc

	Set win32 version to 3.0.39.15007.

	* ChangeLog NEWS

	Add recent bugfixes for arcane family issues.

	* ChangeLog build/msvc6/btedit/btedit.rc
	build/msvc6/dbverify/dbVerify.rc
	build/msvc6/llexec/llexec.dsp build/msvc6/llexec/llexec.rc

	Set win32 versions to 3.0.39.15007
	Add stdlib/log.c to llexec msvc6 proj.


2005-01-07 Matt Emmerton

	* ChangeLog build/autotools/acinclude.m4

	Fix up to keep automake-1.9 from complaining.

2005-01-07 Matt Emmerton

	* ChangeLog src/interp/interpi.h src/interp/interp.c
	src/interp/eval.c src/interp/symtab.c

	Convert SYMTAB data type to be a pointer.
	Update create_symtab() and remove_symtab() as needed.
	Remove null_symtab().

2005-01-07 Perry Rapp

	* ChangeLog src/liflines/show.c src/gedlib/remove.c

	Fix the mother slot fix to not crash with no parents.
	Cosmetic: add more comments to remove code.

2005-01-06 Stephen Dum

        * ChangeLog INSTALL configure.in build/msvc6/llines/llines.rc 
	  build/rpm/lifelines.spec docs/ll-devguide.xml docs/ll-reportmanual.html 
	  docs/ll-reportmanual.pdf docs/ll-reportmanual.txt docs/ll-reportmanual.xml 
	  docs/ll-userguide.html docs/ll-userguide.pdf docs/ll-userguide.txt 
	  docs/ll-userguide.xml src/hdrs/version.h

	Updated all version numbers from 3.0.38 to 3.0.39.

        * ChangeLog src/liflines/show.c

	make family screen show mother in mother slot if only one parent.

2005-01-07 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c

	Fix cache double-delete bug
	Fixes sf bug#1097599 
	 (cache node pointers not cleared, later deleted again)

	* ChangeLog src/gedlib/remove.c

	Fix indi removal code for unusual cases
	Fixes sf bug#1097583 (Deleting person of unknown sex in family)

	* ChangeLog src/gedlib/remove.c

	Fix remove_spouse for removing spouse of unknown gender.
	Fixes sf bug#1097608 (Deleting spouse of unknown sex in family)

	* ChangeLog src/liflines/show.c

	Handle zero parent families gracefully.
	Fixes sf bug#1097631 (Crash in zero parent family)

2005-01-06 Perry Rapp

	* ChangeLog src/liflines/main.c

	Move curses check to own function, ifndef out for cygwin.

	* ChangeLog README.LAYOUT

	Update description of docs subdirectory.

2005-01-05 Perry Rapp

	* ChangeLog src/liflines/screen.c

	Fix list browse to respect config option UppercaseSurname

2005-01-04 Stephen Dum
        * ChangeLog docs/Makefile.am
	remove gnu-ism from docs makefile

2005-01-05 Perry Rapp

	* ChangeLog src/interp/pvalmath.c

	Improved error message in num_conform_pvalues
	Fix some copy&paste typos in calls to invalid_numeric_type.

2005-01-03 Stephen Dum

	* Changelog reports/cgi_html.li reports/dump_html_sd.ll
	reports/extract_html.ll reports/fileindex.ll reports/html.dn.ll
	reports/index_html.ll src/gedlib/node.c src/hdrs/gedcom.h
	src/liflines/show.c docs/ll-userguide.html docs/ll-userguide.pdf 
	docs/ll-userguide.txt docs/ll-userguide.xml 

	remove hardcoded database owner names and email addresses from reports
	and use getproperty("user.fullname") and "user.email" instead.

	Fix spouses iterator to iterate over all spouses of a family.  Modify
	family browse screen to display first two parents (regardless of sex).

2005-01-03 Perry Rapp

	* ChangeLog src/hdrs/Makefile.am

	Add dbfuncs.h and dbfuncsi.h to Makefile.am.

2005-01-02 Perry Rapp

	* ChangeLog src/liflines/browse.c

	Fix autoadd_xref to put nodes in lifelines canonical order.
	(rf. sf.net bug#1059724: Problem with add source/event/other commands)

	* ChangeLog docs/ll-reportmanual.pdf

	Change docs/ll-reportmanual.pdf to binary file type in cvs

	* ChangeLog NEWS

	Record recent bug fixes and feature in NEWS file.

	* ChangeLog src/liflines/valgdcom.c

	Check key length when importing GEDCOM file.
	(rf. sf.net bug#1094568: Import doesn't check incoming key length)

	* ChangeLog docs/ll-reportmanual.pdf docs/ll-userguide.pdf
	docs/quickref.pdf

	Ran "cvs admin -kb *.pdf" to make all pdfs binary in cvs.

	* ChangeLog src/interp/functab.c src/interp/interpi.h
	src/interp/more.c

	Change source function name from __getrecord to __dereference
	(because it returns a node not a record).


2005-01-01 Perry Rapp

	* ChangeLog src/hdrs/arch.h src/interp/builtin.c

	Fixes to make newest changes to __test(...) compile on MS-Windows.
	Adjust tabs to match surrounding code in three lines in _test().

	* ChangeLog INSTALL

	Add note in INSTALL redirecting to README.DEVELOPERS for cvs build.

	* ChangeLog src/liflines/swap.c

	Add ASSERT in swap_families to verify its args are FAMS nodes.
	(rf. sf.net bug#1059724: Problem with add source/event/other commands)

	* ChangeLog src/hdrs/arch.h src/interp/builtin.c

	Remove support for X_OK in test() (not really needed and
	not supported on MS-Windows).

2005-01-01 Stephen Dum

	* Changelog po/fr.po reports/anniver.ll, reports/cron.ll
	src/interp/builtin.c
	
	Fix options call in cron.ll and anniver.ll and check in new fr.po
	from Patrick Texier.  fixed test so that it always returns a value.

2005-01-01 Perry Rapp

	* ChangeLog build/msvc6/btedit/btedit.rc
	build/msvc6/btedit/bteditCmd.dsp build/msvc6/btedit/resource.h
	build/msvc6/dbverify/config.h build/msvc6/dbverify/dbVerify.rc
	build/msvc6/dbverify/dbverifyCmd.dsp
	build/msvc6/dbverify/resource.h build/msvc6/llexec/config.h
	build/msvc6/llexec/llexec.dsp build/msvc6/llexec/llexec.rc
	build/msvc6/llexec/resource.h build/msvc6/llines/config.h
	build/msvc6/llines/llines.rc build/msvc6/llines/llinesprj.dsp
	build/msvc6/llines/resource.h

	Remove extra carriage returns from files saved in DOS mode.

2005-01-01 Stephen Dum

        *Changelog liflines/add.c interp/builtin.c
	
	Fix test operator to fail rather than segfault when given null arguments.
	Fix add_family() to use traditional flag and allow creating
	non-traditional families when -n option is used

2005-01-01 Perry Rapp

	* ChangeLog src/interp/more.c

	Bugfix to prevent crash in dereference with bad report pointer.

2004-12-31 Perry Rapp

	* ChangeLog src/hdrs/win32/curses.h

	Fix compilation on MS-Windows (add cursors version macros).

	* ChangeLog src/hdrs/arch.h src/interp/builtin.c

	Fix compilation on MS-Windows (old stat macros), and bug in
	test function, and some pvalue leaks in test.

2004-12-30 Stephen Dum

        *Changelog reports/count_paternal_desc.ll reports/desc_ged.ll
	Alter scripts to use lengthset rather than copying loop counter

2004-12-27 Stephen Dum

        *Changelog reports/count_paternal_desc.ll reports/desc_ged.ll

	fix two scripts that assumed loop counter was valid outside the loop.
	(see bug id 1090607)

2004-11-03 Stephen Dum

        * ChangeLog  src/gedlib/indiseq.c src/gedlib/lloptions.c

	parent_indiseq() was using a static buffer after it was invalidated.
	Fixed a minor memory leak in options code.

2004-10-27 Stephen Dum

        *  ChangeLog docs/ll-reportmanual.xml docs/ll-reportmanual.pdf
	docs/ll-reportmanual.txt docs/ll-reportmanual.html
	src/btree/utils.c src/gedlib/nodeio.c src/hdrs/btree.h 
	src/liflines/import.c src/liflines/valgdcom.c

        Some minor bug fixes.  ll-reportmanual.xml was missing some end of
	block tags.  Replace some explict constants with their Macro name.
	Make buffer in next_fp_to_node() static so it's contents remain valid
	after return (an error message was getting lost).  Fix gedcom read
	routines so that line numbers reported when errors are encountered
	are accurate.  Fix check_akey() to assure key's in correct format
	when gedcom is read in, rather than an assert later when accessing
	the key.

2004-10-27 Matt Emmerton

	Revert changes made on 2004-10-16, *except* for the
	change to src/btree/index.c (which just had changes
	to comments.)

2004-10-16 Matt Emmerton

	* ChangeLog src/btree/index.c src/btree/traverse.c
	src/gedlib/intrface.c src/gedlib/names.c src/gedlib/refns.c
	src/hdrs/btree.h src/hdrs/gedcom.h src/liflines/scan.c
	src/tools/dbverify.c

	Use #defines to simplify traversal routine function pointers
	and argument lists.

2004-10-15 Matt Emmerton

	* ChangeLog src/ui/ui_cli.c src/tools/dbverify.c
	  src/interp/pvalue.c src/gedlib/refns.c

	Silence compiler warnings from unused parameters.
	Fix comments on freecache routine.
	Add cast to avoid compiler warning.
	
2004-10-15 Matt Emmerton

	* ChangeLog src/btree/addkey.c src/btree/btreei.h
	  src/btree/index.c src/btree/opnbtree.c src/btree/record.c
	  src/btree/traverse.c src/hdrs/btree.h

	Remove btree parameter from cmpkeys, writeindex, readindex.
	Add freecache routine.

	* tools/dbverify.c

	Remove btree parameter from cmpkeys, check_block, check_keys, printblock, readindex routines.
	Remove unused variables.
	Silence compiler warnings from unused parameters.

	* gedlib/keytonod.c

	Remove unused variable.

	* stdlib/vtable.c

	Silence compiler warnings from unused parameters.

2004-10-14 Matt Emmerton

	* ChangeLog docs/ll-reportmanual.xml src/interp/interpi.h
	  src/interp/functab.c src/interp/builtin.c

	Add 'clear' operator.

2004-10-13 Stephen Dum

        * ChangeLog reports/pdesc.ll

	Apply patch for null indi reference discussed on llines mailing list

2004-10-10 Stephen Dum

        * ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf
	  docs/ll-reportmanual.txt

        Update formatted reportmanual

2004-10-03 Matt Emmerton

	* ChangeLog interp/builtin.c interp/functab.c interp/interpi.h

	Add __test (test) report operator, which can be used to test for
	the existence of files, directories and properties thereof.

2004-09-06 Perry Rapp

	* ChangeLog gedlib/keytonod.c

	Fix cache bug (false match in is_record_loaded for @I50@
	vs I500). sf bug#1015745.

2004-09-02 Robert Simms
	* ChangeLog, reports/book-latex.ll
	Enhanced book-latex.ll to filter text to render harmless those
	characters meaningful to the LaTeX system.  Also added an option
	to supress e-mail addresses of source authors when they're specified
	as EMAI subnodes of AUTH nodes.  Also indented all of the code with
	spaces (instead of tabs/spaces mix) to make the code easier to follow.

2004-08-28 Stephen Dum
        * ChangeLog, reports/eol.ll, src/gedlib/names.c
	Cleanup of eol.ll.  Comment out an unused routine in names.c
	and remove an unnecessary strsave call.

2004-07-21 Stephen Dum
        * removed ps-circ/ps-circ.ll ps-circ/ps-circ.ps
	These turned out to be earlier versions of ps-circle.ll (which
	has the ps file imbeded.)

2004-07-20 Stephen Dum
        * ChangeLog docs/ll-userguide.html docs/ll-userguide.pdf
	docs/ll-userguide.sv.html docs/ll-userguide.sv.xml
	docs/ll-userguide.txt docs/ll-userguide.xml
	Fix Tracker ID 836283 -- Well Perry Fixed it long ago, just adjust
	the documentation to match.

2004-07-20 Stephen Dum
        * ChangeLog reports/famrep.ll
	Fix Tracker Id 609265 - Apply Perry's fix

2004-07-20 Stephen Dum
        * ChangeLog docs/ll-userguide.xml docs/ll-userguide.html
	docs/ll-userguide.pdf docs/ll-userguide.txt docs/ll-reportmanual.html
	docs/ll-reportmanual.pdf docs/ll-reportmanual.txt
	In the reports directory...
	   Makefile.am CREDIT README grand.ll desc-tex2/README
	   desc-tex2/desc-tex.ll desc-tex2/desc-tex2.ll desc-tex2/drsetup.tex
	   desc-tex2/drtree.tex desc-tex2/ex1.tex desc-tex2/extree1.tex
	   desc-tex2/extree2.tex desc-tex2/mysetup.tex desc-tex2/poster.doc
	   desc-tex2/poster.tex desc-tex2/poster1.tex desc-tex2/poster2.tex
	   desc-tex2/pstricks.con desc-tex2/pstricks.pro desc-tex2/pstricks.tex
	   desc-tex2/setup.tex desc-tex2/tree.tex novel/novel.README
	   novel/novel.head novel/novel.intro novel/novel.ll pedtex/pedtex.ll
	   pedtex/pedtex.readme pedtex/setup.tex pedtex/tree.tex
	   ps-circ/ps-circ.ll ps-circ/ps-circ.ps ps-fan/ps-fan.ps
	src/gedlib/charprops.c src/gedlib/init.c src/gedlib/keytonod.c
	src/gedlib/names.c src/gedlib/nodeio.c src/gedlib/xlat.c
	src/gedlib/xreffile.c src/interp/pvalue.c src/liflines/loadsave.c
	src/stdlib/icvt.c src/stdlib/strutf8.c

	Document GuiCodeset and fix spelling of GedcomCodeset and
	EditorCodeset - as per Tracker id 837378
	Add more reports from Vincent Broman's recent posting, as well as
	making the 'lint' changes to the sources that he made.
	
2004-07-19 Stephen Dum
	lines.cfg reports/bday_cover.ll reports/cron.ll reports/regvital.ll

	Some more minor updates to reports

2004-07-18 Stephen Dum
        src/btree/opnbtree.c src/gedlib/keytonod.c src/gedlib/names.c

	Clean up some memory leaks.

2004-07-18 Stephen Dum
	More reports directory updates - Merging Vincent Broman's Changes
	to reports. The following were added to the reports directory:
	af-import.ll afn_match.ll ahnenliste.ll all_anc_lines.ll allfam10c.ll
	altern.ll anc2_ged.ll bday_cover.ll bib2html.c browser.ll
	burial_index.ll bury.c BW_descendants.ll cgi_html.li common.ll
	cons.ll cont.ll count_dup.ll db_summary.ll desc_ged.ll descged.ll
	desc_html.ll desc-tree.ll divorce.li drep2.ll d-rtf.ll dump-ances.ll
	dump_html.ll dump_html_sd.ll eol.ll est_life_span.ll extract_gedcom.ll
	extract_html.ll extract_set.li fam_ged.ll famgroup.ll familycheck.ll
	fileindex.ll gedall.ll gedlist.ll gedlod.ll gedn.ll gedtags.ll
	ged_write.li genancc2.ll gendex.ll genetics2.ll getbaptism.li
	givens_gender.ll hp-anc.ll htmlahnen.ll html.dn.ll htmlfam.ll
	html.ll igi-filter.ll igi-import.ll igi-search.ll index_html.ll
	interestset.li ldsgedcom.li line.ll listsour.ll ll2html4.ll
	ll2visio.ll maritalinfo.ll name2html.ll net-ped.ll outsources.li
	paf-export.ll paf-import.ll pedigree_html.ll pedigreelhs.ll
	pedigree.ll ped.ll pointers.ll prompt.li ps-circle.ll reg_html.ll
	register-rtf.ll relink.ll rfc.ll rootset.ll rtflib.li sealing_line.ll
	sgsgen.ll shorten.li sour2.li sources_bib.ll sour.li src.ll src-rtf.ll
	ssdi_aid.ll ssdi-import.ll ssdi-search-list.ll tools.li
	tree_density.ll ttable.ll upl2.li wife.ll xml-dtd.ll xmlize.ll
	zombies.ll
	And the following files were udated:
	2ppage.ll 4gen1.ll 6gen1.ll 8gen1.ll ahnentafel.ll alive.ll
	alllines.ll alllines.sgml.ll ancestors2.ll anniver.ll bias.ll
	bkdes16-1.ll book-latex.ll cid.ll connect2.ll count_anc.ll
	count_desc.ll count_paternal_desc.ll cousins.ll coverage.ll
	cron.ll dates.ll desc-henry.ll fam10c.ll fam16rn1.ll fami-grps.ll
	familyisfm1.ll famtree1.ll fdesc.ll find.ll findmissing.ll
	fix_nameplac.ll formatted_gedcom.ll genancc1.ll gender_order.ll
	genetics.ll gen_index givens_gender_finder.ll hasnotes1.ll
	igi-merge.ll index1.ll index_mm.ll indiv.ll infant_mortality.ll
	lldb.ll longlines.ll Makefile.am marriages1.ll menu.ll
	namesformat1.ll names_freq.ll nonpatronymics.ll pafcompat.ll
	partition.ll pedigreel.ll places.ll ps-pedigree.ll register1.ll
	register-tex.ll regvital1.ll regvital.ll related_spouses.ll relate.ll
	relation.ll rllgen.ll rslgen.ll showlines1.ll simpleged.ll
	soundex1.ll soundex-isfm.ll sources.ll stats.ll st/st_all.ll
	st/st_aux.li st/st_collate_8859-1.li st/st_collate.li
	st/st_collate_UTF-8.li st/st_convert.li st/st_date.li st/st_db.li
	st/st_list.li st/st_name.li st/st_number.li st/st_string.li
	st/st_string_UTF-8.li surname1.ll timeline1.ll timeline2.ll
	tinytafel1.ll verify.ll

2004-07-18 Stephen Dum
	Makefile.am src/interp/interp.c 
	in reports directory
	remove: ps-anc2.ll   ps-anc5.ll   ps-anc6.ll   ps-anc7.ll   ps-anc8.ll
	add: ps-anc.ll
	remove: regvital1.ll 
	remove: famrep1.ll famrep3.ll famrep6.ll; add: famrep.ll
	remove: indiv2.r.ll  indiv3.ll: add: indiv.ll
	remove: pdesc1.ll pdesc2.r.ll pdesc3.ll pdesc4.ll; add: pdesc.ll
	remove: namefreq2.ll; add: namefreq.ll 
	remove: select.li; add: select.ll
	The following are renamed from .ll to .li extension
	st/st_aux.ll st/st_collate.ll st/st_collate_8859-1.ll 
	st/st_collate_UTF-8.ll st/st_convert.ll st/st_date.ll st/st_db.ll
	st/st_list.ll st/st_name.ll st/st_number.ll st/st_string.ll 
	st/st_string_UTF-8.ll  


	Starting clean up of reports.  Removed instances where a reports
	multiple versions are checked in as report1.ll, report2.ll, etc.
	They are now checked in as report.ll.  The earlier versions are
	checked in as report.ll so that the history of the earlier versions
	are preserved.

	The test programs in st directory are renamed to .li scripts since
	they are intended to be included.  Also llines modified to look
	for either .li or .ll extention for files being included.
   
2004-06-18  Marc Nozell

	* reports/register-tex.ll: Checked in updates by Robert Simms that
	can render characters meaningful to the LaTeX system as if they
	were ordinary characters.

2004-06-18  Marc Nozell

	* reports/register1-dot.ll: New report based on register1.ll that
	generates input to the graphviz tool chain

2004-05-15 Stephen Dum
        * ChangeLog src/gedlib/lldatabase.c src/interp/builtin.c
	  Fixes for bug id's 954704 'table inert() ASSERT's if value
	  inserted is null; and id 950712 a redundent include in 
	  lldatabase.c

2004-05-08 lifelines beta 3.0.38 RELEASE

2004-05-08 Perry Rapp

	* ChangeLog LINGUAS
	*NEW po/nl.po

	Added new Dutch translation.

	* ChangeLog INSTALL NEWS configure.in
	build/msvc6/llines/llines.rc build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml src/hdrs/version.h

	Updated all version numbers from 3.0.37 to 3.0.38.

2004-04-14 Stephen Dum
        *  ChangeLog INSTALL docs/ll-userguide.xml src/hdrs/fpattern.h
	   src/interp/pvalue.c src/stdlib/fpattern.c
        
	Document some of the build dependencies in the INSTALL file.
	fix bug where two pointers to database records (e.g., two families)
	will never compare equal.
	Modify fpattern so that searches are always case insensitive.
	Add minimal documentation for search menu in user guide. 

2004-03-29 Robert Simms
	* ChangeLog src/liflines/browse.c

	Enabled the DisplayKeyTags option for the "Is this the new child?"
	prompt.

2004-03-29 Perry Rapp

	* ChangeLog configure.in

	Fix typo in configure.in for Polish (which is pl, not po).

	* ChangeLog po/LINGUAS

	Fix typo for Polish in po/LINGUAS (Polish is pl, not po).

2004-03-28 Perry Rapp

	* ChangeLog configure.in po/LINGUAS
	*NEW po/pl.po

	Add new Polish translation.

2004-03-19 Perry Rapp

	* ChangeLog src/interp/write.c

	Fix writeindi to report error instead of failing silently.

	* ChangeLog src/interp/write.c

	Fix addtonode to refuse bad arguments (prev not child of parent).

2004-03-08 Perry Rapp

	* ChangeLog
	*NEW src/hdrs/dbfuncs.h
	*NEW src/hdrs/dbfuncsi.h
	*NEW src/gedlib/dbfuncs.c

	New interface headers for database functions.

	* ChangeLog src/interp/write.c

	Fix __writeindi to gracefully error if argument is null.

2004-01-29 Perry Rapp

	* ChangeLog docs/ll-userguide.xml

	Fix & to &amp;

2004-01-20 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/lldatabase.c

	Begin interface layer to database backend.

2004-01-18 Perry Rapp

	* ChangeLog src/gedlib/init.c

	Simplify error return in open_database_impl.

	* ChangeLog build/msvc6/btedit/bteditCmd.dsp
	build/msvc6/dbverify/dbverifyCmd.dsp src/btree/opnbtree.c
	src/gedlib/init.c src/hdrs/btree.h src/tools/btedit.c
	src/tools/dbverify.c

	Prefix openbtree with bt_.
	Fix bteditCmd.dsp (MSVC6 project) to compile.
	Fix dbverifyCmd.dsp (MSVC6 project) to compile.

2004-01-17 Perry Rapp

	* ChangeLog src/btree/file.c src/btree/record.c

	src/gedlib/intrface.c src/gedlib/names.c src/gedlib/refns.c
	src/hdrs/btree.h src/interp/eval.c

	Prefix addrecord and getrecord with bt_.

2004-01-07 Perry Rapp

	* ChangeLog src/ui/.cvsignore

	Add .deps to src/ui/.cvsignore

2004-01-05 Perry Rapp

	* ChangeLog docs/ll-reportmanual.xml

	Remove obsolete closing statement from report docs (section
	on modifying database; it is now in fact possible).

2004-01-04 Matt Emmerton

	* ChangeLog src/interp/interp.c

	Fix bug with explicitvars, as reported by Jens Arvidsson.
	(This option was being "sticky" -- it remained set across
	multiple report executions.)

2003-12-27 Perry Rapp

	* ChangeLog src/gedlib/xreffile.c

	Improve comment.

2003-12-10 Perry Rapp

	* ChangeLog src/hdrs/pvalue.h src/interp/pvalalloc.c
	src/interp/pvalmath.c src/interp/pvalue.c src/interp/write.c

	Rename is_zero to is_numeric_zero, and ASSERT if nonnumeric input.
	Rename pvalue() macro to pvalvv (for greppability).
	Replace delete_pvalue_wrapper with remove_node_and_delete_pvalue.
	Fix eqv_pvalues for PBOOL. Remove unused PLONG.
	Fix how describe_pvalue handles indis, add handling for all records
	and arrays.

	* ChangeLog src/gedlib/charprops.c

	Fixed charprops_load to load lowercase properties.
	Fixes sf bug#857314 "syntax error in report at first cap letter".

2003-12-03 Perry Rapp

	* ChangeLog src/hdrs/pvalue.h src/interp/builtin.c
	src/interp/pvalue.c

	Fix __fam to go through cache, rather than direct data access.
	This fixes sf bug#852986 "partition missing all families!".

2003-11-30 Perry Rapp

	* ChangeLog src/gedlib/charprops.c

	Fixed charprops_load_utf8 to combine ttpath & filename
	carefully. (sf#851732)

	* ChangeLog src/liflines/screen.c

	Clarified display of LOCALEDIR in u/c to "Locale Dir (default)".

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/node.c
	src/hdrs/gedcom.h src/interp/pvalue.c

	Allocate & copy RECORD pvalues, rather than (now incorrect)
	bit-by-bit copy (in set_pvalue, just as PFLOAT & PSTRING).
	(sf#851783)

	* ChangeLog src/gedlib/keytonod.c

	Fix broken cache traversal in get_free_cacheel (was going the
	wrong way on the freelist). (sf#851832)

	* ChangeLog src/interp/pvalue.c

	Fix pvalue_to_cel to reload cache if needed (sf#851843).

2003-11-26 Perry Rapp

	* ChangeLog NEWS src/hdrs/pvalue.h src/interp/builtin.c
	src/interp/functab.c src/interp/pvalmath.c

	Implement optional 2nd argument for incr() and decr().

2003-11-26 Jens Arvidsson

	* ChangeLog po/sv.po

	Updated Swedish translation for 3.0.37.

2003-11-24 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c src/hdrs/cache.h

	Add lock/unlock functions for records.

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/node.c
	src/gedlib/nodeio.c

	Fix adding new records (fix file_to_record function to handle
	node trees with no xref in root yet).

2003-11-23 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c

	add_to_direct was getting called twice (per each element
	added)

	* ChangeLog src/gedlib/keytonod.c

	Fix cache overflow detection to detect overflow, not full
	(bug from my changes yesterday).

	* ChangeLog src/gedlib/keytonod.c

	Fix init_cache to not skip element#0.
	Add get_free_cacheel to make room in cache (I lost this
	functionality when I removed indirect cache yesterday.)

	* ChangeLog src/liflines/show.c

	Minor: move population of father (&mother) next to display.

2003-11-22 Perry Rapp

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/keytonod.c
	src/gedlib/node.c src/gedlib/nodeio.c src/hdrs/cache.h
	src/hdrs/gedcom.h src/hdrs/llstdlib.h src/hdrs/pvalue.h
	src/interp/interp.c src/interp/interpi.h src/interp/pvalue.c
	src/interp/write.c src/liflines/add.c src/liflines/llexec.c
	src/liflines/main.c src/stdlib/stdstrng.c

	Revise node->n_rec pointers to only be set in cache nodes.
	Revise cached records to point to cache elements, not node
	tree. Revise cache elements to not point to records. Revise
	nodes to point to cache elements (if cached), and not to
	records. Revise record pvalues to point to records not
	cache elements. That is, PVALUE->RECORD->CACHEEL->NODE
	instead of the old PVALUE->CACHEEL->RECORD->NODE. This is
	to remove necessity of locking records held by pvalues.
	Also, CACHEELs are permanent now, so one might be stale,
	but can never be a bad memory pointer.
	Also removed indirect caches entirely.

	* ChangeLog src/hdrs/cache.h

	Avoid typedef'ing CACHEEL twice by removing the one in cache.h
	(which anyway includes gedcom.h, which has the typedef).

2003-11-21 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp src/gedlib/xlat.c
	src/hdrs/Makefile.am src/stdlib/Makefile.am
	*NEW src/hdrs/log.h
	*NEW src/stdlib/log.c

	Add TTPATH.debug (optional config variable) code.


	* ChangeLog src/btree/utils.c src/gedlib/gedcom.c
	src/gedlib/intrface.c src/gedlib/node.c src/hdrs/btree.h
	src/hdrs/gedcom.h src/liflines/browse.c src/tools/dbverify.c

	Changed many occurrences of 9 to MAXKEYWIDTH+1.
	Changed NKEY to hold string buffer directly, instead of pointer.

	* ChangeLog src/gedlib/keytonod.c src/gedlib/node.c
	src/hdrs/gedcom.h

	Altered records to check & its node tree (from cache) in nztop.
	This is so PVALUES can hold records without holding cache locks.

	* ChangeLog docs/ll-devguide.xml

	Added some explanation of translation tables and cache.

2003-11-17 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/xlat.c

	Name translation tables by source file name by default.

	* .linesrc ChangeLog lines.cfg

	Remove obsoleted option CustomCharacterProperties.

2003-11-16 Perry Rapp

	* ChangeLog build/msvc6/llexec/llexec.dsp

	Fix llexec compilation under MSVC6.

	* ChangeLog src/gedlib/charprops.c src/gedlib/date.c
	src/gedlib/init.c src/gedlib/names.c src/hdrs/charprops.h
	src/hdrs/llstdlib.h src/interp/builtin.c src/stdlib/strcvt.c

	Implement char props for any codepage convertible to UTF-8.
	Change UTF-8 uppercasing into a plugin behind ll_toupperz.

2003-11-14 Robert Simms

	* ChangeLog tt/UTF-8_ISO-8859-8.tt

	Added Hebrew characters from the Unicode block 'Alphabetic Presentation
	Forms' that are not covered by ISO-8859-8.  Also mapped the few Hebrew
	or Yiddish character ligatures from UTF-8 to two characters
	in ISO-8859-8

2003-11-13 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/charprops.c
	src/gedlib/date.c src/gedlib/gedcomi.h src/gedlib/names.c
	src/hdrs/llstdlib.h src/interp/builtin.c src/stdlib/strutf8.c

	Load UnicodeData.txt in charprops.c. Now charprops UTF-8 casing works.

	* ChangeLog src/gedlib/charprops.c
	*NEW tt/UnicodeDataExcerpt.txt

	Add file of unicode character properties (UnicodeDataExcerpt.txt),
	and revise parser to allow comments.

2003-11-12 Perry Rapp

	* .linesrc ChangeLog lines.cfg build/msvc6/llines/llinesprj.dsp
	src/gedlib/init.c src/hdrs/Makefile.am src/hdrs/mystring.h
	src/liflines/llexec.c src/liflines/main.c
	src/stdlib/Makefile.am src/stdlib/mystring.c
	src/stdlib/stdstrng.c src/tools/btedit.c src/tools/dbverify.c
	*NEW src/hdrs/mychar.h
	*NEW src/stdlib/mychar_funcs.c
	*NEW src/stdlib/mychar_tables.c

	Add option CustomCharacterProperties.

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/Makefile.am src/gedlib/charmaps.c
	src/gedlib/gedcomi.h src/gedlib/translat.c src/gedlib/xlat.c
	src/hdrs/Makefile.am src/hdrs/llstdlib.h src/hdrs/mychar.h
	src/stdlib/strcvt.c
	*NEW src/gedlib/charprops.c
	*NEW src/hdrs/charprops.h

	Add shell for code to do builtin character casing.

	* ChangeLog src/gedlib/charprops.c src/gedlib/date.c
	src/gedlib/init.c src/interp/builtin.c

	Switch calls to (new) charprops_lltoupperz & lower.

2003-11-11 Perry Rapp

	* ChangeLog src/gedlib/indiseq.c src/stdlib/strcvt.c

	Fix upper/lower handling for UTF-8 use on systems missing support.

2003-11-07 Robert Simms
	* ChangeLog tt/UTF-8_ISO-8859-8.tt tt/ISO-8859-8_UTF-8.tt
	Added translation tables for UTF-8 to/from ISO-8859-8 (Hebrew).

2003-11-06 Perry Rapp

	* ChangeLog src/liflines/screen.c
	Fix display of default TTPATH in u/c.

	* ChangeLog src/liflines/screen.c
	Better description of whether iconv/gettext support compiled in.

	* ChangeLog src/gedlib/xlat.c
	Implement two-pass tt conversions (via UTF-8).

	* ChangeLog src/stdlib/strcvt.c
	Fix ll_toupperz sign extension bug (sf:836960).

	* ChangeLog NEWS
	Update NEWS with recent bugfixes.

2003-11-05 Perry Rapp

	* ChangeLog src/liflines/screen.c
	Alter occurrences of TTDIR to TTPATH.

        * ChangeLog src/hdrs/gedcom.h
        Make FORSPOUSES graceful with missing keys.

2003-11-03 Matt Emmerton

	* ChangeLog reports/ps-pedigree.ll reports/ps-pedigree.ps
	reports/fami-grps.ll

	Add ps-pedigree and fami-grps reports from Stephen Woodbridge

2003-10-28 Stephen Dum
        * ChangeLog src/gedlib/names.c docs/ll-userguide.xml
	Fix bug in storing name records in database.  rkey_eq()
	was ignoring the last character of the key. Update docs for
	CrashLog_llexec and CrashLog_llines definition.

2003-10-26 Matt Emmerton

	* ChangeLog src/liflines/main.c src/liflines/llexec.c

	Use CrashLog_[llexec|llines].log as the default crash log filenames.
	This enables crash log reporting by default.  Any setting in the
	configuration file will override this default.

2003-10-25 Perry Rapp

	* ChangeLog src/gedlib/init.c

	Fix set_gettext_codeset for systems without
	HAVE_BIND_TEXTDOMAIN_CODESET.

2003-10-17 Perry Rapp

	* ChangeLog src/interp/builtin.c

	Fix nspouses (was returning zero always).

2003-10-10 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/Makefile.am src/gedlib/gedcomi.h src/gedlib/init.c
	src/gedlib/xreffile.c src/hdrs/gedcom.h src/hdrs/vtable.h
	src/stdlib/zstr.c
	*NEW src/gedlib/lldatabase.c

	New structure LLDATABASE to wrap db connection.

	* ChangeLog src/gedlib/lldatabase.c

	Add comment about memory leak.

2003-10-08 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c

	Minor cleanup.

2003-10-07 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/keytonod.c src/gedlib/node.c src/gedlib/nodeio.c
	src/hdrs/Makefile.am src/hdrs/cache.h src/hdrs/gedcom.h
	src/hdrs/standard.h src/stdlib/Makefile.am

	Remove warehouse code (which was unused).
	Move two functions taking CACHE into keytonod.c statics.

	*DELETED src/hdrs/warehouse.h
	*DELETED src/stdlib/warehouse.c

	Remove warehouse code files (unused).

2003-10-06 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c src/hdrs/cache.h
	src/interp/builtin.c src/interp/more.c src/interp/pvalue.c

	Encapsulate CACHEEL struct inside keytonod.c.

	* ChangeLog src/hdrs/gedcom.h

	Add comment about locking being desirable for all the macro loops.

2003-10-05 Perry Rapp

	* ChangeLog src/gedlib/date.c src/hdrs/date.h src/hdrs/impfeed.h
	src/hdrs/screen.h src/interp/interp.c src/interp/rptui.c
	src/liflines/import.c src/liflines/loadsave.c
	src/liflines/screen.c

	Report time duration of import.

2003-10-03 Perry Rapp

	* ChangeLog
	*NEW tt/.cvsignore

	Add cvsignore for tt Makefiles.

2003-10-02 Stephen Dum
	* ChangeLog  docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
	docs/ll-reportmanual.txt docs/ll-userguide.html docs/ll-userguide.pdf
	docs/ll-userguide.txt

	Update docs for 3.0.37

2003-10-03 Perry Rapp

	* .cvsignore ChangeLog po/.cvsignore src/interp/.cvsignore
	*NEW src/.cvsignore
	*NEW src/ui/.cvsignore

	Updating cvsignore files.

	* .cvsignore po/.cvsignore reports/.cvsignore src/.cvsignore
	src/liflines/.cvsignore
	*NEW intl/.cvsignore

	Updating cvsignore files for building in source tree.

** CVS TAG v3_0_37_branch
** CVS TAG v3_0_37

	Released 3.0.37.

2003-10-02 Perry Rapp

	* ChangeLog src/gedlib/refns.c

	Do not expand REFNs with > in them.

	* ChangeLog INSTALL NEWS configure.in
	build/msvc6/llines/llines.rc build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml src/hdrs/version.h

	Bump version to 3.0.37 (in preparation).

2003-10-01 Perry Rapp

	* ChangeLog src/gedlib/node.c src/gedlib/refns.c

	More graceful handling of bad family pointers.

	* ChangeLog src/gedlib/refns.c src/hdrs/gedcom.h

	Fix symbol_link handling to work with annotated pointers.

2003-09-30 Perry Rapp

	* ChangeLog po/fr.po

	Updated French message catalog from Patrick Texier.

2003-09-30 Stephen Dum
        * ChangeLog  ll-reportmanual.sv.html
	  ll-userguide.sv.html ll-userguide.sv.xml

	  Update docs.

2003-09-30 Perry Rapp

	* ChangeLog NEWS

	Mention new option DisplayKeyTags in NEWS.

	* ChangeLog build/msvc6/dbverify/dbVerify.rc
	build/msvc6/llexec/llexec.dsp build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc

	Update MS-Windows version resources and projects.

2003-09-29 Jens Arvidsson

	* ChangeLog docs/ll-reportmanual.sv.xml docs/ll-userguide.sv.xml
	
	More doc translation updates for 3.0.36.
	
2003-09-29 Robert Simms
	* ChangeLog src/arch/Makefile.am src/btree/Makefile.am
	src/gedlib/Makefile.am src/interp/Makefile.am src/liflines/Makefile.am
	src/stdlib/Makefile.am src/tools/Makefile.am

	Fixed so that config.h and libintl.h are found relative to the
	build directory instead of a fixed location.

2003-09-28 Stephen Dum
        * ChangeLog src/liflines/loadsave.c docs/ll-reportmanual.html
	docs/ll-reportmanual.pdf docs/ll-reportmanual.sv.html
	docs/ll-reportmanual.sv.xml docs/ll-reportmanual.txt
	docs/ll-reportmanual.xml docs/ll-userguide.html
	docs/ll-userguide.pdf docs/ll-userguide.sv.html
	docs/ll-userguide.txt docs/ll-userguide.xml

	Update formatted docs.  Modify save gedcom command to print
	actual filename data is saved to, rather than what user typed in.
	Add documention for option AnnotatePointers and DisplayKeyTags.

2003-09-28 Jens Arvidsson

	* ChangeLog docs/ll-reportmanual.sv.xml docs/ll-userguide.sv.xml
	po/sv.po

	Translation update for Swedish message catalog and doc files;
	minor fixes in report manual translation.

2003-09-27 Perry Rapp

	* ChangeLog INSTALL NEWS configure.in build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml src/hdrs/version.h

	Bump versions to 3.0.36 (in preparation).

2003-09-26 Perry Rapp

	* ChangeLog src/hdrs/gedcom.h

	Fix typo in FORFAMCS.

	* ChangeLog src/gedlib/translat.c

	Include errno.h for use of errno.

	* ChangeLog src/btree/traverse.c src/gedlib/gstrings.c
	src/gedlib/intrface.c src/gedlib/nodeio.c src/hdrs/btree.h
	src/hdrs/gedcom.h

	const fixes and fix include for DisplayKeyTags option.

2003-09-25 Robert Simms

	* .linesrc ChangeLog lines.cfg
	src/gedlib/gstrings.c src/liflines/screen.c src/liflines/show.c

	Implemented DisplayKeyTags option to prepend I or F to
	individual and family keys shown on-screen.


2003-09-24 Perry Rapp

	* ChangeLog NEWS src/stdlib/path.c

	Fix bug in filepath causing extra append of extension.

2003-09-21 Jens Arvidsson

	* ChangeLog docs/ll-reportmanual.sv.xml

	Updated translation of report manual.

2003-09-20 Perry Rapp

	* .linesrc ChangeLog lines.cfg src/gedlib/gstrings.c
	src/gedlib/indiseq.c src/gedlib/node.c src/gedlib/nodeio.c
	src/gedlib/refns.c src/hdrs/gedcom.h src/interp/builtin.c
	src/interp/more.c src/liflines/add.c src/liflines/browse.c
	src/liflines/edit.c src/liflines/lbrowse.c
	src/liflines/llinesi.h src/liflines/newrecs.c
	src/liflines/pedigree.c src/liflines/screen.c
	src/liflines/show.c src/liflines/tandem.c

	Add new option AnnotatePointers.
	Add node iterator to traverse node tree with iterator.
	Modify various places to handle bad pointers gracefully.

	* .linesrc ChangeLog NEWS

	Add new option AnnotatePointers to NEWS.

2003-09-18 Stephen Dum

        * ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf
	docs/ll-reportmanual.txt docs/ll-reportmanual.xml

	Add to reportmanual information about duplicate includes, parameters
	of functions and procedures and dup() for lists.

2003-09-18 Perry Rapp

	* ChangeLog src/gedlib/translat.c

	Improved error detection and reporting during gedcom output.

	* ChangeLog INSTALL README.MAINTAINERS

	Put comment in INSTALL about docs.

2003-09-17 Perry Rapp

	* ChangeLog src/hdrs/Makefile.am

	Distribute ui.h as well.

2003-09-16 Stephen Dum

        * ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.xml
	docs/listops.jpg  docs/Makefile.am

	Added image to show list operations.

2003-09-17 Perry Rapp

	* ChangeLog src/gedlib/names.c

	Fix corruption bug in add_names (was freeing record before done).

	* ChangeLog NEWS configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml
	src/hdrs/version.h

	Bump versions to 3.0.35.

2003-09-16 Matt Emmerton

	* ChangeLog src/hdrs/ui.h src/ui/Makefile.am src/ui/ui_cli.c
	configure.in src/Makefile.am src/liflines/Makefile.am
	src/liflines/llexec.c

	Add UI module for CLI (Command Line Interface).
	Used only by llexec at present.

2003-09-16 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/translat.c
	src/gedlib/xlat.c src/hdrs/xlat.h

	Remove unused name from xlat structure (which is shared, so shouldn't
	have the name). (sf#806664)

	* ChangeLog src/gedlib/translat.c src/gedlib/xlat.c
	src/hdrs/translat.h src/hdrs/xlat.h src/liflines/screen.c

	Fix legacy (db internal) translation tables (had to disable xlat cache).

	* ChangeLog NEWS README.MAINTAINERS configure.in
	build/msvc6/llines/llines.rc build/rpm/lifelines.spec
	docs/ll-devguide.xml docs/ll-reportmanual.xml
	docs/ll-userguide.xml src/hdrs/version.h

	Bump version numbers to 3.0.34.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp
	src/btree/traverse.c src/gedlib/intrface.c src/gedlib/names.c
	src/gedlib/nodeio.c src/gedlib/refns.c src/hdrs/btree.h
	src/hdrs/gedcom.h src/liflines/scan.c src/tools/dbverify.c

	const fixes (and add soundex to msvc6 dbverify project).

	* ChangeLog src/interp/builtin.c src/interp/intrpseq.c
	src/tools/Makefile.am

	Cosmetic changes to __list, __table, and __indiseq for clarity and to
	make them analogous. Add libintl & libiconv to btedit link.

2003-09-15 Perry Rapp

	* ChangeLog README.MAINTAINERS

	Add LINES-L mailing list to README.MAINTAINERS.

	* ChangeLog src/gedlib/indiseq.c

	Bugfix for name_to_indiseq (browse list not alphabetical). (sf#806495)

Released 3.0.33 beta.

2003-09-15 Perry Rapp

	* ChangeLog src/gedlib/init.c src/gedlib/xlat.c src/hdrs/list.h
	src/interp/interp.c src/liflines/llexec.c src/liflines/main.c
	src/liflines/pedigree.c src/liflines/screen.c
	src/stdlib/list.c

	New create_list2 to specify what to free whilst creating list.

	* ChangeLog src/gedlib/gedcomi.h src/gedlib/indiseq.c
	src/gedlib/names.c src/hdrs/gedcom.h

	Rewrite soundex handling in names for multiple soundexes.
	Fix wildcard soundex handling for non-ASCII. (sf#805701)

	* ChangeLog NEWS src/gedlib/nodeio.c src/hdrs/gedcom.h
	src/liflines/add.c src/liflines/edit.c

	Fix all edits of indi to expand refns (not all were doing it).

	* ChangeLog src/gedlib/init.c src/gedlib/nodeio.c
	src/gedlib/xlat.c src/hdrs/gedcom.h src/hdrs/xlat.h

	Prepend UTF-8 BOM to edit file on Windows when appropriate.
	(sf#806300)

	* ChangeLog NEWS configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml src/hdrs/version.h

	Change version for experimental release 3.0.33.

	* ChangeLog src/gedlib/Makefile.am

	Add soundex.c to makefile.

2003-09-14 Perry Rapp

	* src/gedlib/intrface.c src/hdrs/icvt.h src/hdrs/table.h
	src/interp/alloc.c src/stdlib/environ.c src/stdlib/icvt.c
	win32/intlshim.c

	Cleanup some corrupted line feeds.	

	* ChangeLog build/msvc6/llines/llinesprj.dsp src/btree/file.c
	src/btree/record.c src/gedlib/charmaps.c src/gedlib/indiseq.c
	src/gedlib/intrface.c src/gedlib/names.c src/gedlib/refns.c
	src/gedlib/replace.c src/hdrs/btree.h src/hdrs/gedcom.h
	src/hdrs/icvt.h src/hdrs/llstdlib.h src/hdrs/pvalue.h
	src/hdrs/table.h src/hdrs/translat.h src/interp/alloc.c
	src/interp/builtin.c src/interp/pvalue.c src/liflines/scan.c
	src/stdlib/environ.c src/stdlib/icvt.c src/stdlib/llstrcmp.c
	win32/intlshim.c

	Split soundex code into soundex.c (& rename trad_soundex).
	Some const fixes. Pass rkey pointers instead of values.

	*NEW src/gedlib/soundex.c

	Forgot to add new soundex file earlier.

2003-09-14 Jens Arvidsson

	* ChangeLog po/sv.po

	Error corrections in 3.0.32 Swedish message catalog.
	
	* ChangeLog docs/ll-reportmanual.sv.xml docs/ll-userguide.sv.xml
	po/sv.po

	Translation update of Swedish message catalog and doc files; typo
	fixes.

2003-09-14 Perry Rapp

	* ChangeLog src/hdrs/array.h src/hdrs/list.h src/stdlib/zstr.c

	Make zstrings into objects.

2003-09-13 Perry Rapp

	* ChangeLog src/liflines/screen.c

	Fix POPUP_LINES etc to not grow indefinitely as reopen dbs.

** CVS TAG v3_0_32

2003-09-12 Perry Rapp

	* ChangeLog NEWS src/arch/alphasort.c src/arch/wcslen.c
	src/hdrs/arch.h src/hdrs/llstdlib.h src/hdrs/standard.h
	src/liflines/swap.c src/liflines/tandem.c
	src/liflines/valgdcom.c src/stdlib/appendstr.c
	src/stdlib/path.c src/stdlib/sequence.c src/stdlib/signals.c
	src/stdlib/stdstrng.c src/stdlib/stralloc.c
	src/stdlib/strset.c src/stdlib/zstr.c src/tools/wprintf.c

	Ensure stdarg included for arch.h compiling wcslen.c (affects MacOS).
	Little bit of clean up in include lines.

	* ChangeLog configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec src/hdrs/version.h

	Bump version to 3.0.32 preparatory to release.

2003-09-12 Stephen Dum

        * docs/Makefile.am docs/ll-reportmanual.html docs/ll-reportmanual.pdf
	docs/ll-reportmanual.txt docs/ll-reportmanual.xml
	docs/ll-userguide.html docs/ll-userguide.pdf docs/ll-userguide.txt
	reports/anniver.ll reports/cron.ll src/liflines/llexec.c ChangeLog

	Update documentation for sort/rsort's change in sorting direction
	Update reports anniver and cron for same.  Add preliminary
	documentation to reportmanual for the dup function.  And rebuild docs.

2003-09-12 Perry Rapp

        * ChangeLog docs/ll-reportmanual.sv.xml docs/ll-userguide.sv.xml
	docs/ll-reportmanual.sv.html docs/ll-userguide.sv.html 
	docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
	docs/ll-reportmanual.txt

	Moved ll-userguide.sv.xml ll-reportmanual.sv.xml up to the
	docs directory and obsoleted the versions in docs/sv.
	Updated the formatted docs for 3.0.32 including ll-userguide.sv.html
	and ll-reportmanual.sv.html

2003-09-12 Perry Rapp

	* ChangeLog README.MAINTAINERS docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml

	Bump doc versions to 3.0.32 (in preparation).
	Mark LLNEWDBDIR as obsolete in docs.

2003-09-11 Perry Rapp

	* ChangeLog src/gedlib/init.c src/hdrs/llstdlib.h
	src/liflines/llexec.c src/liflines/main.c src/stdlib/path.c

	Remove LLNEWDBDIR and instead use first component of path (LLDATABASES).

	* .linesrc ChangeLog lines.cfg

	Mark LLNEWDBDIR as obsolete in config files.

2003-09-10 Perry Rapp

	* ChangeLog src/btree/file.c src/gedlib/charmaps.c
	src/gedlib/editmap.c src/gedlib/messages.c
	src/gedlib/translat.c src/hdrs/gedcom.h src/hdrs/translat.h
	src/liflines/screen.c

	Fix addtextfile to skip leading BOM.
	Remove extra sets of map names.
	Fix tt menu to show menu keys.
	Fix basm & barm to not say bapt. (sf#803281)

	* ChangeLog src/liflines/tandem.c

	Peter Fales' bugfix for browsing to lower family from tandem.
	(sf#795805)

	* ChangeLog po/POTFILES.in

	Include translat.c in list for xgettext.

	* ChangeLog src/gedlib/messages.c src/gedlib/translat.c
	src/liflines/show.c

	Add translator instructions for localizing translation table menu keys.
	Remove some code obsoleted by earlier changes today.

	* ChangeLog src/interp/intrpseq.c

	Bugfix for set functions deleting temporary values too early.
	(sf#804082)

2003-09-10 Jens Arvidsson

	* ChangeLog po/sv.po

	Updated Swedish translation for 3.0.31.

2003-09-09 Stephen Dum

        * ChangeLog fam10c.ll docs/ll-reportmanual.html
	docs/ll-reportmanual.pdf docs/ll-reportmanual.txt
	docs/ll-reportmanual.xml docs/ll-userguide.html
	docs/ll-userguide.pdf docs/ll-userguide.txt

	fix a erroneous reference to a missing wife in fam10c.ll
	update formatted documentation.

2003-09-09 Matt Emmerton

	* ChangeLog src/interp/builtin.c src/interp/functab.c
	src/interp/interpi.h

	Added the dup() function, which does a "deep" copy of a list.

** CVS TAG v3_0_31

2003-09-09 Perry Rapp

	* ChangeLog NEWS src/interp/more.c

	Bugfix for report sort function to not crash on one argument.
	(sf#803279)

	* ChangeLog reports/st/st_list.ll src/interp/more.c

	Bugfix for (r)sort being reversed. Add single arg (r)sort
	tests to st_list.ll. (sf#803276)

	* ChangeLog src/gedlib/valtable.c

	Fix user option editor to skip UTF-8 BOM. (sf#803483)

	* ChangeLog NEWS src/gedlib/translat.c src/gedlib/xlat.c
	src/hdrs/translat.h src/hdrs/xlat.h

	Include legacy translation tables in translations. (sf#803280)

	* ChangeLog NEWS configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml
	src/gedlib/valtable.c src/hdrs/llstdlib.h src/hdrs/version.h
	src/liflines/screen.c src/stdlib/strutf8.c

	Fix value tables to handle BOM, and change version to 3.0.31.

2003-09-08 Matt Emmerton

	* ChangeLog src/gedlib/init.c

	Changes to eliminate warnings when using --disable-nls

2003-09-08 Perry Rapp

	* ChangeLog src/liflines/ask.c

	Revise file open code to try without then with default extension.

2003-09-06 Perry Rapp

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp
	src/btree/addkey.c src/btree/btreei.h src/btree/record.c
	src/hdrs/btree.h src/tools/dbverify.c

	Add low-level key checking option to dbverify.

	* ChangeLog NEWS README.MAINTAINERS configure.in
	build/msvc6/dbverify/dbVerify.rc build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec docs/ll-devguide.xml
	docs/ll-reportmanual.xml docs/ll-userguide.xml
	src/hdrs/version.h src/tools/dbverify.c

	Fix format mistake & remove some unused variables in dbverify.
	Minor editing of developer docs xml.
	Bump version to 3.0.30 for beta.

** CVS TAG v3_0_30

	* ChangeLog src/gedlib/nodeio.c

	Remove unused function convert_first_fp_to_record.

2003-09-04 Matt Emmerton

	* ChangeLog src/arch/wcslen.c src/gedlib/init.c src/gedlib/locales.c
	src/interp/builtin.c src/liflines/valgdcom.c src/liflines/llexec.h
	src/stdlib/stdlibi.h src/stdlib/table.c src/tools/wprintf.c

	Various changes to eliminate compiler warnings, especially those
	appearing only with --disable-nls.

2003-09-02 Perry Rapp

	* ChangeLog INSTALL

	Note that ppc argument to configure on Mac OS is only needed
	with older versions.

2003-08-29 Perry Rapp

	* ChangeLog src/stdlib/strcvt.c

	Add code to avoid 8-bit uppercasing of UTF-8 code bytes.

2003-08-27 Perry Rapp

	* .linesrc ChangeLog lines.cfg

	Add example of UppercaseSurnames config option to config file.

2003-08-26 Jens Arvidsson

	* ChangeLog docs/ll-userguide.xml docs/ll-reportmanual.xml
	src/gedlib/messages.c src/liflines/import.c

	Typo fixes and some other minor changes.
	
2003-08-25 Perry Rapp

	* ChangeLog src/liflines/brwsmenu.c

	Change "Browse top person" entry on tandem family screen.

2003-08-24  Jens Arvidsson

	* ChangeLog docs/sv/ll-reportmanual.sv.xml po/sv.po
	
	Error corrections in Swedish message catalog and report manual.

2003-08-17  Jens Arvidsson

	* ChangeLog po/sv.po
	
	Update of Swedish translation for 3.0.29.

2003-08-16 Perry Rapp

	* ChangeLog po/fr.po

	Updated fr.po for 3.0.29 from Patrick Texier.

2003-08-15 Perry Rapp

	* ChangeLog docs/Makefile.am

	Improve docs makefile a bit with some named groups.

	* ChangeLog docs/Makefile.am
	*NEW docs/sv/ll-reportmanual.sv.xml
	*NEW docs/sv/ll-userguide.sv.xml

	Add Swedish versions of manuals.

** CVS TAG v3_0_29

2003-08-14 Perry Rapp

	* ChangeLog src/hdrs/gedcom.h

	Revise FORFAMSS, FORFAMCS to skip dangling pointers (and not ASSERT).

	* ChangeLog src/gedlib/gedcom.c src/gedlib/messages.c
	src/liflines/import.c src/liflines/llinesi.h
	src/liflines/valgdcom.c

	Do not trim empty families at import; rather warn of them.
	Add option to bail out of import if warnings found.

	* ChangeLog NEWS build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec src/hdrs/version.h

	Bump version to 3.0.29.

	* ChangeLog configure.in

	Bump also configure.in to 3.0.29.

2003-08-07 Perry Rapp

	* ChangeLog reports/st/st_aux.ll reports/st/st_collate.ll
	reports/st/st_date.ll reports/st/st_db.ll
	reports/st/st_list.ll reports/st/st_name.ll
	reports/st/st_number.ll reports/st/st_string.ll
	reports/st/st_string_UTF-8.ll

	Fix carriage returns in tests. Bump version of st_string for yesterday's
	fix.

2003-08-06 Matt Emmerton

	* ChangeLog src/stdlib/strcvt.c reports/st/st_string.ll

	Change ll_tocapitalizez() and ll_totitlecasez() to *NOT*
	lowercase the entire string before capitalizing.

	Update string tests to fail if embedded uppercase gets
	changed to lowercase as a result of calling these functions.

2003-07-29 Perry Rapp

	* ChangeLog src/liflines/screen.c

	Place cursor at bottom cursor when dynamic menu hidden.

2003-07-28 Perry Rapp

	* ChangeLog src/liflines/screen.c

	Set cursor for main screen.

2003-07-26 Perry Rapp

	* ChangeLog docs/ll-devguide.xml src/hdrs/menuitem.h
	src/hdrs/screen.h src/liflines/screen.c

	Add some documentation for screens, menus, and cursor position.
	Rename place_cursor_new to place_cursor_popup.
	Place cursor horizontally for main screens.

2003-07-24 Perry Rapp

	* ChangeLog src/gedlib/lloptions.c

	Add predefined config file variable %thisdir% (to simplify installer).

2003-07-23 Perry Rapp

	* ChangeLog src/liflines/screen.c

	Fix cursor display for main fixed menu screens (from psfales).

	* ChangeLog src/interp/interp.c src/interp/interpi.h

	Suppress report timing if report didn't run.

2003-07-22 Perry Rapp

	* ChangeLog src/liflines/screen.c

	Fix cursor display in search/scan menu.

2003-07-20 Perry Rapp

	* ChangeLog src/hdrs/screen.h src/liflines/screen.c

	Fix cursor display in full scan menu (from psfales).

2003-07-10 Perry Rapp

	* ChangeLog src/interp/builtin.c

	Fix error handling of __print to not crash (patch#768431).

	* ChangeLog src/interp/rassa.c src/liflines/miscutls.c

	i18n some strings

2003-07-08 Perry Rapp

	* ChangeLog po/fr.po

	Updated French message catalog from Patrick Texier.

2003-07-07 Steve Dum

       * ChangeLog reports/gen_index

       recognize sub directories when generating index.html and retain
       that information on file names.

** CVS TAG v3_0_28p2

2003-07-08 Perry Rapp

	* ChangeLog src/liflines/valgdcom.c

	Extend HEAD limit from 50 to 500 (to handle GEDCOM torture test).
	PATCH#767219.

	* ChangeLog build/msvc6/llines/llines.rc src/hdrs/version.h

	Bumped version for beta version 3.0.28p2.

2003-07-01 Matt Emmerton

	* ChangeLog src/hdrs/interp.h src/stdlib/signals.c src/interp/interp.c

	Create new function, get_report_error_msg(), to be used to create
	the appropriate error message when a signal is caught during report
	processing.  (This eliminates the need to access interp/ internals
	from stdlib/signals.c)

2003-07-01 Matt Emmerton

	* ChangeLog src/hdrs/interp.h src/hdrs/pvalue.h src/interp/interpi.h

	Header file restructuring.
	- Move most of interp.h into interpi.h
	- Move pvalue-related stuff into pvalue.h

	* src/interp/builtin.c src/interp/eval.c src/interp/heapused.c 
	src/interp/interpseq.c src/interp/more.c src/interp/pvalalloc.c
	src/interp/pvalmath.h src/interp/pvalue.c src/interp/rassa.c
	src/interp/symtab.c src/interp/write.c

	User internal header (interpi.h) instead of external header (interp.h)

2003-07-01 Matt Emmerton

	* ChangeLog src/liflines/askgedc.c src/liflines/screen.c
	gedlib/gengedc.c

	Add missing #includes of "cache.h" and "interp.h"
	Add casts to remove compiler warnings

2003-06-30 Matt Emmerton

	* ChangeLog src/interp/pvalue.c src/interp/pvalmath.c

	Remove Perry's ^M assassination of ChangeLog :)
	Add missing return statements in mod_pvalues and div_pvalues.
	Make is_zero() and is_numeric_value() treat PANY as valid.
	Update num_conform_pvalues to properly handle two PANY args.

2003-06-26 Perry Rapp

	* ChangeLog docs/ll-userguide.xml

	Add new section describing GEDCOM import errors.

2003-06-19 Matt Emmerton

	* ChangeLog src/hdrs/table.h src/stdlib/table.c

	Add access_value_str function.

2003-06-19 Perry Rapp

	* ChangeLog src/gedlib/init.c src/hdrs/pvalue.h
	src/interp/interp.c src/liflines/screen.c

	i18n occurrences reported by Frank Ellebrecht.
	Fix comments in pvalue.h from C++ to C.
	Remove CR characters I introduced recently.

	* ChangeLog po/de.po

	New German message catalog from Frank Ellebrecht.

	* reports/st/st_all.ll
	*NEW reports/st/st_name.ll

	Create self-test report for names.

2003-06-18 Matt Emmerton

	* ChangeLog src/interp/pvalue.c

	Use ARRAY instead of struct tag_array*, use pvalue_to_int()

	* src/gedlib/gengedc.c src/gedlib/indiseq.c src/liflines/scan.c
	src/tools/wprintf.c

	Remove unneccessary #includes of interp.h

	* src/hdrs/standard.h src/hdrs/interp.h src/hdrs/pvalue.h
	src/hdrs/Makefile.am

	Add STRING to UNION, introduce (but not use) PVALUE_DATA structure

2003-06-17 Matt Emmerton

	* ChangeLog src/interp/interp.c src/interp/pvalmath.c
	src/interp/pvalue.c

	Use pvalue_to_xxx() functions instead of casting pvalue(val).

2003-06-14 Perry Rapp

	* ChangeLog src/gedlib/names.c

	Fix by Peter Fales for piecematch bug introduced by UTF-8 code.

	* ChangeLog src/hdrs/interp.h src/interp/alloc.c
	src/interp/builtin.c src/interp/interp.c src/interp/intrpseq.c
	src/interp/more.c src/interp/pvalue.c

	Changing code to not access pvalue struct directly.

2003-06-13 Perry Rapp

	* ChangeLog src/interp/pvalue.c

	Added comment to Steve's fix of 2003-06-08.

2003-06-10 Steve Dum
       * ChangeLog docs/ll-reportmanual.html
	   docs/ll-reportmanual.txt docs/ll-reportmanual.xml

       Add documentation for float() and int().

2003-06-08 Steve Dum

       * ChangeLog src/interp/pvalue.c

       modify set_pvalue() to return float(0) when converting a int
       pvalue of 0 to float.

2003-06-03 Matt Emmerton

	* ChangeLog src/hdrs/interp.h src/hdrs/standard.h
	src/interp/builtin.c src/interp/more.c src/interp/pvalmath.c

	Remove definition of LONG, remove LONG from UNION
	Use type-specific versions of pvalue_create and set_pvalue

2003-06-01 Matt Emmerton

	* ChangeLog src/interp/interpi.h src/interp/functab.c
	src/interp/builtin.c

	Add float() and int() "casting" routines

2003-05-28 Steve Dum

       * ChangeLog docs/ll-devguide.html docs/ll-devguide.xml

       Update devguide and flush it out a little

2003-05-26 Steve Dum

       * ChangeLog build/rpm/lifelines.spec

       add index.html, boc.gif and ll.png to the distribution.
       fixed a typo in the spec's file.

2003-05-18 Perry Rapp

	* ChangeLog src/gedlib/init.c src/hdrs/gedcom.h
	src/hdrs/interp.h src/hdrs/version.h src/interp/alloc.c
	src/interp/builtin.c src/interp/functab.c src/interp/interp.c
	src/interp/interpi.h win32/intlshim.c

	Add report language gettext.
	Fix gettext (intl) shim to recognize intl.dll (the name used
	by gettext-0.12).

** CVS TAG v3_0_28p1

2003-05-18 Perry Rapp

	* ChangeLog src/hdrs/version.h

	Make version 3.0.28p1 (includes compile guards needed for OS/X).

2003-05-10 Perry Rapp

	* ChangeLog configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec src/hdrs/version.h

	Bump version to 3.0.28.

	* ChangeLog README.MAINTAINERS docs/ll-devguide.xml

	Listed xml manuals in README.MAINTAINERS to have version bumped.

	* ChangeLog build/rpm/lifelines.spec

	Fix rpm spec changelog format bugs.

** CVS TAG v3_0_28

	Released 3.0.28.

	* ChangeLog configure.in build/msvc6/dbverify/config.h
	build/msvc6/llexec/config.h build/msvc6/llines/config.h
	src/stdlib/strcvt.c

	Added config test for iswalpha. Sync'd msvc6 versions of config.h.

	* ChangeLog src/stdlib/strcvt.c

	Fix compile guards for use of towlower & towupper.

2003-05-09 Perry Rapp

	* ChangeLog po/de.po

	Fix pronouns in German message catalog.

	* ChangeLog src/stdlib/strutf8.c

	Fix operator precedence errors.

2003-05-08 Perry Rapp

	* ChangeLog docs/ll-userguide.xml

	Fix typo.

2003-05-07 Steve Dum
       * ChangeLog docs/ll-userguide.{txt,html,pdf}
       generate html, pdf and txt documents

2003-05-07 Perry Rapp

	* ChangeLog docs/ll-userguide.xml

	Document how to actually set the internal codeset.

2003-05-06 Steve Dum
       * ChangeLog docs/ll-reportmanual* docs/ll-userguide*
       roll version number for these docs to 3.0.28 and
       generate html, pdf and txt forms.

2003-05-06 Perry Rapp

	* ChangeLog docs/dbverify.1

	Change gwc to dbverify in dbverify.1 man page.

	* ChangeLog docs/dbverify.1 docs/llines.1
	*NEW docs/btedit.1

	Add btedit man page (from Christian Perrier), and make all
	three man pages more consistent.

	* ChangeLog build/rpm/lifelines.spec docs/Makefile.am

	Add btedit.1 to distribution.

	* ChangeLog docs/ll-userguide.xml

	Wrote some documentation about codesets.

2003-05-05 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	build/rpm/lifelines.spec docs/Makefile.am
	*NEW docs/dbverify.1

	Added dbverify.1 man page (supplied by Christian Perrier).

2003-04-21 Perry Rapp

	* ChangeLog build/msvc6/llines/llines.rc src/hdrs/version.h
	src/liflines/cscurses.c win32/mycurses.c

	Bugfix for sign-extension bug in win32 curses.
	Change version to 3.0.27p5. Release beta 3.0.27p5.

	* ChangeLog src/stdlib/environ.c

	Change temp file on Win32 to end in .txt extension (so SaveAs UTF-8
	works in notepad).

	* ChangeLog src/gedlib/xlat.c src/hdrs/icvt.h src/stdlib/icvt.c
	src/stdlib/strcvt.c

	Bugfix for illegal character handling in iconv wrapper for Win32.

** CVS TAG v3_0_27p4

2003-04-20 Perry Rapp

	* ChangeLog win32/mycurses.c

	Document alt-0xxx bug in relevant code.

	* ChangeLog src/gedlib/indiseq.c

	Remove extraneous codeset conversion in str_to_indiseq (fix bug 724761).

	* ChangeLog build/msvc6/llines/llines.rc src/hdrs/version.h

	Update for version 3.0.27p4. Release beta 3.0.27p4.

** CVS TAG v3_0_27p3

2003-04-19 Perry Rapp

	* ChangeLog src/gedlib/date.c

	Fix title_dup copy&paste (it was doing lower), which was causing
	many failures in st/st_date.ll.

	* ChangeLog reports/st/st_string_UTF-8.ll

	Added a couple more casing tests, including Greek & Cyrillic, and the
	Greek sigma special case.

	* ChangeLog lines.cfg build/msvc6/llines/llines.rc
	src/arch/platform.c src/gedlib/init.c src/hdrs/arch.h
	src/hdrs/version.h src/liflines/main.c

	Added Win32 config option to set console codepage.

2003-04-16 Perry Rapp

	* ChangeLog src/stdlib/strcvt.c

	Change Greek sigma lowercasing, as recommended by Georg Skillas.

2003-04-16 Perry Rapp

	* ChangeLog configure.in build/msvc6/llines/config.h
	src/gedlib/date.c src/hdrs/llstdlib.h src/interp/builtin.c
	src/stdlib/icvt.c src/stdlib/strcvt.c

	Revise lower, capitalize, and titlecase for internal UTF-8.

2003-04-14 Perry Rapp

	* ChangeLog build/msvc6/llines/llines.rc src/stdlib/icvt.c

	Fix icvt.c to terminate wide in the 0-length input case
	(re: bug#721239). Adjust windows version for 3.0.27p2.

	* ChangeLog docs/ll-reportmanual.xml

	Document that Union, intersect, and difference modify their arguments
	(re: bug#719757).

	* ChangeLog src/liflines/tandem.c

	Fix tandem mode to not default to quit (bug#717421).

2003-04-14 Stephen Dum
        * ChangeLog src/hdrs/standard.h docs/ll-reportmanual.txt
	docs/ll-reportmanual.html docs/ll-reportmanual.pdf
        docs/ll-userguide.txt
	docs/ll-userguide.html docs/ll-userguide.pdf

	include stdarg.h so compiles under linux
	update processed report manual
	make version numbers for user guide and report manual 3.0.27

2003-04-14 Perry Rapp

	* ChangeLog src/gedlib/names.c src/hdrs/llstdlib.h
	src/stdlib/strutf8.c

	New next_char32 function for UTF-8 use.
	Fix piecematch for UTF-8.

	* ChangeLog src/gedlib/names.c src/stdlib/strutf8.c

	Bugfixes to next_char32.

	* ChangeLog build/msvc6/llines/llines.rc src/gedlib/date.c
	src/gedlib/names.c src/gedlib/node.c src/hdrs/gedcom.h
	src/hdrs/llstdlib.h src/interp/builtin.c src/liflines/screen.c
	src/stdlib/stdstrng.c src/stdlib/strcvt.c

	New upperascii_s cheap & dirty uppercasing function, and ll_upperz 
	good one. Change args of manip_name to enums.

	* ChangeLog

	Released 3.0.27p1 (and cvs tagged it).

	* ChangeLog src/arch/snprintf.c src/arch/vsnprintf.c
	src/gedlib/node.c src/hdrs/llstdlib.h src/hdrs/win32/curses.h
	src/interp/interp.c src/liflines/error.c
	src/liflines/valgdcom.c src/stdlib/mystring.c
	src/tools/dbverify.c src/tools/wprintf.c

	Ensuring that stdarg is included everywhere va_list appears.

2003-04-13 Perry Rapp

	* ChangeLog src/btree/record.c src/gedlib/names.c

	Move string for missing names, and & soundex-specific code, up from
	getsurname_impl to its callers.

	* ChangeLog src/gedlib/indiseq.c src/gedlib/names.c
	src/hdrs/llstdlib.h src/hdrs/mystring.h src/hdrs/standard.h
	src/liflines/main.c src/stdlib/llstrcmp.c
	src/stdlib/mystring.c src/stdlib/stdstrng.c
	src/stdlib/strapp.c src/stdlib/strset.c src/stdlib/zstr.c

	Reduce including of mystring.h. Minor refactoring of ll_toupper.

2003-04-11 Stephen Dum
      * ChangeLog docs/ll-reportmanual.xml
      Add text to include description about main procedure usage

2003-04-05 Stephen Dum
      * ChangeLog, .linesrc, lines.cfg, reports/anniver.ll, reports/cron.ll
      Correct OTHRREC reference to OTHR, merge some comments from lines.cfg
      into .linesrc, so two files are more consistent. Fix typo in reports.

2003-03-25 Stephen Dum
       * ChangeLog reports/anniver.ll reports/cron.ll src/interp/interp.c
       reports/Makefile.am reports/gen_index

       * Add \n to a number of error messages so they don't get clobbered
       by the command line prompt after llexec exits.  Add two
       reports to the report directory. Fix gen_index to strip paths off
       program names.

2003-03-24 Perry Rapp

	* ChangeLog src/hdrs/interp.h src/interp/interp.c
	src/interp/interpi.h

	Fix requires command (in report language).

	* ChangeLog docs/ll-devguide.xml

	Add brief explanation of require handling to developer docs.

2003-03-18 Stephen Dum
        * ChangeLog docs/ll-devguide.html docs/ll-devguide.xml
	docs/ll-reportmanual.html docs/ll-reportmanual.pdf
	docs/ll-reportmanual.txt docs/ll-reportmanual.xml 
	docs/ll-userguide.html docs/ll-userguide.pdf 
	docs/ll-userguide.txt docs/ll-userguide.xml

	Format devguide and checkin html version.  Minor cleanup of
	report manual and user guide.

2003-03-17 Stephen Dum
        * ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.xml
	docs/ll-userguide.xml src/liflines/llexec.c

	Minor mods to report and user manual, modify llexec.c to
	output cr on messages describing the failure to open database.

2003-03-16 Stephen Dum

        * ChangeLog docs/ll-reportmanual.xml docs/ll-reportmanual.html

	Updated report manual to include all functions in 3.0.27
	updated version number in manual to 3.0.27

2003-03-16 Perry Rapp

	* ChangeLog src/btree/record.c src/liflines/error.c

	Fix crash_setdb in error.c.
	ASSERT if infinite index loop found in getrecord.

2003-03-15 Perry Rapp

	* ChangeLog src/hdrs/interp.h src/interp/interp.c
	src/liflines/llexec.c src/liflines/main.c
	src/liflines/screen.c

	Call interp_main instead of interp_program_list from main/llexec.
	(Fix for sf bug#704326: llexec will crash if argument error found.)

	* ChangeLog src/stdlib/stdstrng.c

	Remove unused llstrncat.

	* ChangeLog src/interp/builtin.c

	Fix buggy f() report function.
	(sf bug#704336: f() report function crashes.)

	* ChangeLog src/gedlib/messages.c src/liflines/llexec.c
	src/liflines/screen.c

	Implement choose/view array for llexec (not a great implementation).

	* ChangeLog src/liflines/llexec.c

	Fix llexec's interact for MS-Windows CR/LF.

2003-03-13 Stephen Dum

        * ChangeLog docs/ll-reportmanual.xml docs/ll-userguide.xml
	src/gedlib/init.c src/gedlib/lloptions.c src/stdlib/stdstrng.c
	docs/ll-reportmanual.html docs/ll-reportmanual.pdf 
	docs/ll-reportmanual.txt 
	docs/ll-userguide.html docs/ll-userguide.pdf docs/ll-userguide.txt 

	Move description of system and user properties to one section
	in userguide.  Document a number of undocumented programming calls
	modify code to look in both home directory and current directory
	for configuration files.  fix a bug in llstrncat which would
	cause llstrncpy to stomp on memory.


2003-03-07 Perry Rapp

	* ChangeLog sv/sv.po

	Update to Swedish message catalog.

	* ChangeLog src/interp/pvalue.c

	Disable dolock_node_in_cache (as it is causing cache overflow
	for at least one user).

	* ChangeLog src/interp/builtin.c src/interp/functab.c
	src/interp/interpi.h

	Remove deleteel function.

	* ChangeLog docs/ll-reportmanual.xml

	Remove documentation of deleteel function.

	* ChangeLog build/rpm/lifelines.spec

	Update rpm spec file for new documentation files.

	* ChangeLog build/msvc6/llexec/llexec.dsp

	Add new files to msvc makefile for llexec.

	* ChangeLog NEWS configure.in build/rpm/lifelines.spec
	src/hdrs/version.h

	Creating version 3.0.27.

	* ChangeLog build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc

	Updating versions in windows resources to 3.0.27.

	* ChangeLog reports/st/st_list.ll

	Remove self-test code for deleteel.

2003-03-06 Steve Dum

	* ChangeLog docs/Makefile.am
	
	Add rules to build doc's from xml (works on redhat 8.0)
	(requires openjade-1.3 jadetex-3.12)
	Add ll-reportmanual.* ll-usermanual.* to distribution
	remove quickref.*

2003-03-06 Perry Rapp

	* ChangeLog src/gedlib/brwslist.c src/gedlib/xlat.c
	src/hdrs/list.h src/interp/interp.c src/interp/more.c
	src/liflines/advedit.c src/liflines/scan.c

	Add STOPLIST macro to clear current lock when breaking
	(or returning) out of a FORLIST loop. This fixes the
	ASSERT crash when doing a successful name scan.

	* ChangeLog NEWS

	Document list fix above as bugfix.

	* ChangeLog src/interp/interp.c

	Bugfix to STOPLIST use in interp_forlist.

	* ChangeLog src/interp/builtin.c

	More specific error when passing Null value to __set.

2003-03-05 Perry Rapp

	* ChangeLog docs/Install.LifeLines.Windows.txt
	docs/Run.LifeLines.Windows.txt

	Minor updates to instructions for use on MS-Windows.

	* ChangeLog docs/ll-devguide.xml

	Attempt to make devguide parseable.

2003-03-04 Steve Dum

        * ChangeLog docs/ll-reportmanual.html docs/ll-reportmanual.pdf
	docs/ll-reportmanual.txt docs/ll-reportmanual.xml
	docs/ll-userguide.html docs/ll-userguide.pdf docs/ll-userguide.xml
	docs/ll-userguide.txt

	Update manuals and regenerate various forms.

2003-03-04 Perry Rapp

	* ChangeLog src/gedlib/misc.c src/hdrs/gedcom.h

	Fix fornodes (FORTAGVALUES) to get CONC & CONT both.
	(sf.net bug#696779)

	* ChangeLog docs/ll-reportmanual.xml docs/ll-userguide.xml

	Removed "new in 3.0.6" references in ll-userguide.xml, and
	changed version from 3.0.15 to 3.0.25. Changed version of
	ll-reportmanual.xml from 3.0.25 to 3.0.26 (because it 
	mentions sort functions, which are not in 3.0.25).

	* ChangeLog NEWS configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec src/arch/platform.c src/gedlib/init.c
	src/gedlib/locales.c src/gedlib/misc.c src/hdrs/gedcom.h
	src/hdrs/menuitem.h src/hdrs/version.h src/liflines/brwsmenu.c
	src/stdlib/list.c

	Reload menus for codeset change via callback, to fix linking
	failure with llexec. Add include stdlib to platform.c to
	fix compile on Darwin. Minor cleanup. Bump version to 3.0.26.
	Make 3.0.26 distribution. Make distribution of current
	documentation and label it 3.0.26.

2003-03-04 Steve Dum

         * ChangeLog docs/ll-reportmanual.xml  docs/ll-reportmanual.html
	 docs/ll-reportmanual.pdf docs/ll-reportmanual.txt

	 clean up formatting of report manual
   
2003-03-03 Perry Rapp

	* ChangeLog po/fr.po

	Update to French message catalog from Patrick Texier.

2003-03-02 Perry Rapp

	* ChangeLog src/interp/more.c

	Fix __sort to sort on keys not values. Add __rsort.

	* ChangeLog reports/st/st_list.ll src/interp/functab.c
	src/interp/interpi.h src/interp/more.c

	Code cleanup. Expose __rsort to report language.
	Add sort & rsort tests to list self-test.

	* ChangeLog src/stdlib/list.c

	Improve random access to lists. Implement negative offsets
	(to access elements from other end).

	* ChangeLog docs/ll-reportmanual.xml

	Documented sort & rsort, FLOAT type, negative offsets
	to getel, writeindi and writefam.

	* ChangeLog docs/ll-reportmanual.xml

	Updated dateformat documentation (new for yearformat and
	eraformat).

	* ChangeLog src/gedlib/init.c src/hdrs/menuitem.h
	src/liflines/brwsmenu.c

	Bugfix for menu items not getting localized into internal 
	codeset (sf bug#696157).

	* ChangeLog docs/ll-reportmanual.xml reports/st/st_list.ll
	src/hdrs/list.h src/interp/builtin.c src/interp/functab.c
	src/interp/interpi.h src/stdlib/list.c

	Added delete_list_element and __deleteel, and list node locking.

	* ChangeLog src/hdrs/array.h src/stdlib/array.c

	Added delete method for arrays.

2003-03-01 Perry Rapp

	* ChangeLog src/gedlib/indiseq.c src/hdrs/array.h
	src/hdrs/indiseq.h src/hdrs/interp.h src/hdrs/object.h
	src/hdrs/vtable.h src/interp/more.c src/interp/pvalue.c
	src/stdlib/array.c src/stdlib/object.c src/stdlib/vtable.c

	Bugfix: pvalues were lacking refcount.
	Also, __sort was completely broken.
	Changed llqsort to use non-recursive quicksort with median3 pivot.

	* ChangeLog src/hdrs/interp.h src/interp/more.c

	Changed __sort to call library qsort, which is much faster 
	than the lifelines one I just tried to optimize (on Windows).

	* ChangeLog src/interp/more.c

	Bugfix to __sort compare function.

	* src/hdrs/win32/curses.h win32/mycurses.c

	(win32 curses) Dynamically size window buffer 
	(because I want to use a larger window :)).

2003-02-28 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/indiseq.c src/hdrs/indiseq.h src/hdrs/interp.h
	src/hdrs/standard.h src/interp/functab.c src/interp/interpi.h
	src/interp/intrpseq.c src/interp/more.c src/interp/pvalue.c
	src/stdlib/table.c src/stdlib/zstr.c
	*NEW src/hdrs/array.h
	*NEW src/hdrs/object.h
	*NEW src/stdlib/array.c
	*NEW src/stdlib/object.c

	Add array types to interpreter, and new sort function.
	Add object.* for client use of objects with vtables.

	* ChangeLog src/hdrs/list.h src/interp/more.c src/stdlib/list.c

	Copy sorted array back in __sort.

	* ChangeLog src/hdrs/Makefile.am src/stdlib/Makefile.am

	Add new array.*, object.*, vtable.* files to automakefiles.

	* ChangeLog src/stdlib/Makefile.am

	Fix vtable.h should be vtable.c in src/stdlib/Makefile.am.

	* ChangeLog src/hdrs/object.h src/interp/more.c
	src/stdlib/object.c

	Bugfix: list_to_array wasn't addref'ing pvalues.

	* ChangeLog README.MAINTAINERS

	List cvs tag command for versions.

2003-02-26 Perry Rapp

	* ChangeLog po/sv.po

	Updated Swedish message catalog.

2003-02-24 Perry Rapp

	* ChangeLog src/gedlib/init.c src/hdrs/interp.h
	src/hdrs/table.h src/hdrs/vtable.h src/interp/interpi.h
	src/interp/pvalalloc.c src/interp/pvalue.c 
	src/stdlib/table.c src/stdlib/vtable.c

	Fix crash because placeabbrvs wasn't cleared.
	Implement vtable for pvalues.

2003-02-23 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/date.c
	src/gedlib/dispfmt.c src/gedlib/indiseq.c
	src/gedlib/keytonod.c src/gedlib/xlat.c src/hdrs/cache.h
	src/hdrs/date.h src/hdrs/gedcom.h src/hdrs/impfeed.h
	src/hdrs/indiseq.h src/hdrs/interp.h src/hdrs/liflines.h
	src/hdrs/list.h src/hdrs/lloptions.h src/hdrs/menuitem.h
	src/hdrs/screen.h src/hdrs/standard.h src/hdrs/table.h
	src/hdrs/translat.h src/hdrs/warehouse.h src/hdrs/zstr.h
	src/hdrs/win32/curses.h src/interp/alloc.c
	src/interp/builtin.c src/interp/interp.c src/interp/interpi.h
	src/interp/intrpseq.c src/interp/pvalalloc.c
	src/interp/pvalue.c src/interp/symtab.c
	src/liflines/brwsmenu.c src/liflines/export.c
	src/liflines/import.c src/liflines/llinesi.h
	src/liflines/loadsave.c src/liflines/menuset.c
	src/liflines/screen.c src/liflines/show.c
	src/liflines/valgdcom.c src/stdlib/zstr.c

	Fixed cacheel<->record linkage.
	Regularized structure tags (eg, CACHEEL is struct tag_cacheel *).
	Removed unused indiseq list (initset etc).

	* ChangeLog NEWS configure.in build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc build/rpm/lifelines.spec
	src/hdrs/version.h

	Bumped version to 3.0.25.
	Added notes in ChangeLog when 3.0.24b1, b2, and b3 were released.
	Released 3.0.25.

	* ChangeLog src/gedlib/indiseq.c src/hdrs/indiseq.h
	src/interp/intrpseq.c

	Renamed indiseq "vtbl" to "fnctbl" (it is a function table, not a
	vtable; it is stored in the container, not in the objects). This is
	preparatory to adding vtables to objects.

	* ChangeLog build/msvc6/dbverify/dbverifyCmd.dsp
	build/msvc6/llines/llinesprj.dsp src/gedlib/date.c
	src/gedlib/editvtab.c src/gedlib/gengedc.c
	src/gedlib/indiseq.c src/gedlib/init.c src/gedlib/keytonod.c
	src/gedlib/lloptions.c src/gedlib/xlat.c src/hdrs/impfeed.h
	src/hdrs/list.h src/hdrs/table.h src/interp/alloc.c
	src/interp/builtin.c src/interp/interp.c src/interp/symtab.c
	src/liflines/import.c src/liflines/llexec.c
	src/liflines/main.c src/liflines/screen.c
	src/liflines/valgdcom.c src/stdlib/list.c
	src/stdlib/proptbls.c src/stdlib/table.c src/tools/dbverify.c
	*NEW src/hdrs/vtable.h
	*NEW src/stdlib/vtable.c

	Began adding vtables, and began moving table memory mgmt
	to creation.

	* ChangeLog src/gedlib/keytonod.c:

	Bugfix: [ 691936 ] dbverify ASSERT (3.0.25)

	* ChangeLog src/gedlib/date.c src/gedlib/editvtab.c
	src/gedlib/indiseq.c src/gedlib/init.c src/gedlib/keytonod.c
	src/gedlib/lloptions.c src/gedlib/valtable.c
	src/liflines/llexec.c src/liflines/main.c
	src/liflines/screen.c src/liflines/valgdcom.c
	src/stdlib/proptbls.c src/stdlib/table.c src/tools/dbverify.c

	Changing some remove_table calls to destroy_table.

	* ChangeLog src/gedlib/xlat.c src/hdrs/interp.h
	src/hdrs/vtable.h src/interp/builtin.c src/interp/pvalalloc.c
	src/interp/pvalue.c src/liflines/import.c
	src/liflines/valgdcom.c src/stdlib/table.c

	Changing more remove_table calls to destroy_table.

2003-02-22 Perry Rapp

	* ChangeLog build/msvc6/llexec/llexec.dsp
	build/msvc6/llexec/llexec.rc build/msvc6/llines/llinesprj.dsp
	src/gedlib/date.c src/gedlib/translat.c src/hdrs/liflines.h
	src/hdrs/screen.h src/interp/Makefile.am src/interp/builtin.c
	src/interp/eval.c src/interp/interp.c src/interp/interpi.h
	jsrc/interp/rassa.c src/interp/write.c src/liflines/ask.c
	src/liflines/llexec.c src/liflines/screen.c
	*NEW src/interp/rptui.c
	*NEW src/interp/rptui.h

	Fix bug report flag not getting cleared after report.
	Implement ui/rpt locale switching for ui functions.
	Add report (& report ui) timing.
	Put debugger prompt into stdout (so user can read error
	before popup obscures it).
	Prototype some existing static functions in screen.c at top.
	Add names to all uiwindows (for debugging convenience).
	Fix uninitialized bug in report pronoun function.

	* ChangeLog build/msvc6/llines/llines.rc

	Update versions in win32 to today's date.

2003-02-18 Perry Rapp

	* ChangeLog src/gedlib/xlat.c

	Fix leak of zstring if iconv translation step fails.

	* ChangeLog src/gedlib/xlat.c

	Fix bug creating iconv step of xlat.

2003-02-17 Perry Rapp

	* ChangeLog src/interp/builtin.c

	Fix crash if null first arg to extractdate.

2003-02-12 Perry Rapp

	* ChangeLog po/fr.po src/btree/record.c src/hdrs/version.h
	src/interp/pvalalloc.c

	Compilation fixes. New French message catalog. Bump version to 3.0.24b10.

2003-02-11 Perry Rapp

	* ChangeLog src/gedlib/nodeio.c src/liflines/loadsave.c

	Read gedcom files in binary mode, due to bug of MS-Windows.

	* ChangeLog src/gedlib/init.c src/gedlib/locales.c
	src/gedlib/node.c src/liflines/main.c:

	Plug some minor, one time per db, leaks.

	* ChangeLog src/gedlib/nodeio.c

	Plug holes in error returns from string_to_node.

	* ChangeLog src/liflines/screen.c

	Free some leaked uiwindows.

	* ChangeLog src/btree/index.c src/btree/record.c
	src/btree/utils.c src/gedlib/keytonod.c src/hdrs/standard.h
	src/interp/builtin.c src/stdlib/lldate.c

	Close some filehandles under error conditions.
	More legible dates in logs.

2003-02-10 Perry Rapp

	* ChangeLog src/hdrs/version.h

	Bump version for new 3.0.24b9 beta release.

2003-02-08 Stephen Dum
        * ChangeLog src/interp/interp.c src/stdlib/stdstrng.c

	Plug a uninitialized memory read and two leaks.

2003-02-08 Perry Rapp

	* ChangeLog src/interp/builtin.c src/interp/write.c

	Check for null parent in addnode.

	* ChangeLog src/gedlib/keytonod.c

	ASSERT checks that lock & semilock stay nonnegative.

	* ChangeLog src/liflines/show.c

	Andreas Kirschbaum's fix to prevent crash in birth display.

	* ChangeLog src/gedlib/editvtab.c

	Andreas Kirschbaum's fix to prevent crash editing place abbrev.

2003-02-07 Perry Rapp

	* ChangeLog src/hdrs/indiseq.h src/hdrs/interp.h
	src/interp/Makefile.am:

	Fix some declaration errors, and add pvalalloc.c to makefile.

2003-02-06 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c src/hdrs/cache.h
	src/hdrs/gedcom.h src/liflines/show.c

	Add lock counts to cache display (for debugging).

	* ChangeLog src/hdrs/indiseq.h src/hdrs/interp.h
	src/interp/builtin.c src/interp/interp.c src/interp/intrpseq.c
	src/interp/more.c src/interp/pvalue.c src/interp/write.c
	src/liflines/lbrowse.c src/liflines/tandem.c

	Wrap a lot of pvalue access casts into functions (eg, pvalue_to_seq).

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/indiseq.c src/gedlib/node.c src/hdrs/interp.h
	src/interp/builtin.c src/interp/interpi.h src/interp/pvalue.c
	src/stdlib/list.c src/stdlib/table.c
	*NEW src/interp/pvalalloc.c

	Move pvalue memory code into pvalalloc.c.
	Move all pvalue assignment code into set_pvalue.
	Change reference counted types to start at 0 (none until something
	elects to own them).
	Fix lock leak.

2003-02-04 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c src/gedlib/node.c
	src/hdrs/cache.h src/hdrs/gedcom.h src/hdrs/interp.h
	src/interp/builtin.c src/interp/pvalue.c src/interp/write.c
	src/liflines/browse.c src/liflines/edit.c

	Lock nodes into direct cache while pvalues point at them.
	(Add record pointer to node, and cacheel pointer to record.)

	* ChangeLog src/gedlib/node.c src/hdrs/gedcom.h
	src/interp/builtin.c src/interp/pvalue.c src/interp/write.c

	More fixing of node ref counting. Try to fix __writeindi.

	* ChangeLog src/interp/write.c

	Add explanatory note about outstanding bug.

	* ChangeLog src/gedlib/node.c src/gedlib/replace.c
	src/hdrs/gedcom.h src/interp/write.c src/liflines/edit.c

	Fix __writeindi and __writefam (integrating replace.c with edit.c).

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/Makefile.am src/gedlib/gedcomi.h src/gedlib/node.c
	src/hdrs/gedcom.h src/hdrs/liflines.h src/interp/write.c
	src/liflines/add.c src/liflines/edit.c
	*NEW src/gedlib/nodeio.c

	Factored out GEDCOM I/O code from node.c into nodeio.c.

	* ChangeLog src/gedlib/nodeio.c src/liflines/add.c
	src/liflines/edit.c

	Move gedcom output routines from edit.c to nodeio.c.

2003-02-03 Matt Emmerton

	* ChangeLog src/interp/write.c

	Break links to parent/sibling NODEs during deletenode()

2003-02-03 Perry Rapp

	* ChangeLog src/gedlib/node.c src/hdrs/llstdlib.h
	src/interp/builtin.c src/interp/functab.c src/interp/interpi.h
	src/interp/write.c src/liflines/import.c
	src/liflines/llinesi.h src/liflines/valgdcom.c
	src/stdlib/strwhite.c

	Make deletenode only detach the node, not delete it.
	Also rename it detachnode (but leave old name for reports).
	Begin reading GEDCOM header before validation.
	Check GEDCOM form for LINEAGE-LINKED.

2003-02-02 Matt Emmerton

	* ChangeLog src/gedlib/node.c

	Fix memory leak in free_node().

2003-02-02 Perry Rapp

	* ChangeLog src/gedlib/codesets.c src/gedlib/date.c
	src/gedlib/init.c src/hdrs/date.h src/liflines/llexec.c

	Cleanup some heap memory at end of program.

	* ChangeLog reports/st/st_list.ll src/gedlib/init.c
	src/gedlib/lloptions.c src/hdrs/lloptions.h src/interp/alloc.c
	src/interp/interp.c src/stdlib/listener.c

	Cleanup leak in pathinfos.
	Cleanup leak in lloptions listeners.
	Cleanup leak of dboptions in init_lifelines_db.

	* ChangeLog src/gedlib/init.c src/gedlib/keytonod.c
	src/hdrs/gedcom.h

	Cleanup cache memory when closing db.

	* ChangeLog src/interp/builtin.c src/interp/write.c

	Standardize more argument handling in interpreter.

	* ChangeLog src/hdrs/interp.h src/interp/builtin.c
	src/interp/more.c src/interp/pvalue.c:

	More standardizing argument handling in interpreter.

	* ChangeLog src/gedlib/node.c src/hdrs/gedcom.h
	src/hdrs/interp.h src/hdrs/list.h src/hdrs/standard.h
	src/interp/builtin.c src/interp/pvalue.c src/interp/write.c
	src/stdlib/list.c:

	More cleaning, and begin fixing write.c.

2003-02-01 Perry Rapp

	* ChangeLog src/gedlib/node.c src/interp/interp.c
	src/interp/more.c:

	Report correct program name in parse error.

2003-02-01 Steve Dum
        * ChangeLog src/gedlib/node.c src/liflines/llexec.c 
	src/btree/opnbtree.c

	fixed some memory leaks

	*src/interp/interp.c

	clean up message output

2003-02-01 Perry Rapp

	* ChangeLog src/hdrs/interp.h src/interp/builtin.c
	src/interp/rassa.c:

	Make program interpreter stop with error if output file cannot be opened.

	* ChangeLog src/gedlib/xlat.c src/hdrs/feedback.h
	src/interp/builtin.c src/interp/eval.c src/interp/interp.c
	src/interp/rassa.c src/liflines/askprogram.c
	src/liflines/llexec.c src/liflines/screen.c src/stdlib/path.c
	src/stdlib/zstr.c:

	Fix bug introduced earlier today. Change some malloc calls to stdalloc.
	Plug leaks in zs_free & zs_move.
	Plug leak in fopenpath.

	* ChangeLog src/gedlib/node.c src/hdrs/gedcom.h
	src/interp/builtin.c src/interp/pvalue.c:

	Plug leaks in gettoday(). Plug leak in __date().

	* src/hdrs/version.h:

	Make 3.0.24b8 beta.

2003-01-31 Steve Dum
       * reports/Makefile.am reports/gen_index

       update makefile to use VPATH to complete arguments to gen_index
       make gen_index not change index.html unless no errors.

2003-01-30 Perry Rapp

	* ChangeLog src/interp/interp.c:

	Clear previous error info when running a new report.

	* ChangeLog build/msvc6/llines/llines.rc src/hdrs/interp.h
	src/hdrs/zstr.h src/interp/alloc.c src/interp/builtin.c
	src/interp/pvalmath.c src/interp/pvalue.c src/stdlib/zstr.c:

	Improved error reporting for numeric operators.

	* ChangeLog src/hdrs/interp.h src/interp/pvalue.c:

	Fix some type conversion pvalue leaks.

	* ChangeLog reports/Makefile.am:

	Fix path in reports Makefile.am for perl indexing.

	* ChangeLog src/hdrs/version.h:

	Made release 3.0.24b7.

	* ChangeLog build/msvc6/llines/llines.rc:

	Bumped win32 version to 3.0.27b7.

2003-01-23 Steve Dum
  
        * ChangeLog reports/Makefile.am, reports/gen_index, 
	  reports/ll.png, reports/boc.gif, reports/*.ll,

	Modify Makefile.am to generate index.html file using perl
	script gen_index for reports.
	Add image files ll.png, boc.gif for use by index.html, and
	modify all reports to have a 1 paragraph description following
	the description tag.

2003-01-23 Perry Rapp

	* ChangeLog src/liflines/show.c:

	Fix for fatal (zstring) bug in date.c.

	* ChangeLog reports/st/st_date.ll src/gedlib/date.c:

	Fix bug in date parser (misparsing BC, BCE if no month).

2003-01-19 Perry Rapp

	* ChangeLog src/hdrs/interp.h src/interp/alloc.c
	src/interp/builtin.c src/interp/interp.c src/interp/more.c
	src/interp/pvalue.c:

	Minor improvements to builtin debugger.

2003-01-17 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/codesets.c
	src/gedlib/date.c src/gedlib/editmap.c src/gedlib/gedcomi.h
	src/gedlib/indiseq.c src/gedlib/init.c src/gedlib/translat.c
	src/gedlib/xlat.c src/hdrs/cscurses.h src/hdrs/icvt.h
	src/hdrs/standard.h src/hdrs/translat.h src/hdrs/xlat.h
	src/hdrs/zstr.h src/interp/builtin.c src/interp/interp.c
	src/liflines/cscurses.c src/liflines/import.c
	src/liflines/screen.c src/liflines/show.c
	src/liflines/valgdcom.c src/stdlib/icvt.c
	src/stdlib/sprintpic.c src/stdlib/strcvt.c src/stdlib/zstr.c:

	Changed ZSTR interface to use ZSTR instead of ZSTR *.

2003-01-16 Perry Rapp

	* ChangeLog src/hdrs/llnls.h:

	Fix llnls.h for systems which include libintl.h indirectly.

	* ChangeLog Makefile.am configure.in
	build/msvc6/llines/llines.rc src/hdrs/version.h
	*NEW tt/Makefile.am
	*NEW tt/README:

	Added translation tables to distribution. Bumped version to 3.0.24b6.

2003-01-14 Perry Rapp

	* ChangeLog src/liflines/show.c:

	Finish revision of birth & death display code.

	* ChangeLog tt/UTF-8__asciitex.tt:

	Improvements to asciitex subcoding for UTF-8.

2003-01-13 Perry Rapp

	* ChangeLog
	*NEW tt/UTF-8__asciitex.tt:

	Begin translation table for tex.

	* ChangeLog src/gedlib/node.c src/liflines/show.c:

	Comments on new birth display code.

	* ChangeLog src/gedlib/node.c src/liflines/show.c:

	Implement most of new birth display code.

	* ChangeLog src/liflines/show.c:

	Revise comments about what needs doing for display.

2003-01-12 Perry Rapp

	* ChangeLog src/gedlib/misc.c src/gedlib/node.c
	src/hdrs/gedcom.h src/liflines/show.c:

	Start new birth display code.

2003-01-11 Perry Rapp

	* ChangeLog configure.in src/hdrs/arch.h src/stdlib/path.c:

	Remove unused configure tests for strcmpi (was
	only used once in liflines/scan.c, and only as a
	test for equality).

	* ChangeLog src/gedlib/init.c src/gedlib/node.c
	src/hdrs/gedcom.h src/interp/builtin.c src/liflines/screen.c
	src/liflines/show.c:

	Minor revision of person display code & apply to ppl in fam.
	Fix db selection choosing wrong db.
	Add missing description for BTERR_UNLOCKED.
	Begin work on Bug#662765.

2003-01-07 Perry Rapp

	* build/msvc6/llines.rc

	Mark win32 llines resource for 3.0.24b5 beta.

2003-01-05 Perry Rapp

	* ABOUT-NLS ChangeLog configure.in build/Makefile.am
	build/gettext/README build/gettext/gettext.m4
	build/gettext/iconv.m4 build/gettext/lcmessage.m4
	build/gettext/lib-link.m4 intl/ChangeLog intl/Makefile.in
	intl/VERSION intl/bindtextdom.c intl/config.charset
	intl/dcgettext.c intl/dcigettext.c intl/dcngettext.c
	intl/dgettext.c intl/dngettext.c intl/eval-plural.h
	intl/gettext.c intl/gettextP.h intl/gmo.h intl/intl-compat.c
	intl/l10nflist.c intl/libgnuintl.h intl/loadinfo.h
	intl/loadmsgcat.c intl/localcharset.c intl/localename.c
	intl/ngettext.c intl/os2compat.c intl/plural-exp.h
	intl/textdomain.c src/arch/Makefile.am src/btree/Makefile.am
	src/gedlib/Makefile.am src/interp/Makefile.am
	src/liflines/Makefile.am src/stdlib/Makefile.am
	src/tools/Makefile.am
	*NEW build/gettext/intdiv0.m4
	*NEW build/gettext/inttypes-pri.m4
	*NEW build/gettext/inttypes.m4
	*NEW build/gettext/inttypes_h.m4
	*NEW build/gettext/stdint_h.m4
	*NEW build/gettext/uintmax_t.m4
	*NEW build/gettext/ulonglong.m4

	gettextized to 0.11.5. Added ../../intl to all source includes
	(to get generated libintl.h for systems lacking it).

	* ChangeLog src/hdrs/version.h:

	Bump version to 3.0.24b5 for beta release.

2003-01-04 Matt Emmerton

	* ChangeLog src/arch/Makefile.am

	Ensure libarch.a doesn't get installed during 'make install'.

2003-01-04 Perry Rapp

	* ChangeLog src/liflines/main.c

	Supply valid window argument to keypad (to prevent crash on Solaris).

	* ChangeLog src/hdrs/version.h:

	Bumped version to 3.0.24b3 for new beta release for work on SunOS5.8.

	[Also released 3.0.24b4 beta version this same day.]

2003-01-03 Perry Rapp

	* ChangeLog
	*NEW src/arch/has_key.c:

	Add file with new has_key (trivial placeholder) implementation.

	* ChangeLog src/hdrs/arch.h:

	Add arch.h declaration for has_key if replaced.

	* ChangeLog src/gedlib/charmaps.c src/hdrs/arch.h
	src/hdrs/gedcom.h src/hdrs/version.h src/stdlib/llstrcmp.c
	src/stdlib/signals.c src/stdlib/stdlibi.h src/stdlib/strcvt.c:

	Cleanup (& bump version for another beta release).

	* ChangeLog configure.in src/stdlib/icvt.c src/stdlib/strcvt.c:

	More portability cleanup.

	* ChangeLog src/arch/has_key.c:

	Fix arch/has_key.c.

	[Released 3.0.24b1 and 3.0.24b2 beta versions this day.]

2003-01-02 Perry Rapp

	* ChangeLog configure.in src/hdrs/version.h:

	Placeholder version of has_key for Solaris system lacking it.

	* ChangeLog src/liflines/llexec.c src/liflines/screen.c
	src/tools/dbverify.c:

	Miscellaneous fixes for recent changes.

	* ChangeLog build/msvc6/llexec/llexec.dsp src/liflines/ask.c
	src/liflines/llexec.c src/liflines/newrecs.c
	src/liflines/screen.c:

	Improving llexec.c.

	* ChangeLog src/liflines/Makefile.am:

	Add ask.c to llexec.c.

2003-01-01 Perry Rapp

	* ChangeLog src/gedlib/keytonod.c src/hdrs/cache.h
	src/hdrs/interp.h src/hdrs/screen.h src/interp/pvalue.c
	src/liflines/browse.c src/liflines/llinesi.h
	src/liflines/pedigree.c src/liflines/screen.c
	src/liflines/show.c src/liflines/tandem.c:

	Replace some uses of NODE with RECORD.

2002-12-31 Perry Rapp

	* ChangeLog src/hdrs/interp.h src/interp/builtin.c
	src/stdlib/list.c:

	Fix report language __free command.

2002-12-29 Perry Rapp

	* ChangeLog reports/st/st_list.ll src/gedlib/indiseq.c
	src/gedlib/names.c src/gedlib/place.c src/hdrs/interp.h
	src/hdrs/list.h src/interp/builtin.c src/interp/interp.c
	src/liflines/main.c src/stdlib/list.c:

	Fix setel for reports. Add setel test to st_list.ll.

2002-12-28 Perry Rapp

	* ChangeLog docs/ll-reportmanual.xml:

	Fix typo in report manual (thanks to Steve Dum).

2002-12-19 Perry Rapp

	* ChangeLog reports/st/st_list.ll src/interp/pvalue.c:

	More list tests (c/o John Chandler).

2002-12-18 Perry Rapp

	* ChangeLog build/msvc6/llines/llines.rc:

	Updating lines.rc to say 3.0.24 (oops).

2002-12-17 Perry Rapp

	* ChangeLog reports/st/st_list.ll src/hdrs/list.h
	src/liflines/screen.c src/stdlib/list.c src/stdlib/proptbls.c:

	Add requeue tests to st/st_list.ll.
	Revert enqueue to push, and getel & FORLIST to go from tail to head.

	* ChangeLog NEWS configure.in build/rpm/lifelines.spec
	src/hdrs/version.h:

	Making version 3.0.24.

2002-12-16 Perry Rapp

	* ChangeLog po/fr.po:

	Updated French message catalog from Patrick Texier.

	* ChangeLog configure.in
	*NEW src/arch/wcslen.c:

	Replace wcslen if missing (Darwin).

	* ChangeLog src/interp/builtin.c:

	Fix enqueue bug introduced recently by Perry.

	* ChangeLog src/liflines/add.c src/liflines/browse.c
	src/liflines/edit.c:

	Remove unused variables.

	* ChangeLog src/liflines/browse.c:

	Fix add child asking twice bug.

	* ChangeLog reports/st/st_all.ll
	*NEW reports/st/st_list.ll:

	Add list self-test functions.

2002-12-16 Perry Rapp

	* ChangeLog src/gedlib/xlat.c:

	Fix bug dropping subcoding files.

	* ChangeLog
	*NEW tt/UTF-8__html.tt
	*NEW tt/UTF-8__unhtml.tt:

	Add files for html subcoding (for output html reports).

	* ChangeLog src/gedlib/xlat.c:

	Cleanup warnings.

	* ChangeLog NEWS configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec src/hdrs/version.h:

	Making version 3.0.23.

	* ChangeLog build/msvc6/llexec/llexec.dsp
	build/msvc6/llexec/llexec.rc:

	Bring llexec MSVC6 project up-to-date.

	* ChangeLog po/da.po po/de.po po/el.po po/fr.po po/it.po
	po/sv.po reports/Makefile.am:

	Update distribution reports to include self-test reports.

2002-12-15 Perry Rapp

	* ChangeLog src/gedlib/codesets.c src/gedlib/init.c
	src/gedlib/translat.c src/gedlib/xlat.c src/hdrs/gedcheck.h
	src/hdrs/translat.h src/hdrs/xlat.h src/liflines/askgedc.c
	src/liflines/import.c src/liflines/loadsave.c
	src/liflines/main.c src/liflines/screen.c
	src/liflines/valgdcom.c:

	Implement codeset detection & conversion when loading GEDCOM
	files.

	* ChangeLog src/tools/btedit.c:

	Fix so btedit links successfully (under gcc).

	* ChangeLog configure.in src/gedlib/indiseq.c
	src/liflines/cscurses.c src/liflines/valgdcom.c:

	Fix crash involving pointers.
	Restore ALL_LINGUAS (to ease life of Debian maintainer).

	* ChangeLog src/interp/builtin.c:

	Remove unnecessary code conversions.

	* ChangeLog reports/st/st_all.ll reports/st/st_collate_UTF-8.ll
	src/gedlib/names.c src/stdlib/icvt.c src/stdlib/strcvt.c
	*NEW reports/st/st_string_UTF-8.ll:

	Implement Unicode in upper & lower. Begin UTF-8 string self-tests.

	* ChangeLog configure.in build/msvc6/llines/config.h
	reports/st/st_all.ll reports/st/st_collate_UTF-8.ll
	src/stdlib/strcvt.c:

	Protect iswupper via HAVE_ISWUPPER etc.

2002-12-14 Perry Rapp

	* ChangeLog src/gedlib/init.c:

	Fix ordering bug, in which menuitems were not translated into correct
	codeset, if databases in different locales.

	* ChangeLog src/gedlib/gstrings.c src/gedlib/keytonod.c
	src/gedlib/names.c src/gedlib/node.c src/hdrs/gedcom.h
	src/interp/builtin.c src/liflines/add.c src/liflines/browse.c
	src/liflines/edit.c src/liflines/merge.c
	src/liflines/miscutls.c src/liflines/screen.c
	src/liflines/show.c:

	Remove internal conversions to display codeset; this only needs to
	happen in cscurses.

	*  ChangeLog reports/st/st_convert.ll src/gedlib/xlat.c
	*NEW tt/ANSEL_UTF-8.tt
	*NEW tt/UTF-8_ANSEL.tt:

	Add translation tables for ANSEL<->UTF-8.
	Add ANSEL<->UTF-8 test to self-test.

2002-12-13 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/codesets.c
	src/gedlib/editmap.c src/gedlib/editvtab.c
	src/gedlib/gstrings.c src/gedlib/indiseq.c src/gedlib/init.c
	src/gedlib/translat.c src/gedlib/xlat.c src/hdrs/cscurses.h
	src/hdrs/llstdlib.h src/hdrs/translat.h src/hdrs/xlat.h
	src/hdrs/win32/curses.h src/interp/rassa.c src/liflines/add.c
	src/liflines/browse.c src/liflines/cscurses.c
	src/liflines/edit.c src/liflines/export.c
	src/liflines/import.c src/liflines/merge.c
	src/liflines/miscutls.c src/liflines/newrecs.c
	src/liflines/pedigree.c src/liflines/screen.c
	src/liflines/show.c src/liflines/valgdcom.c
	src/stdlib/stdstrng.c win32/intlshim.c win32/mycurses.c:

	Finished rewrite of translation tables.
	Prepare to start width-limiting curses output functions.
	Tracked down win32 codeset conversion bug to sf.net/projects/gettext
	version not linking to MSVCRT.DLL, so not getting E2BIG back from
	iconv.dll. Fixed in sf.net/projects/gettext. Symptom was French locale
	string in u/c menu not getting codeset conversion.

2002-12-10 Perry Rapp

	* ChangeLog src/gedlib/init.c src/gedlib/translat.c
	src/hdrs/translat.h:

	Don't segfault loading db tts when db not open.

	* ChangeLog src/gedlib/editvtab.c src/gedlib/messages.c:

	Prevent segfault editing options or places in readonly db.

2002-12-09 Perry Rapp

	* ChangeLog build/msvc6/btedit/btedit.rc
	build/msvc6/btedit/bteditCmd.dsp
	build/msvc6/dbverify/dbVerify.rc
	build/msvc6/dbverify/dbverifyCmd.dsp src/tools/btedit.c:

	Fix btedit to compile (needed uu8 definition).
	Fix MSVC6 projects for btedit & dbverify.

2002-12-03 Perry Rapp

	* ChangeLog src/stdlib/list.c:

	Change nth_in_list to count from front (so dblist is in order).

	* ChangeLog src/gedlib/charmaps.c src/gedlib/translat.c
	src/gedlib/xlat.c src/hdrs/Makefile.am src/hdrs/screen.h
	src/hdrs/translat.h src/hdrs/zstr.h src/liflines/Makefile.am
	src/liflines/screen.c src/liflines/show.c src/stdlib/zstr.c
	*NEW src/hdrs/cscurses.h
	*NEW src/liflines/cscurses.c:

	New cscurses.* module to translate between internal & GUI codesets.

	* ChangeLog build/msvc6/llines/llinesprj.dsp:

	Add cscurses.* files to MSVC6 project.

2002-12-02 Perry Rapp

	* ChangeLog
	*NEW tt/CP1250_UTF-8.tt
	*NEW tt/CP1251_UTF-8.tt
	*NEW tt/CP1252_UTF-8.tt
	*NEW tt/CP437_UTF-8.tt
	*NEW tt/CP850_UTF-8.tt
	*NEW tt/CP852_UTF-8.tt
	*NEW tt/ISO-8859-15_UTF-8.tt
	*NEW tt/ISO-8859-1_UTF-8.tt
	*NEW tt/ISO-8859-2_UTF-8.tt
	*NEW tt/ISO-8859-3_UTF-8.tt
	*NEW tt/ISO-8859-4_UTF-8.tt
	*NEW tt/UTF-8_CP1250.tt
	*NEW tt/UTF-8_CP1251.tt
	*NEW tt/UTF-8_CP1252.tt
	*NEW tt/UTF-8_CP437.tt
	*NEW tt/UTF-8_CP850.tt
	*NEW tt/UTF-8_CP852.tt
	*NEW tt/UTF-8_ISO-8859-1.tt
	*NEW tt/UTF-8_ISO-8859-15.tt
	*NEW tt/UTF-8_ISO-8859-2.tt
	*NEW tt/UTF-8_ISO-8859-3.tt
	*NEW tt/UTF-8_ISO-8859-4.tt:

	Adding basic translation tables for common codesets.

2002-12-01 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/editmap.c
	src/gedlib/gedcomi.h src/gedlib/gengedc.c src/gedlib/init.c
	src/gedlib/keytonod.c src/gedlib/messages.c src/gedlib/node.c
	src/gedlib/translat.c src/gedlib/xlat.c src/hdrs/gedcom.h
	src/hdrs/icvt.h src/hdrs/interp.h src/hdrs/list.h
	src/hdrs/llstdlib.h src/hdrs/table.h src/hdrs/translat.h
	src/hdrs/xlat.h src/hdrs/zstr.h src/interp/alloc.c
	src/interp/builtin.c src/interp/eval.c src/interp/functab.c
	src/interp/interp.c src/interp/interpi.h src/interp/pvalue.c
	src/interp/yacc.h src/interp/yacc.y src/stdlib/icvt.c
	src/stdlib/list.c src/stdlib/path.c src/stdlib/signals.c
	src/stdlib/stralloc.c src/stdlib/strutf8.c src/stdlib/table.c
	src/stdlib/zstr.c:

	Made const correct through keytonod.c.
	Moved RPTINFO structure to hold report properties.
	Made report local proc & func tables, and revised call handlers for both
	(duplicate procs & funcs not allowed in one file, and flagged at
	runtime if an ambiguous call is encountered).
	Altered include implementation to look in local directory first.
	Changed exercise reports to self-test (st_*).
	Implemented use of local translation tables if iconv missing.
	Created some common translation tables; enough to pass st_convert.

	* ChangeLog
	*NEW reports/st/st_all.ll
	*NEW reports/st/st_aux.ll
	*NEW reports/st/st_collate.ll
	*NEW reports/st/st_collate_8859-1.ll
	*NEW reports/st/st_collate_UTF-8.ll
	*NEW reports/st/st_convert.ll
	*NEW reports/st/st_date.ll
	*NEW reports/st/st_db.ll
	*NEW reports/st/st_number.ll
	*NEW reports/st/st_string.ll
	*DELETED reports/exer_8859-1.ll
	*DELETED reports/exer_UTF-8.ll
	*DELETED reports/exercise.ll:

	New self-test reports.

	* ChangeLog src/interp/builtin.c src/interp/interp.c
	src/interp/yacc.h src/stdlib/list.c:

	Cleanup warnings.

	* ChangeLog src/gedlib/codesets.c:

	Fix for nl_langinfo returning 0.

	* ChangeLog src/liflines/screen.c
	*DELETED src/interp/yacc.h:

	Localize some English strings (found thanks to Frank Ellebrecht).
	Remove src/interp/yacc.h (senseless to have it in cvs without yacc.c).

2002-11-29 Perry Rapp

	* ChangeLog src/gedlib/codesets.c src/gedlib/init.c
	src/gedlib/lloptions.c src/gedlib/translat.c src/hdrs/icvt.h
	src/hdrs/lloptions.h src/hdrs/translat.h src/hdrs/zstr.h
	src/liflines/main.c src/liflines/screen.c src/stdlib/icvt.c
	src/stdlib/zstr.c src/tools/dispcode.c src/tools/prettytt.c:

	More codeset work.

	* ChangeLog src/gedlib/codesets.c src/gedlib/init.c
	src/gedlib/lloptions.c src/gedlib/translat.c src/hdrs/icvt.h
	src/hdrs/lloptions.h src/hdrs/llstdlib.h src/hdrs/translat.h
	src/hdrs/zstr.h src/interp/alloc.c src/interp/builtin.c
	src/interp/functab.c src/interp/interp.c src/interp/interpi.h
	src/liflines/main.c src/liflines/screen.c src/stdlib/icvt.c
	src/stdlib/strutf8.c src/stdlib/zstr.c src/tools/dispcode.c
	src/tools/prettytt.c:

	More codeset work.
	Changed __utf8 to __bytecode (& added codeset argument).

2002-11-28 Perry Rapp

	* .linesrc ChangeLog lines.cfg build/msvc6/llines/llinesprj.dsp
	src/arch/platform.c src/gedlib/Makefile.am
	src/gedlib/charmaps.c src/gedlib/codesets.c src/gedlib/init.c
	src/gedlib/translat.c src/hdrs/Makefile.am src/hdrs/arch.h
	src/hdrs/gedcom.h src/hdrs/list.h src/hdrs/llnls.h
	src/hdrs/llstdlib.h src/hdrs/standard.h src/hdrs/translat.h
	src/interp/interp.c src/interp/write.c
	src/liflines/askprogram.c src/liflines/screen.c
	*NEW src/gedlib/xlat.c
	*NEW src/hdrs/xlat.h
	*DELETED src/hdrs/platform.h:

	Remove platform.h & put decls in arch.h.
	Make new layered implementation of codesets: translat, codesets, xlat, charmaps.

2002-11-27 Perry Rapp

	* ChangeLog src/gedlib/init.c src/gedlib/translat.c
	src/hdrs/win32/curses.h src/liflines/main.c src/stdlib/icvt.c
	src/stdlib/stdstrng.c win32/iconvshim.c win32/mycurses.c
	*NEW src/gedlib/codesets.c
	*NEW src/hdrs/codesets.h:

	Ongoing reimplementation of codesets.

	* ChangeLog src/gedlib/Makefile.am src/hdrs/Makefile.am:

	Add new codesets.* files to Makefiles.

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/arch/Makefile.am src/gedlib/Makefile.am
	src/gedlib/charmaps.c src/gedlib/codesets.c src/gedlib/init.c
	src/hdrs/llstdlib.h src/hdrs/win32/curses.h
	src/interp/builtin.c src/interp/interp.c src/interp/rassa.c
	src/liflines/ask.c src/liflines/llexec.c src/liflines/main.c
	src/stdlib/Makefile.am src/stdlib/llstrcmp.c src/stdlib/path.c
	src/stdlib/signals.c src/stdlib/stdlibi.h win32/mycurses.c
	*NEW src/arch/platform.c
	*NEW src/hdrs/platform.h

	Add some win32 specific code in arch/platform.c.
	Remove uu8 from lib/stdlib.a.

2002-11-26 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/editvtab.c
	src/gedlib/gedcomi.h src/gedlib/gstrings.c
	src/gedlib/indiseq.c src/gedlib/keytonod.c src/gedlib/names.c
	src/gedlib/node.c src/gedlib/translat.c src/gedlib/valtable.c
	src/hdrs/gedcom.h src/hdrs/icvt.h src/hdrs/standard.h
	src/hdrs/translat.h src/hdrs/zstr.h src/interp/builtin.c
	src/interp/interp.c src/interp/rassa.c src/liflines/add.c
	src/liflines/browse.c src/liflines/edit.c
	src/liflines/export.c src/liflines/import.c
	src/liflines/merge.c src/liflines/miscutls.c
	src/liflines/newrecs.c src/liflines/pedigree.c
	src/liflines/screen.c src/liflines/show.c
	src/liflines/valgdcom.c src/stdlib/icvt.c src/stdlib/signals.c
	src/stdlib/zstr.c:

	Rename TRANMAPPING to XLAT (will be main interface to codeset
	conversion). Consolidate translation table code into charmaps.c.
	Making file header license statements shorter (with Tom's permission).
	Implement new XLAT chains for simple case of single iconv step chain.
	Fix uninitialized string bug in signal handler code.

2002-11-25 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/hdrs/Makefile.am src/hdrs/standard.h src/hdrs/version.h
	src/interp/builtin.c src/liflines/screen.c
	*NEW src/hdrs/list.h
	*NEW src/stdlib/list.c
	*DELETED src/stdlib/double.c:

	Renamed double.c to list.c and moved list declarations from standard.h
	to list.h. Changed enqueue, dequeue, requeue to work with head-to-tail
	FORLIST.

	* ChangeLog src/gedlib/date.c src/hdrs/llstdlib.h
	src/stdlib/appendstr.c src/stdlib/sprintpic.c:

	Rewrote date code to remove appendstr & use zstrings instead.

2002-11-24 Perry Rapp

	* ChangeLog src/gedlib/charmaps.c src/gedlib/date.c
	src/gedlib/editmap.c src/gedlib/editvtab.c
	src/gedlib/indiseq.c src/gedlib/init.c src/gedlib/locales.c
	src/gedlib/translat.c src/hdrs/llstdlib.h src/hdrs/zstr.h
	src/interp/builtin.c src/interp/interp.c src/interp/more.c
	src/liflines/ask.c src/liflines/askprogram.c
	src/liflines/delete.c src/liflines/screen.c
	src/liflines/valgdcom.c src/stdlib/Makefile.am
	src/stdlib/icvt.c src/stdlib/path.c src/stdlib/stdstrng.c
	src/stdlib/strapp.c src/stdlib/zstr.c
	*NEW src/stdlib/strset.c:

	More work trying to simplify string functions.
	Starting to replace appendstr* functions.

	* src/gedlib/editmap.c src/interp/Makefile.am
	src/interp/interp.c src/interp/pvalmath.c src/stdlib/zstr.c:

	Cleanup.

2002-11-23 Perry Rapp

	* ChangeLog src/gedlib/editvtab.c src/gedlib/indiseq.c
	src/gedlib/translat.c src/gedlib/valtable.c
	src/hdrs/Makefile.am src/hdrs/icvt.h src/hdrs/translat.h
	src/hdrs/zstr.h src/interp/builtin.c src/interp/interp.c
	src/interp/rassa.c src/stdlib/Makefile.am src/stdlib/icvt.c
	src/stdlib/llstrcmp.c src/stdlib/strcvt.c src/stdlib/zstr.c
	*DELETED src/hdrs/bfs.h
	*DELETED src/stdlib/bfs.c:

	Finished replacing bfs with zstr.

2002-11-22 Perry Rapp

	* ChangeLog src/hdrs/llstdlib.h src/liflines/llexec.c
	src/liflines/main.c src/stdlib/path.c src/stdlib/stdstrng.c:

	New function isasciiletter for clarity, and used it where appropriate.

2002-11-20 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/editvtab.c src/gedlib/indiseq.c
	src/gedlib/locales.c src/gedlib/translat.c
	src/gedlib/valtable.c src/hdrs/icvt.h src/hdrs/standard.h
	src/hdrs/translat.h src/interp/interp.c src/interp/rassa.c
	src/stdlib/icvt.c src/stdlib/llstrcmp.c src/stdlib/strcvt.c
	*NEW src/hdrs/zstr.h
	*NEW src/stdlib/zstr.c:

	Add zstr.*, and start replacing bfptr uses with ZSTR.
	Fix some tricky fencepost errors in icvt.c involving UCS-2.

	* ChangeLog src/hdrs/Makefile.am src/stdlib/Makefile.am:

	Add zstr.* to Makefiles.

	* ChangeLog src/hdrs/zstr.h:

	Remove duplicate typedef to make gcc happy.

	* ChangeLog src/hdrs/win32/iconvshim.h win32/iconvshim.c
	win32/intlshim.c:

	More detail in reporting win32 intl/iconv dll versions.

2002-11-17 Perry Rapp

	* ChangeLog src/gedlib/translat.c src/hdrs/translat.h:

	Remove some unused code.

2002-11-16 Perry Rapp

	* ChangeLog reports/exer_8859-1.ll reports/exer_UTF-8.ll
	reports/exercise.ll src/gedlib/names.c:

	More error info in report collation tests.

2002-11-15 Perry Rapp

	* ChangeLog src/hdrs/standard.h

	Change FORLIST to go from front to back of list.

2002-11-14 Perry Rapp

	* ChangeLog src/gedlib/lloptions.c src/hdrs/llstdlib.h
	src/stdlib/stdstrng.c:

	Rename isnumber to isnumch (to avoid clash with existing function).
	Cleanup of lloptions.c.

2002-11-11 Perry Rapp

	* ChangeLog build/rpm/lifelines.spec po/LINGUAS
	*NEW: po/da.po

	Added Danish translation (da.po).

	* ChangeLog win32/iconvshim.c:

	Win32: load iconv.dll whenever iconvshim property queried, in case not yet loaded.

	* ChangeLog NEWS configure.in lines.cfg
	build/msvc6/dbverify/dbVerify.rc
	build/msvc6/dbverify/dbverifyCmd.dsp
	build/msvc6/llexec/llexec.dsp build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llines.rc build/rpm/lifelines.spec po/da.po
	po/de.po po/el.po po/fr.po po/it.po po/sv.po
	src/hdrs/version.h:

	Creating release 3.0.22.

	* ChangeLog lines.cfg docs/Install.LifeLines.Windows.txt:

	Revising default MS-Windows directory layout & documentation.

	* ChangeLog build/rpm/lifelines.spec:

	Needed to add da.po to one more location in rpm spec file.

2002-11-08 Perry Rapp

	* ChangeLog src/interp/builtin.c src/liflines/brwsmenu.c
	src/liflines/screen.c:

	Fix bug in dynamic menu code.

2002-11-07 Perry Rapp

	* ChangeLog po/POTFILES.in po/de.po po/el.po po/fr.po po/it.po
	po/sv.po src/stdlib/llstrcmp.c src/stdlib/strcvt.c:

	Working on character handling code.

	* src/hdrs/llstdlib.h src/liflines/main.c src/liflines/screen.c
	src/stdlib/llstrcmp.c:

	More work on character handling code.

	* ChangeLog configure.in:

	Fix configure.in tests for ngettext & bind_textdomain_codeset.

2002-11-05 Perry Rapp

	* ChangeLog src/gedlib/indiseq.c src/gedlib/names.c
	src/hdrs/llstdlib.h src/hdrs/mystring.h src/stdlib/mystring.c
	src/stdlib/stdstrng.c:

	Simplify & clarify some character functions.

2002-11-03 Perry Rapp

	* ChangeLog src/liflines/llexec.c:

	Fix llexec for yesterday's db api changes.

2002-11-02 Perry Rapp

	* ChangeLog src/gedlib/init.c src/hdrs/btree.h src/hdrs/gedcom.h
	src/interp/builtin.c src/liflines/main.c:

	Change open & create db calls to only take one argument.
	More explicit keyfile errors.

	* ChangeLog src/gedlib/init.c src/liflines/llexec.c
	src/liflines/loadsave.c src/liflines/main.c
	src/liflines/miscutls.c src/liflines/screen.c
	src/tools/btedit.c src/tools/dbverify.c:

	Renamed btreepath to readpath_file.

2002-10-31 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp src/hdrs/menuitem.h
	src/liflines/dynmenu.c src/liflines/menuset.c
	src/liflines/screen.c:

	Code cleanup.

	* ChangeLog docs/ll-userguide.xml src/gedlib/messages.c
	src/hdrs/gedcom.h src/liflines/llexec.c src/liflines/main.c:

	Remove unused arguments -m and -z. Update docs.

	* ChangeLog docs/ll-reportmanual.xml:

	Fix reported typos.

2002-10-28 Perry Rapp

	* ChangeLog src/hdrs/menuitem.h src/hdrs/screen.h
	src/liflines/Makefile.am src/liflines/browse.c
	src/liflines/screen.c src/liflines/tandem.c win32/mycurses.c
	NEW: src/liflines/brwsmenu.c
	NEW: src/liflines/dynmenu.c
	NEW: src/liflines/menuset.c
	DELETED: src/liflines/menuitem.c:

	Split dynamic menu code into three new files.

2002-10-21 Perry Rapp

	* .linesrc ChangeLog lines.cfg src/gedlib/lloptions.c
	src/hdrs/llstdlib.h src/interp/more.c src/stdlib/stralloc.c:

	Implement variables for config file.

	* ChangeLog win32/iconvshim.c win32/intlshim.c:

	Give multiple default filenames to (win32) iconv & intl shims.

	* .linesrc ChangeLog lines.cfg:

	Update config files to reflect two CrashLog entries now.

2002-10-20 Perry Rapp

	* ChangeLog po/sv.po src/liflines/screen.c:

	Update to Swedish translation (sv.po).
	Fix for ? & q browse menu items not being translated.

	* ChangeLog build/msvc6/llines/config.h src/gedlib/messages.c
	src/interp/alloc.c src/interp/builtin.c src/liflines/delete.c
	src/liflines/screen.c:

	Fix screen.c for crash.
	Pluralize some entries (_pl needs string literals).

	* ChangeLog build/msvc6/llines/llinesprj.dsp src/interp/interp.c

	Cosmetic.

2002-10-19 Perry Rapp

	* ChangeLog NEWS build/msvc6/llexec/llexec.rc
	build/msvc6/llines/llinesprj.dsp src/arch/scandir.c
	src/gedlib/init.c src/gedlib/messages.c src/hdrs/Makefile.am
	src/hdrs/liflines.h src/hdrs/llstdlib.h src/hdrs/screen.h
	src/hdrs/table.h src/interp/interp.c src/liflines/Makefile.am
	src/liflines/askprogram.c src/liflines/llexec.c
	src/liflines/loadsave.c src/liflines/main.c
	src/liflines/screen.c src/stdlib/Makefile.am src/stdlib/path.c
	src/stdlib/stdstrng.c src/stdlib/table.c src/tools/btedit.c
	win32/mycurses.c
	NEW: src/hdrs/proptbls.h
	NEW: src/liflines/askgedc.c
	NEW: src/stdlib/proptbls.c:

	Rewrote askprogram.c to split up UI & parsing.
	Added ask_for_gedcom.
	Handle input redirection in Win32 console implementation.

	* ChangeLog win32/mycurses.c:

	Handle output redirection in Win32 console implementation.

2002-10-18 Perry Rapp

	* ChangeLog src/gedlib/init.c src/stdlib/path.c:

	Fix bug in chop_path.

2002-10-17 Perry Rapp

	* ChangeLog src/gedlib/init.c src/stdlib/path.c:

	Cleanup in path code.

2002-10-15 Perry Rapp

	* ChangeLog README.LAYOUT po/de.po po/el.po po/fr.po po/it.po
	po/sv.po src/btree/opnbtree.c src/gedlib/locales.c
	src/hdrs/gedcom.h src/hdrs/interp.h src/hdrs/screen.h
	src/interp/eval.c src/interp/interp.c src/liflines/add.c
	src/liflines/advedit.c src/liflines/ask.c
	src/liflines/browse.c src/liflines/delete.c
	src/liflines/export.c src/liflines/lbrowse.c
	src/liflines/llinesi.h src/liflines/loadsave.c
	src/liflines/merge.c src/liflines/pedigree.c
	src/liflines/swap.c src/liflines/tandem.c:

	Code cleanup.

2002-10-11 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/hdrs/Makefile.am src/hdrs/feedback.h src/hdrs/gedcom.h
	src/hdrs/liflines.h src/hdrs/win32/curses.h src/interp/alloc.c
	src/interp/builtin.c src/liflines/add.c src/liflines/advedit.c
	src/liflines/ask.c src/liflines/askprogram.c
	src/liflines/browse.c src/liflines/delete.c
	src/liflines/export.c src/liflines/llinesi.h
	src/liflines/merge.c src/liflines/newrecs.c
	src/liflines/screen.c
	NEW: src/hdrs/uiprompts.h:

	Convert some use of NODE to RECORD. Work on ui separation.

	* ChangeLog src/btree/traverse.c src/hdrs/btree.h
	src/hdrs/impfeed.h src/hdrs/version.h src/interp/builtin.c
	src/liflines/export.c src/liflines/import.c
	src/liflines/llinesi.h src/liflines/loadsave.c
	src/liflines/newrecs.c src/liflines/screen.c:

	Pull curses UI out of export.c (into loadsave.c).

2002-10-07 Perry Rapp

	* ChangeLog src/hdrs/liflines.h src/interp/builtin.c
	src/interp/more.c src/liflines/ask.c src/liflines/browse.c
	src/liflines/llexec.c:

	Fix llexec.c to compile, and implement ask_for_int, ask_for_string, and ask_for_dbname.

	* ChangeLog src/gedlib/lloptions.c src/hdrs/interp.h
	src/hdrs/lloptions.h src/interp/interp.c src/liflines/llexec.c
	src/liflines/main.c src/stdlib/table.c:

	Add -I argument to pass in properties from commandline (eg, -Iroot_indi=I1).

	Include llexec.h as source for llexec.

	* ChangeLog NEWS build/rpm/lifelines.spec

	Add llexec to rpm. Mention new -I param in NEWS.

	* ChangeLog src/liflines/Makefile.am:

	Include llexec.h as source for llexec.

	* ChangeLog configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec po/de.po po/el.po po/fr.po po/it.po
	po/sv.po src/hdrs/version.h:

	Releasing version 3.0.21.

	* ChangeLog build/msvc6/llexec/llexec.rc

	Update version of llexec.

2002-10-06 Perry Rapp

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	src/gedlib/Makefile.am src/gedlib/editmap.c
	src/gedlib/editvtab.c src/hdrs/feedback.h src/hdrs/gedcom.h
	src/interp/alloc.c src/interp/more.c src/liflines/Makefile.am
	src/liflines/error.c src/liflines/main.c src/liflines/screen.c
	src/liflines/show.c
	NEW: src/gedlib/dispfmt.c
	NEW: src/liflines/llexec.c
	NEW: src/liflines/llexec.h:

	Add new stripped down target llexec (doesn't function yet).

	* ChangeLog NEWS README.LAYOUT:

	Update documentation.

	* ChangeLog
	NEW: build/msvc6/llexec/config.h
	NEW: build/msvc6/llexec/llexec.dsp
	NEW: build/msvc6/llexec/llexec.dsw
	NEW: build/msvc6/llexec/llexec.rc
	NEW: build/msvc6/llexec/resource.h:

	Add MSVC6 build stuff for llexec.

	* ChangeLog src/interp/more.c:

	Fixing more report language type error messages.

2002-10-05 Perry Rapp

	* ChangeLog src/interp/interp.c:

	Fix bug in -x (execute report) option.



2002-10-04 Perry Rapp

	* ChangeLog build/msvc6/llines/llines.rc src/gedlib/indiseq.c
	src/hdrs/version.h:

	Handle bad collation gracefully in indiseq (do not ASSERT).

2002-10-01 Perry Rapp

	* ChangeLog src/stdlib/fpattern.c:

	Modify fpattern to recognize __unix__ as reported for OpenBSD.

2002-09-29 Perry Rapp

	* ChangeLog NEWS configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec po/de.po po/el.po po/fr.po po/it.po
	po/sv.po src/gedlib/init.c src/gedlib/locales.c
	src/hdrs/gedcom.h src/hdrs/version.h src/liflines/screen.c:

	Implement rpm spec patch by Karl DeBisschop, and add msg catalogs.
	Added LOCALEDIR & LocaleDir to u/c menu display.
	Change version to 3.0.19.

	* ChangeLog src/hdrs/version.h src/liflines/main.c:

	Fix locale initialization. Change version to 3.0.20.

2002-09-26 Matt Emmerton

	* ChangeLog Makefile.am autogen.sh configure.in build/Makefile.am
	src/arch/Makefile.am src/btree/Makefile.am src/gedlib/Makefile.am
	src/interp/Makefile.am src/liflines/Makefile.am src/stdlib/Makefile.am
	src/tools/Makefile.am 

	Adjust for new build tree layout

	* build/msvc6/Makefile.am build/rpm/Makefile.am build/gettext/Makefile.am
	build/autotools/Makefile.am

	Remove unneccessary Makefiles

	* build/gnu

	Remove obsolete directory

2002-09-26 Perry Rapp

	* ChangeLog src/gedlib/locales.c src/liflines/screen.c:

	i18n menu page title.
	Fix locales.c to call llsetlocale (for win32 fix for locale names).

	* ChangeLog build/msvc6/llines/llinesprj.dsp src/gedlib/init.c
	src/gedlib/lloptions.c src/gedlib/locales.c src/hdrs/gedcom.h
	src/hdrs/lloptions.h src/hdrs/llstdlib.h
	src/liflines/menuitem.c src/stdlib/Makefile.am
	src/tools/wprintf.c
	NEW: src/stdlib/listener.c

	Propagate on-the-fly language changes to menuitem.c.

	* .linesrc ChangeLog lines.cfg:

	List LocaleDir in config files.

2002-09-25 Perry Rapp

	* ChangeLog build/msvc6/llines/llines.rc src/hdrs/version.h
	src/interp/builtin.c:

	I18n ordinals, cardinals, and personal pronouns in builtin fncs.

	* ChangeLog po/fr.po:

	Update to Patrick Texier's newest fr.po (added plural header).

2002-09-23 Perry Rapp

	* ChangeLog src/gedlib/names.c:

	Bugfix to id_by_key (was crashing on nonexistent key number).

	* ChangeLog README.MAINTAINERS:

	Update for new paths.

	* ChangeLog configure.in build/msvc6/llines/llines.rc 
 	build/rpm/lifelines.spec po/de.po po/el.po po/fr.po po/it.po 
 	po/sv.po src/hdrs/version.h:

	Releasing 3.0.18.

	* ChangeLog build/msvc6/llines/llinesprj.dsp
	docs/Install.LifeLines.Windows.txt:

	Update win32 install instructions to refer to win32 gettext/iconv
	at sourceforge. Update msvc6 project to new paths for release mode.

2002-09-22 Perry Rapp

	* ChangeLog configure.in po/POTFILES.in po/de.po po/el.po
	po/fr.po po/it.po po/sv.po:

	Fixing build system for relocated source files.

	* ChangeLog src/stdlib/environ.c:

	Bugfix (mktemp failed on subsequent dbs) (sf#603804).

	* ChangeLog src/stdlib/environ.c:

	Security fix for mktemp under unix.

2002-09-21 Perry Rapp

	* Makefile.am configure.in build/msvc6/llines/llinesprj.dsp
	NEW: src/Makefile.am:

	Fixing build system for relocated source files.

2002-07-31 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog po/LINGUAS
	NEW: po/fr.po:

	Add French message file.

	* ChangeLog build/msvc6/llines/config.h gedlib/init.c:

	Support bind_textdomain_codeset in Win/MSVC version.

	* ChangeLog gedlib/keytonod.c liflines/error.c tools/dbverify.c:

	Add missing key info messages to crash log.

	*  ChangeLog build/msvc6/dbverify/dbVerify.rc gedlib/keytonod.c
	hdrs/standard.h liflines/error.c stdlib/lldate.c:

	Clean up error messages for missing keys in crash log.

2002-07-27 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog interp/interp.c interp/parse.h interp/yacc.h
	interp/yacc.y:

	Fix typo in yacc.y (yyloc -> yylloc).

	* interp/interp.c interp/lex.c interp/parse.h interp/yacc.y:

	Remove token location code (bison 1.28 & 1.35 have different yyllocs).

2002-07-24 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog build/msvc6/llines/llines.rc hdrs/interp.h
	hdrs/liflines.h interp/alloc.c interp/builtin.c interp/eval.c
	interp/interp.c interp/interpi.h interp/rassa.c liflines/ask.c
	liflines/askprogram.c liflines/export.c liflines/loadsave.c
	reports/exercise.ll stdlib/path.c stdlib/signals.c:
	NEW: reports/exer_8859-1.ll
	NEW: reports/exer_UTF-8.ll:

	Propagate both user-specified & opened path through program logic.
	Convert report to internal codeset.

	* ChangeLog configure.in build/msvc6/llines/llines.rc
	build/rpm/lifelines.spec hdrs/interp.h hdrs/version.h
	interp/builtin.c interp/eval.c interp/interp.c interp/more.c
	liflines/main.c reports/exer_8859-1.ll reports/exer_UTF-8.ll
	reports/exercise.ll tools/dbverify.c:

	Make report strcmp call strcmp_loc (so it gets localized collation).
	Improve collation tests in exercise scripts.
	Bump version to 3.0.18pre.

2002-07-22 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog btree/addkey.c gedlib/charmaps.c gedlib/date.c
	gedlib/editmap.c gedlib/editvtab.c gedlib/init.c
	gedlib/keytonod.c gedlib/lloptions.c gedlib/locales.c
	gedlib/names.c gedlib/node.c gedlib/property.c
	gedlib/translat.c hdrs/gedcom.h hdrs/llstdlib.h
	hdrs/standard.h interp/interp.c interp/more.c interp/pvalue.c
	liflines/add.c liflines/ask.c liflines/askprogram.c
	liflines/browse.c liflines/delete.c liflines/error.c
	liflines/loadsave.c liflines/menuitem.c liflines/screen.c
	liflines/show.c liflines/valgdcom.c stdlib/appendstr.c
	stdlib/llstrcmp.c stdlib/memalloc.c stdlib/path.c
	stdlib/signals.c stdlib/sprintpic.c stdlib/stdstrng.c
	stdlib/stralloc.c stdlib/strapp.c stdlib/strcvt.c
	stdlib/strutf8.c:

	Replaced string modules' use of global with argument (utf8).
	Fixed some utf8 string bugs. Renamed int_utf8 to uu8.

2002-07-21 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/charmaps.c:

	Cleanup charmaps code.

2002-07-18 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog build/msvc6/llines/llinesprj.dsp hdrs/interp.h
	interp/Makefile.am interp/alloc.c interp/interp.c
	interp/interpi.h interp/lex.c interp/parse.h interp/yacc.y
	liflines/main.c
	DELETED: interp/parse.c

	Simply parse state (context) by exposing it.

2002-07-14 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in build/msvc6/llines/llinesprj.dsp
	hdrs/interp.h hdrs/version.h interp/Makefile.am
	interp/interp.c interp/lex.c interp/yacc.h interp/yacc.y
	po/POTFILES.in po/de.po po/el.po po/it.po po/sv.po
	stdlib/icvt.c:

	Change yacc.y to use recursive parser.
	New function string_node_in_internal_codeset to convert report
	codeset to internal.

	* ChangeLog build/msvc6/llines/llinesprj.dsp hdrs/interp.h
	hdrs/llstdlib.h interp/Makefile.am interp/alloc.c
	interp/interp.c interp/lex.c interp/yacc.h interp/yacc.y
	liflines/pedigree.c stdlib/path.c
	NEW: interp/parse.c
	NEW: interp/parse.h:

	Move more parse globals into parse context.

2002-07-12 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog stdlib/icvt.c

	Bugfix to iconv_translate.

2002-07-09 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/charmaps.c stdlib/stralloc.c:

	Bugfix to strconcat & iconv_translate.

2002-07-08 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog build/msvc6/llines/llines.rc gedlib/indiseq.c
	gedlib/messages.c hdrs/llstdlib.h hdrs/version.h
	liflines/screen.c stdlib/llstrcmp.c stdlib/stdstrng.c:

	Add details to notes & sources popup lists.

2002-07-07 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog hdrs/isolangs.h:

	Added new header isolangs.h.

	* ChangeLog stdlib/llstrcmp.c stdlib/memalloc.c stdlib/strcvt.c:

	Moved string widening code in strcmp into new function makewide
	in strcvt.c.

2002-07-04 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/locales.c hdrs/Makefile.am:

	Move language & country arrays from gedlib/locales.c into hdrs/isolang.h.

2002-07-03 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog build/msvc6/btedit/btedit.rc
	build/msvc6/btedit/bteditCmd.dsp
	build/msvc6/dbverify/dbVerify.rc
	build/msvc6/dbverify/dbverifyCmd.dsp
	build/msvc6/llines/llines.rc stdlib/llstrcmp.c tools/btedit.c:

	* ChangeLog configure.in:

	Test for wchar.h & wcscoll.

	Fix builds.

	* ChangeLog gedlib/locales.c hdrs/llstdlib.h stdlib/strapp.c:

	More work on converting standard locale names to Windows names.


2002-07-02 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog arch/vsnprintf.c build/msvc6/llines/config.h
	build/msvc6/llines/llines.rc build/msvc6/llines/llinesprj.dsp
	gedlib/Makefile.am gedlib/gengedc.c gedlib/indiseq.c
	gedlib/lloptions.c gedlib/translat.c hdrs/Makefile.am
	hdrs/bfs.h hdrs/feedback.h hdrs/gedcom.h hdrs/impfeed.h
	hdrs/llnls.h hdrs/lloptions.h hdrs/metadata.h hdrs/warehouse.h
	hdrs/win32/iconvshim.h liflines/main.c liflines/menuitem.c
	liflines/pedigree.c stdlib/Makefile.am stdlib/bfs.c
	stdlib/llstrcmp.c stdlib/strutf8.c
	NEW: gedlib/locales.c
	NEW: hdrs/icvt.h
	NEW: stdlib/icvt.c

	Implemented wide char collation (wcscoll).
	Changed most of my license headers to wide & short versions.
	Moved locale code from translat.c to locales.c.
	Suppress message language changes to current language.
	Propagate message language changes to date.c.

	* ChangeLog build/msvc6/llines/llinesprj.dsp gedlib/Makefile.am
	gedlib/node.c hdrs/date.h hdrs/gedcom.h interp/Makefile.am
	DELETED: interp/date.c
	NEW: gedlib/date.c

	Move interp/date.c to gedlib/date.c.

	* ChangeLog reports/genetics.ll:

	Fix genetics.ll to work with current LifeLines (tighter type-checking).

2002-06-29 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog tools/Makefile.am:

	Fix build in tools dir.

	NEW: autotools/.cvsignore
	NEW: msvc6/.cvsignore
	NEW: rpm/.cvsignore 
	NEW: win32/.cvsignore

2002-06-28 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog hdrs/date.h interp/date.c liflines/menuitem.c
	reports/exercise.ll:

	Locale work.

	NEW: build/Makefile.am

2002-06-27 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog build/msvc6/llines/llinesprj.dsp gedlib/charmaps.c
	gedlib/init.c gedlib/names.c hdrs/llstdlib.h hdrs/mystring.h
	interp/interp.c interp/rassa.c liflines/ask.c
	liflines/askprogram.c liflines/export.c liflines/loadsave.c
	liflines/main.c liflines/screen.c stdlib/Makefile.am
	stdlib/mystring.c stdlib/path.c stdlib/stdstrng.c
	NEW: stdlib/appendstr.c stdlib/sprintpic.c stdlib/stralloc.c
	NEW: stdlib/strapp.c stdlib/strcvt.c stdlib/strutf8.c
	NEW: stdlib/strwhite.c:

	Split string functions by type.
	Fix bug in filepath & bug in concat_path. Change concat_path to
	use caller buffer (instead of static buffer).

	* ChangeLog gedlib/translat.c hdrs/gedcom.h interp/builtin.c
	interp/functab.c interp/interpi.h reports/exercise.ll:

	Implement report functions utf8() and setlocale().
	Put some collation tests into exercise.ll.

	* ChangeLog hdrs/llnls.h:

	Define _pl if not ENABLE_NLS.

	* ChangeLog gedlib/keytonod.c gedlib/names.c interp/symtab.c:

	Cosmetic.

	* ChangeLog liflines/screen.c:

	Cosmetic.

	* ChangeLog liflines/lbrowse.c:

	Bugfix (list_browse wasn't clearing pseq & other browses assert).

	* ChangeLog gedlib/property.c:

	Fix undeclared warning.

	* ChangeLog gedlib/indiseq.c liflines/screen.c:

	Bugfix: handle null name from element_indiseq in list browse.

	* ChangeLog gedlib/indiseq.c:

	Bugfix: copied indiseq didn't get names, but got flag as if it did.

	* ChangeLog NEWS configure.in build/rpm/lifelines.spec
	docs/Run.LifeLines.Windows.txt hdrs/version.h:

	Making version 3.0.17.

2002-06-26 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog po/Makevars po/de.po po/el.po po/it.po po/sv.po:

	Test for bind_textdomain_codeset & ngettext for old gettext versions.
	Start using _pl macro for ngettext (plural gettext).
	Cosmetic cleanup.

	* .linesrc ChangeLog lines.cfg liflines/screen.c:

	Add more info to utility codeset list.
	List DbNewProps in config files.

	* ChangeLog liflines/screen.c:

	Suppress ^ and $ markers if list not off-screen.

2002-06-25 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in:

	Make indenting consistent.

	* ChangeLog
	NEW: build/msvc6/Maekfile.am

	Add needed build/msvc6/Makefile.am.

2002-06-24 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog README.DEVELOPERS autogen.sh

	Make sure we run 'aclocal -I m4 -I build/autotools' everywhere.

2002-06-24 Perry Rapp <puddle@users.sourceforge.net>

	* .linesrc ChangeLog lines.cfg gedlib/init.c gedlib/messages.c
	hdrs/feedback.h hdrs/llstdlib.h hdrs/screen.h
	hdrs/win32/curses.h interp/builtin.c liflines/ask.c
	liflines/lbrowse.c liflines/main.c liflines/miscutls.c
	liflines/newrecs.c liflines/scan.c liflines/screen.c
	stdlib/path.c:

	Change static buffers in ask_for_string family to caller-passed.
	Implement ~ for home directory.

2002-06-24 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog configure.in Makefile.am

	Update to find autotools glue in build/autotools and to
	include it in distributions.

	DELETED:	build/gnu
	NEW:		build/autotools

	Rename gnu -> autotools to make more sense.

	NEW:		build/autotools/config.sub build/autotools/config.guess
	NEW:		build/autotools/missing build/autotools/mkinstalldirs
	NEW:		build/autotools/install-sh build/autotools/depcomp
	NEW:		build/autotools/config.rpath README

	DELETED:	config.sub config.guess config.rpath missing
	DELETED:	mkinstalldirs install-sh depcomp

	Import autotools glue for autoconf 2.53, automake 1.5

	NEW:		build/autotools/acinclude.m4
	DELETED:	acinclude.m4

	Our extensions to the autotools glue

2002-06-24 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog configure.in 

	NEW: build/rpm/Makefile.am

	Update automake/autoconf to use new directories.

2002-06-24 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog 

	NEW:     build/rpm/lifelines.spec
	DELETED: liflines.spec

	Move lifelines.spec from root directory into build hierarchy

2002-06-24 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog configure.in build/msvc6/Makefile.am

	DELETED: win32/msvc6/llines win32/msvc6/libintl
	DELETED: win32/msvc6/dbverify win32/msvc6/btedit
	DELETED: win32/msvc6/Makefile.am win32/msvc6

	Remove obsolete win32/msvc6 directories.
	Update automake/autoconf to use new directories.

2002-06-24 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/choose.c gedlib/gedcom.c gedlib/gstrings.c
	gedlib/indiseq.c gedlib/keytonod.c gedlib/names.c
	gedlib/node.c gedlib/refns.c gedlib/valid.c hdrs/gedcom.h
	hdrs/liflines.h interp/builtin.c interp/interp.c
	liflines/add.c liflines/ask.c liflines/browse.c
	liflines/delete.c liflines/edit.c liflines/lbrowse.c
	liflines/llinesi.h liflines/merge.c liflines/newrecs.c
	liflines/screen.c liflines/show.c liflines/swap.c
	liflines/tandem.c tools/dbverify.c:

	Pass RECORDs instead of NODEs through top-level browse functions.

2002-06-23 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog
	*DELETED win32/yacc.c:

	Removed obsolete yacc.c (good one generated in interp subdir).

	* .linesrc ChangeLog lines.cfg gedlib/charmaps.c gedlib/init.c
	gedlib/translat.c hdrs/translat.h
	NEW: build/msvc6/llines.ico
	DELETED: win32/msvc6/llines.ico win32/msvc6/btedit/btedit.rc
	DELETED: win32/msvc6/btedit/bteditCmd.dsp
	DELETED: win32/msvc6/btedit/bteditCmd.dsw win32/msvc6/btedit/resource.h
	DELETED: win32/msvc6/dbverify/dbVerify.rc
	DELETED: win32/msvc6/dbverify/dbverifyCmd.dsp
	DELETED: win32/msvc6/dbverify/dbverifyCmd.dsw
	DELETED: win32/msvc6/dbverify/resource.h win32/msvc6/llines/config.h
	DELETED: win32/msvc6/llines/llines.rc win32/msvc6/llines/llinesprj.dsp
	DELETED: win32/msvc6/llines/llinesprj.dsw win32/msvc6/llines/resource.h

	Move MSVC build stuff from win32 to build.
	Implement GuiCodesetOutput option instead of hardcoding //TRANSLIT
	always for output to display.

	* ChangeLog
	NEW: build/msvc6/btedit/btedit.rc build/msvc6/btedit/bteditCmd.dsp
	NEW: build/msvc6/btedit/bteditCmd.dsw build/msvc6/btedit/resource.h
	NEW: build/msvc6/dbverify/dbVerify.rc
	NEW: build/msvc6/dbverify/dbverifyCmd.dsp
	NEW: build/msvc6/dbverify/dbverifyCmd.dsw
	NEW: build/msvc6/dbverify/resource.h build/msvc6/llines/config.h
	NEW: build/msvc6/llines/llines.rc build/msvc6/llines/llinesprj.dsp
	NEW: build/msvc6/llines/llinesprj.dsw build/msvc6/llines/resource.h:

	Add MVC build stuff that didn't get added before.

	* ChangeLog btree/addkey.c gedlib/editvtab.c gedlib/init.c
	gedlib/messages.c gedlib/node.c gedlib/property.c
	hdrs/menuitem.h interp/interp.c interp/more.c interp/pvalue.c
	liflines/add.c liflines/ask.c liflines/askprogram.c
	liflines/browse.c liflines/edit.c liflines/lbrowse.c
	liflines/llinesi.h liflines/main.c liflines/menuitem.c
	liflines/screen.c liflines/show.c liflines/tandem.c
	tools/dbverify.c:

	Add change history (analogous to view history).
	Move codeset stuff to utility menu.
	Fix overflow bug in title (manifests with Swedish title & small 
	console).
	Start replacing snprintf with llstrncpy.

	* ChangeLog
	NEW: docs/ll-devguide.xml:

	Started developer documentation.

2002-06-22 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/init.c stdlib/stdstrng.c:

	Bugfix for strdup(0) in update_options.

	* ChangeLog gedlib/init.c:

	Bugfix for strsave(0) creating new database.

	* ChangeLog gedlib/charmaps.c gedlib/gedcom.c gedlib/indiseq.c
	gedlib/init.c gedlib/valtable.c interp/date.c
	liflines/askprogram.c liflines/browse.c liflines/main.c
	liflines/menuitem.c liflines/pedigree.c liflines/screen.c:

	Change all strdup calls to strsave (which has ASSERT).
	Allow exit from choose all databases prompt.

	* ChangeLog gedlib/charmaps.c:

	Cosmetic.

2002-06-21 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/nodeutls.c liflines/newrecs.c:

	Bugfix so classify doesn't crash if one value is NULL.
	Bugfix so editing value of top-level other node works.

	* ChangeLog interp/interp.c:

	Fix Plist declaration broken two days ago.

2002-06-20 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog configure.in

	Updated the host detection logic for Darwin (Mac OS X) so that
	libraries and headers installed using the Fink mechanism will
	be detected by configure.

2002-06-20 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog configure.in

	Remove AC_DEFAULT_PREFIX($HOME) in order to prevent rogue
	prefix changes during configure and resulting build problems.

2002-06-19 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog btree/file.c gedlib/charmaps.c gedlib/editmap.c
	gedlib/editvtab.c gedlib/gedcomi.h gedlib/init.c
	gedlib/intrface.c gedlib/lloptions.c gedlib/translat.c
	hdrs/btree.h hdrs/gedcom.h hdrs/lloptions.h hdrs/translat.h
	liflines/main.c liflines/screen.c stdlib/mystring.c
	stdlib/path.c:

	Implement list of global user translation tables.
	Implement iconv transliteration in INDS direction.

	* .linesrc ChangeLog lines.cfg:

	Document new options for global translation tables.

2002-06-18 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog build build/gnu build/msvc6 build/rpm

	Added build directory hierarchy to hold all build and
	packaging tools.

2002-06-18 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog interp/rassa.c

	Add some casts to remove compiler warnings

2002-06-18 Perry Rapp <puddle@users.sourceforge.net>

	* .linesrc ChangeLog configure.in lines.cfg btree/file.c
	btree/utils.c docs/Install.LifeLines.Windows.txt
	docs/Run.LifeLines.Windows.txt gedlib/charmaps.c
	gedlib/editvtab.c gedlib/init.c gedlib/intrface.c
	gedlib/lloptions.c gedlib/translat.c gedlib/valtable.c
	hdrs/btree.h hdrs/gedcom.h hdrs/interp.h hdrs/liflines.h
	hdrs/llstdlib.h hdrs/translat.h hdrs/version.h interp/alloc.c
	interp/interp.c interp/more.c interp/rassa.c interp/yacc.y
	liflines/screen.c stdlib/path.c stdlib/stdstrng.c
	win32/iconvshim.c win32/msvc6/dbverify/dbVerify.rc
	win32/msvc6/dbverify/dbverifyCmd.dsp
	win32/msvc6/llines/llines.rc:

	New codeset options in config file (GuiCodeset etc).
	New NewDbProps option to preload options in new databases.
	Fix init_valtab_from_string to not change its argument string.
	Fix notification code for options changes.
	Rewrite translation code to combine iconv with custom translations.
	Update windows docs to reflect codeset configuration.

	* ChangeLog
	*DELETED win32/hdrs/README win32/hdrs/btree.h win32/hdrs/cache.h
	win32/hdrs/gedcheck.h win32/hdrs/gedcom.h win32/hdrs/getopt.h
	win32/hdrs/include.h win32/hdrs/indiseq.h win32/hdrs/interp.h
	win32/hdrs/ll_getopt.h win32/hdrs/mycurses.h
	win32/hdrs/mystring.h win32/hdrs/proto.h
	win32/hdrs/proto.static.h win32/hdrs/screen.h
	win32/hdrs/sequence.h win32/hdrs/standard.h
	win32/hdrs/standard1.h win32/hdrs/table.h
	win32/hdrs/translat.h win32/hdrs/yacc.h:

	Remove win32/hdrs/* (obsolete headers created before hdrs existed).

	* ChangeLog
	*DELETED win32/msvc6/libintl/config.h
	win32/msvc6/libintl/libintlvc6.dsp
	win32/msvc6/libintl/libintlvc6.dsw:

	Remove msvc6 project for static libintl (now that DLL is used).

2002-06-17 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog README.LAYOUT gedlib/Makefile.am gedlib/init.c
	gedlib/messages.c gedlib/property.c hdrs/gedcom.h
	hdrs/interp.h hdrs/lloptions.h hdrs/llstdlib.h hdrs/table.h
	interp/interp.c interp/symtab.c liflines/main.c
	liflines/screen.c stdlib/Makefile.am stdlib/double.c
	stdlib/lldate.c stdlib/table.c
	win32/msvc6/llines/llinesprj.dsp:

	New table iterators. New copy_table.
	Move lloptions to gedlib, and user options inside it.

	* ChangeLog interp/builtin.c interp/interp.c:

	Add option to show globals to report debugger.
	Change copyfile & nearby routines to call the right routine to
	get report debugging.

 	* ChangeLog gedlib/init.c gedlib/lloptions.c hdrs/lloptions.h 
 	hdrs/table.h:

	Fixes for gcc.

	* ChangeLog interp/lex.c interp/symtab.c liflines/browse.c
	liflines/valgdcom.c stdlib/double.c:

	More cleanup.

	* ChangeLog gedlib/translat.c liflines/screen.c:

	More cleanup.

2002-06-16 Perry Rapp <puddle@users.sourceforge.net>

	*? .linesrc ChangeLog lines.cfg gedlib/init.c interp/builtin.c:

	Document Windows shim options in config files.
	Move Windows shim code out of main init_global function.
	Handful of i18n's in builtin.c.

	* .linesrc ChangeLog lines.cfg gedlib/init.c gedlib/messages.c
	gedlib/translat.c hdrs/gedcom.h hdrs/llstdlib.h
	hdrs/mystring.h interp/builtin.c interp/interp.c
	liflines/error.c liflines/llinesi.h liflines/main.c
	liflines/valgdcom.c stdlib/mystring.c:

	Make config option ImportLog for location of import log.
	Standardize string functions (llstrcpy & llstrapp families).

 	* ChangeLog hdrs/liflines.h liflines/main.c liflines/newrecs.c 
 	liflines/screen.c liflines/valgdcom.c tools/dbverify.c:

	Cleanup warnings.

2002-06-15 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in gedlib/indiseq.c gedlib/init.c
	gedlib/messages.c gedlib/translat.c hdrs/gedcom.h
	hdrs/liflines.h hdrs/llnls.h hdrs/llstdlib.h hdrs/mystring.h
	interp/interp.c liflines/main.c liflines/screen.c
	stdlib/double.c stdlib/mystring.c win32/msvc6/llines/config.h
	win32/msvc6/llines/llines.rc win32/msvc6/llines/llinesprj.dsp
	NEW: hdrs/win32/iconv.h hdrs/win32/iconvshim.h
	NEW: hdrs/win32/intlshim.h win32/iconvshim.c win32/intlshim.c
	DELETED: arch/bind_textdomain_codeset.c arch/ngettext.c:

	Remove null implementations of ngettext & bind_textdomain_codeset.
	(Users with old gettext can just use included version.)
	Remove charset & report charset menus, & replace with codeset
	information display list.
	Add commandline option -C <file> to specify config file.
	Add shim files to call gettext & iconv dlls on MS-Windows.

2002-06-14 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog hdrs/mystring.h interp/interp.c stdlib/mystring.c:

	Starting to simplify string functions.

	* ChangeLog config.guess config.sub missing:

	Updating system recognition autotools scripts.

	* ChangeLog configure.in gedlib/init.c hdrs/Makefile.am
	hdrs/llstdlib.h hdrs/standard.h stdlib/Makefile.am
	stdlib/double.c stdlib/memalloc.c
	NEW: hdrs/llnls.h stdlib/llnls.c:

	Test for ngettext & bind_textdomain_codeset in configure.in, and provide
	null implementations in llnls.c if missing & needed.
	Move NLS stuff from standard.h into llnls.h.

	* ChangeLog liflines/Makefile.am tools/Makefile.am:

	Add LIBICONV to link (needed if gettext doesn't pull it in).

	* ChangeLog configure.in arch/Makefile.am reports/exercise.ll
	stdlib/Makefile.am
	NEW: arch/bind_textdomain_codeset.c arch/ngettext.c
	DELETED stdlib/llnls.c:

	Move null nls implementations to arch.

	* ChangeLog hdrs/llnls.h:

	Fix declaration of gettext replacement implementations.

2002-06-13 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/editvtab.c gedlib/init.c gedlib/names.c
	gedlib/translat.c hdrs/gedcom.h hdrs/indiseq.h hdrs/interp.h
	hdrs/llstdlib.h hdrs/mystring.h hdrs/standard.h
	hdrs/translat.h interp/alloc.c interp/builtin.c
	interp/interp.c interp/interpi.h interp/lex.c interp/more.c
	interp/yacc.h interp/yacc.y liflines/screen.c
	reports/exercise.ll stdlib/double.c stdlib/mystring.c
	stdlib/stdstrng.c stdlib/table.c:

	New report language commands: require, char_encoding.
	Revising string functions for UTF-8.
	Fix fatal bug in list code.

	* ChangeLog NEWS configure.in lifelines.spec gedlib/messages.c
	gedlib/node.c gedlib/translat.c hdrs/version.h
	liflines/import.c po/de.po po/el.po po/it.po po/sv.po
	win32/msvc6/llines/llines.rc:

	Fix fatal bug preventing import ("unsupported multibyte encoding...");
	Bumped to 3.0.16 for release.

2002-06-12 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/translat.c:

	Watch for iconv_open failing.

	* ChangeLog configure.in:

	Remove unused header check for libiintl.h (sic).

	* ChangeLog

	Prevent buffer overflow in yylex.

2002-06-11 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in gedlib/init.c gedlib/messages.c
	gedlib/node.c gedlib/translat.c hdrs/gedcom.h hdrs/llstdlib.h
	liflines/main.c liflines/screen.c stdlib/lloptions.c
	stdlib/path.c tools/dbverify.c win32/msvc6/llines/llines.rc
	win32/msvc6/llines/llinesprj.dsp:

	Capture user's most likely codeset at startup.
	Add 'Q' option on main menu to select a new database.

	* NEW: arch/langinfo.c hdrs/langinfz.h:

	Implementation of nl_langinfo for platforms lacking such.

	* ChangeLog liflines/askprogram.c
	win32/msvc6/libintl/libintlvc6.dsp:

	Fix possible char sign-extension problem in askprogram.c.

	Annotate some routines (with TODO) that must be fixed for UTF-8.

2002-06-10 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog hdrs/standard.h:

	Fix dir separator stuff for cygwin.

	* ChangeLog gedlib/charmaps.c gedlib/editmap.c gedlib/editvtab.c
	gedlib/gstrings.c gedlib/indiseq.c gedlib/init.c
	gedlib/keytonod.c gedlib/names.c gedlib/node.c
	gedlib/translat.c gedlib/valtable.c hdrs/gedcom.h
	hdrs/translat.h hdrs/version.h interp/builtin.c interp/rassa.c
	liflines/add.c liflines/browse.c liflines/edit.c
	liflines/export.c liflines/import.c liflines/merge.c
	liflines/miscutls.c liflines/newrecs.c liflines/pedigree.c
	liflines/screen.c liflines/show.c liflines/valgdcom.c po/el.po
	po/it.po win32/msvc6/llines/config.h
	win32/msvc6/llines/llines.rc:

	Implement iconv as an optional replacement for translation tables.
	Wrap each TRANTABLE structure in a TRANMAPPING.

	* ChangeLog gedlib/init.c gedlib/messages.c liflines/miscutls.c:

	Fix stats display in initial db list.

2002-06-09 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog NEWS README.LAYOUT configure.in lifelines.spec
	arch/scandir.c docs/ll-userguide.xml gedlib/indiseq.c
	gedlib/messages.c gedlib/translat.c gedlib/xreffile.c
	hdrs/llstdlib.h hdrs/standard.h hdrs/translat.h hdrs/version.h
	interp/builtin.c interp/interp.c liflines/add.c
	liflines/edit.c liflines/llinesi.h liflines/loadsave.c
	liflines/main.c liflines/newrecs.c liflines/pedigree.c
	liflines/screen.c po/POTFILES.in po/de.po po/el.po po/it.po
	po/sv.po stdlib/double.c tools/Makefile.am tools/dbverify.c
	win32/msvc6/dbverify/dbVerify.rc
	win32/msvc6/dbverify/dbverifyCmd.dsp
	win32/msvc6/libintl/libintlvc6.dsp win32/msvc6/llines/config.h
	win32/msvc6/llines/llines.rc win32/msvc6/llines/llinesprj.dsp:

	Fix handling of ? (list databases) when none found.
	Remove some carriage returns that I accidentally left in sources.
	Generalize in_list. Rename empty_list to is_empty_list.
	Remove locale display (it was collation only, and msg catalogs may
	be multiple, and can't be obtained from gettext anyway).
	I18nize dbverify.
	Fix unresolved reference string for plurals.
	Use setlocale(LC_MESSAGES if available.
	Fix MSVC projects to link to release or debug versions of iconv.
	Add more files to POTFILES, and update lifelines.pot.
	Bump version to 3.0.15 & release.

	* NEW: config.rpath:

	I guess this came from gettext-0.11.

2002-06-08 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog Makefile.am gedlib/init.c gedlib/messages.c
	hdrs/Makefile.am hdrs/gedcheck.h hdrs/gedcom.h hdrs/screen.h
	liflines/Makefile.am liflines/import.c liflines/llinesi.h
	liflines/main.c liflines/screen.c liflines/valgdcom.c
	m4/Makefile.am po/POTFILES.in po/de.po po/el.po po/it.po
	po/sv.po stdlib/double.c win32/msvc6/libintl/config.h
	win32/msvc6/libintl/libintlvc6.dsp win32/msvc6/llines/config.h
	win32/msvc6/llines/llines.rc win32/msvc6/llines/llinesprj.dsp
	NEW: hdrs/impfeed.h liflines/loadsave.c:

	Remove curses code from import.c via interface functions.
	Implement opening database from list at start.
	Put all the m4 files into EXTRA_DIST (otherwise make fails).

	* ChangeLog hdrs/standard.h liflines/add.c liflines/edit.c
	liflines/import.c liflines/loadsave.c liflines/newrecs.c
	po/Makevars po/de.po po/el.po po/it.po po/sv.po:

	Fix plural forms (must use ngettext directly, not macro).

	* ChangeLog README.LAYOUT docs/ll-userguide.xml gedlib/indiseq.c:

	Simplify locale handling in indiseq sorting.

2002-06-07 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog docs/ll-userguide.xml:

	Updating some screen drawings & discussion of config options.

	* ChangeLog liflines/screen.c:

	Cosmetic.

2002-06-06 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog arch/scandir.c btree/opnbtree.c gedlib/init.c
	gedlib/messages.c hdrs/gedcom.h hdrs/liflines.h
	hdrs/llstdlib.h liflines/askprogram.c liflines/main.c
	liflines/menuitem.c liflines/screen.c stdlib/path.c
	tools/btedit.c tools/dbverify.c win32/msvc6/llines/llines.rc:

	Fix several bugs in Win32 scandir in arch/scandir.c.
	Close databases even if opened in immutable.
	Add first cut at list of databases to opening prompt.
	Fix various bugs in opening & closing databases.

	* ChangeLog gedlib/init.c liflines/main.c liflines/menuitem.c:

	Cosmetic cleanup.

	* ChangeLog configure.in gedlib/messages.c gedlib/node.c
	hdrs/gedcom.h liflines/import.c liflines/main.c:

	Bugfix for import (UTF-8 BOM marker was causing import to fail).

2002-06-05 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog Makefile.am configure.in
	NEW: m4/Makefile.am m4/lib-ld.m4 m4/lib-link.m4 m4/lib-prefix.m4:

	More changes from gettextize/automake upgrade.

	* ChangeLog
	NEW: intl/eval-plural.h intl/gmo.h intl/localename.c
	NEW: intl/os2compat.c intl/os2compat.h intl/osdep.c
	NEW: intl/plural-exp.c intl/plural-exp.h:

	Check in new intl files from gettextize upgrade.

	* ChangeLog
	NEW: po/Makevars:

	Check in new file from gettextize upgrade.

	* ChangeLog
	NEW: po/Rules-quot po/boldquot.sed po/en@boldquot.header
	NEW: po/en@quot.header po/insert-header.sin po/quot.sed
	NEW: po/remove-potcdate.sin:

	Check in more new po files from gettextize upgrade.

	* ChangeLog liflines/menuitem.c po/de.po po/el.po po/it.po
	po/sv.po:

	Mark strings which look like printf specifiers but aren't, for gettext.
	Fill in unfilled headers in po files (so msgfmt won't error out).

2002-06-04  Marc Nozell  <marc@nozell.com>

	* Cleaned up Rafal's xml conversion of docs/lifelines.sgml.  Also
	broke it into docs/ll-reportmanual.xml and docs/ll-userguide.xml.
	Since not all platforms have the docbook toolchain, the PDF and
	HTML versions of those documents are checked in also.
    
2002-06-04 Perry Rapp <puddle@users.sourceforge.net>

	* ABOUT-NLS ChangeLog Makefile.am README.DEVELOPERS configure.in
	gedlib/charmaps.c intl/ChangeLog intl/Makefile.in intl/VERSION
	intl/bindtextdom.c intl/config.charset intl/dcgettext.c
	intl/dcigettext.c intl/dcngettext.c intl/dgettext.c
	intl/dngettext.c
	intl/gettext.c intl/gettextP.h intl/hash-string.h
	intl/intl-compat.c intl/l10nflist.c intl/libgnuintl.h
	intl/loadinfo.h intl/loadmsgcat.c intl/localcharset.c
	intl/locale.alias intl/localealias.c intl/ngettext.c
	intl/plural.c intl/plural.y intl/ref-add.sin intl/ref-del.sin
	intl/textdomain.c liflines/Makefile.am m4/codeset.m4
	m4/gettext.m4 m4/glibc21.m4 m4/iconv.m4 m4/isc-posix.m4
	m4/lcmessage.m4 m4/progtest.m4 po/ChangeLog po/Makefile.in.in
	tools/Makefile.am
	NEW: autogen.sh
	DELETED: acconfig.sh:

	Ran gettextize to upgrade included gettext from 0.10.40 to 0.11.2.
	Removed acconfig.h & ALL_LINGUAS in configure.in (as recommended by
	gettextize).
	Added autogen.sh wrapper for autotools invocations.

	* ChangeLog gedlib/charmaps.c liflines/lbrowse.c
	liflines/menuitem.c:

	Minor fixes to static initialization.

2002-06-04  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath.
	* configure.in (AC_OUTPUT): Add m4/Makefile.

2002-06-04 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog gedlib/charmaps.c

	Made tran_tables[] and map_keys[] ararys explicitly sized to
	NUM_TT_TABLES.  Will force a compiler error when NUM_TT_TABLES
	is increased and tran_tables/map_keys initialization isn't
	adjusted.

2002-06-04 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog liflines/lbrowse.c liflines/screen.c:

	Added shift-pagedown command to lists.
	Changed d=delete item to r=remove item in list browse.
	Added u=pageup, U=shpageup, d=pagedn, D=shpagedn to lists.
	Added ^ and $ marks to top & bottom items of lists.

	* ChangeLog gedlib/indiseq.c:

	Bugfix for crash if invalid reference begins with I.

2002-06-03 Perry Rapp <puddle@users.sourceforge.net>

	.linesrc ChangeLog lines.cfg gedlib/messages.c gedlib/node.c
	gedlib/refns.c gedlib/replace.c gedlib/spltjoin.c
	gedlib/valid.c hdrs/gedcom.h hdrs/liflines.h hdrs/standard.h
	hdrs/version.h liflines/add.c liflines/advedit.c
	liflines/browse.c liflines/edit.c liflines/import.c
	liflines/llinesi.h liflines/merge.c liflines/newrecs.c
	liflines/screen.c:

	Added feature: check for unresolved refn links after editing.
	Bugfix: S,E,X records ignored extra REFNs.
	Added ExpandRefnsDuringEdit option.

	* ChangeLog hdrs/menuitem.h liflines/lbrowse.c liflines/screen.c:

	Added shift-pageup command to lists.

2002-06-02 Perry Rapp <puddle@users.sourceforge.net>

	* .linesrc ChangeLog lines.cfg gedlib/messages.c interp/interp.c:

	Document debugger option in code & in config files.
	More i18n in interpreter.

 	* ChangeLog interp/alloc.c interp/interp.c:

	More i18n in interpreter.

	* ChangeLog interp/interp.c:

	Bugfix -- break was terminating entire proc enclosing families loop.

2002-05-30 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in arch/Makefile.am:

	arch/Makefile.am was missing include ../intl

	* ChangeLog win32/msvc/llines/llines.rc:

	Increase win32 version info to 3.0.14.

2002-05-28 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog lifelines/screen.h:

	Remove some of the extra draw code used to fight curses space bug.

	* gedlib/messages.c liflines/screen.c:

	i18n.

2002-05-27 Perry Rapp <puddle@users.sourceforge.net>

	Fixes & changes to win32 curses emulation.

	* ChangeLog NEWS configure.in lifelines.spec hdrs/version.h
	win32/msvc/llines/llines.rc:

	Building release 3.0.13.

	* configure.in po/LINGUAS po/de.po po/sv.po reports/Makefile.am

	Building release 2.0.13.
	(exercise.ll wasn't in reports/Makefile.am)

	* .linesrc ChangeLog lines.cfg

	Added ForceScreenErase to prototype config files.

	* ChangeLog hdrs/version.h liflines/screen.c
	win32/msvc6/llines/llines.rc:

	Bump version for 3.0.13-post.
	Erase popup windows when closing them, and redraw other windows.

2002-05-25 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog btree/opnbtree.c hdrs/menuitem.h liflines/lbrowse.c
	liflines/main.c liflines/menuitem.c liflines/screen.c
	win32/mycurses.c:

	Report & fail if errors initializing win32 curses.
	Fix Win32 curses emulation so alt-escapes work again.
	Support <enter> in list browse.
	Add ^ and $ as equivalents for home & end keys in lists.
	Add support for page & home/end keys in popup lists. 

2002-05-24 Perry Rapp <puddle@users.sourceforge.net>

 	* ChangeLog gedlib/messages.c:

	Improving comments for translators.

2002-05-22 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/messages.c liflines/valgdcom.c:

	More i18n.

	* ChangeLog hdrs/menuitem.h liflines/browse.c liflines/lbrowse.c
	liflines/main.c liflines/screen.c:

	Handle arrow & page up & down keys in lists.

	* ChangeLog hdrs/menuitem.h hdrs/version.h hdrs/win32/curses.h
	liflines/lbrowse.c liflines/screen.c win32/mycurses.c
	win32/msvc6/llines/llines.rc:

	Implement arrow, page, home/end keys in win32 curses emulation.
	Add support for home/end in list browse.

	* ChangeLog NEWS README.INTERNATIONAL:

	Documenting.

2002-05-13 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog btree/opnbtree.c gedlib/init.c gedlib/xreffile.c
	hdrs/gedcom.h hdrs/version.h liflines/browse.c
	win32/msvc6/llines/llines.rc:

	Fix for immutable (don't use r+ for keyfile, and don't save history).

2002-05-12 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog README.INTERNATIONAL:

	Noted that lifelines has been submitted to Free Translation Project.

	* ChangeLog liflines/scan.c:

	Sort results of search.

2002-05-11 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/init.c:

	Add new environment variable LLCONFIGFILE to set path
	for config file.

2002-05-10 Perry Rapp <puddle@users.sourceforge.net>

	* .linesrc ChangeLog lines.cfg gedlib/init.c hdrs/win32/curses.h
	liflines/screen.c win32/mycurses.c
	win32/msvc6/llines/llines.rc win32/msvc6/llines/llinesprj.dsp:

	New ForceScreenErase option for systems with ncurses
	repaint problems.
	New wnoutrefresh & dooutput functions in win32/mycurses.c.
	New GuiOutputCharset option to init gettext/libintl output.

2002-05-05 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog Makefile.am NEWS configure.in lifelines.spec 
	docs/Makefile.am hdrs/version.h po/de.po po/sv.po 
	stdlib/signals.c:

	Fixed build system to always process docs subdir (so make dist works).
	Restored llines.1 to rpm spec file.
	Bumped version to 3.0.12 (to release with docs, to replace 3.0.11).
	Removed extra semicolon in signals.c.
	Added llines.1 to docs/Makefile.am (so rpm construct finds it).
	Updated obsolete reference in lifelines.spec to ANNOUNCEMENT to NEWS.

 	* ChangeLog hdrs/version.h win32/msvc6/btedit/btedit.rc 
 	win32/msvc6/dbverify/dbVerify.rc win32/msvc6/llines/llines.rc:

	Updated win32 resource version numbers. Bumped code version
	to 3.0.12post.

 	* ChangeLog README.INTERNATIONAL gedlib/messages.c:

	Added comments in messages.c. Removed trailing comments (they come
	out in wrong place in po file).

2002-05-01 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in lifelines.spec
	docs/Install.LifeLines.Windows.txt hdrs/version.h
	win32/msvc6/btedit/btedit.rc win32/msvc6/dbverify/dbVerify.rc
	win32/msvc6/llines/llines.rc win32/msvc6/llines/llinesprj.dsp:

	Updated MSVC6 llines project to include iconv static library.
	Updated Windows install summary to mention translations.
	Removed llines.1 from rpm spec (as it causes it to fail).
	Released 3.0.11.

2002-04-29 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog po/sv.po:

	Updated Swedish message file.

2002-04-28 Perry Rapp <puddle@users.sourceforge.net>

	* config.h
	NEW: libintlvc6.dsp libintlvc6.dsw
	DELETED: msvc6lib.dsp msvc6lib.dsw:

	Updated project files for libintl under MSVC, and added use of iconv.

2002-04-27 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/editmap.c gedlib/editvtab.c gedlib/gstrings.c
	gedlib/messages.c gedlib/node.c gedlib/remove.c gedlib/valid.c
	interp/interp.c interp/rassa.c liflines/add.c
	liflines/askprogram.c liflines/browse.c liflines/delete.c
	liflines/edit.c liflines/import.c liflines/lbrowse.c
	liflines/merge.c liflines/newrecs.c liflines/screen.c
	liflines/show.c liflines/swap.c liflines/tandem.c
	stdlib/lloptions.c:

	More i18n.

	* ChangeLog po/de.po po/sv.po:

	Propagating new i18n'd strings into de & sv translations.

	* ChangeLog gedlib/charmaps.c gedlib/editmap.c gedlib/editvtab.c
	gedlib/gstrings.c gedlib/messages.c gedlib/node.c
	gedlib/valid.c interp/interp.c liflines/browse.c
	liflines/import.c liflines/main.c liflines/menuitem.c
	liflines/miscutls.c liflines/screen.c liflines/show.c
	stdlib/signals.c tools/dbverify.c:

	More i18n.

	* ChangeLog liflines/merge.c liflines/screen.c stdlib/signals.c:

	Pass 3 overlooked string constants to gettext.

	* ChangeLog po/POTFILES.in po/de.po po/it.po po/sv.po:

	Propagating new i18n'd strings into de & it & sv.po translations.

2002-04-25 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog interp/interp.c:

	Bugfix for traverse (it was continuing to siblings at top lvl).

	* ChangeLog gedlib/editmap.c gedlib/messages.c liflines/add.c
	liflines/ask.c liflines/merge.c liflines/newrecs.c
	liflines/screen.c liflines/show.c:

	More 18n.

2002-04-24 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog README.INTERNATIONAL po/de.po po/sv.po:

	Propagating new i18n'd strings into de & sv translations.
	Added url to Translation Project to README.INTERNATIONAL.

	* ChangeLog gedlib/choose.c gedlib/editmap.c gedlib/messages.c
	hdrs/feedback.h interp/builtin.c interp/date.c interp/more.c
	liflines/add.c liflines/ask.c liflines/browse.c
	liflines/delete.c liflines/edit.c liflines/export.c
	liflines/import.c liflines/lbrowse.c liflines/main.c
	liflines/merge.c liflines/newrecs.c liflines/scan.c
	liflines/screen.c liflines/show.c liflines/swap.c
	liflines/tandem.c:

	More i18n. Simplifying by calling gettext directly on string
	constant, and marking string constants with qS prefix.

2002-04-21 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/choose.c gedlib/messages.c hdrs/feedback.h
	liflines/ask.c liflines/delete.c liflines/edit.c
	liflines/export.c liflines/import.c liflines/newrecs.c
	liflines/scan.c liflines/screen.c liflines/swap.c
	liflines/tandem.c:

	More i18n.

	* ChangeLog po/de.po po/sv.po:

	Update po files for new i18n.

2002-04-20 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog po/sv.po:

	Bugfixes to Swedish translation.

2002-04-07 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in gedlib/charmaps.c gedlib/gstrings.c
	gedlib/translat.c hdrs/gedcom.h hdrs/menuitem.h
	hdrs/translat.h liflines/main.c liflines/menuitem.c po/LINGUAS
	tools/Makefile.am
	NEW: po/de.po:

	Set crashlog file before initializing menus, so menuitem conflicts
	will be logged. Revised menuitem to continue if menuitem conflict.
	New German translation.
	Fix tran_tables to be correct size.

2002-03-04 Perry Rapp <puddle@users.sourceforge.net>

	Update to Swedish translation.

2002-03-03 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog INSTALL Makefile.am README.DEVELOPERS configure.in
	arch/scandir.c btree/Makefile.am btree/opnbtree.c
	btree/record.c gedlib/Makefile.am gedlib/indiseq.c
	gedlib/translat.c hdrs/arch.h hdrs/llstdlib.h hdrs/standard.h
	interp/Makefile.am interp/symtab.c interp/yacc.h
	liflines/Makefile.am liflines/ask.c liflines/error.c
	liflines/main.c liflines/menuitem.c liflines/screen.c
	stdlib/Makefile.am stdlib/environ.c stdlib/memalloc.c
	stdlib/mystring.c stdlib/signals.c tools/Makefile.am
	win32/msvc6/llines/llines.rc win32/msvc6/llines/llinesprj.dsp
	NEW: m4/README m4/codeset.m4 m4/gettext.m4 m4/glibc21.m4
	NEW: m4/iconv.m4 m4/isc-posix.m4 m4/lcmessage.m4 m4/progtest.m4:

	Add gettext m4 files as new m4 subdirectory.
	Revise arch.h to not include config.h.
	Add comments to top of llstdlib.h.
	Revise README.DEVELOPERS to explain procedure for developers
	without gettext & iconv.
	Fix gcc uninit warnings for menuitem.c static initializers.

2002-02-27 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog README.INTERNATIONAL gedlib/messages.c
	liflines/delete.c liflines/edit.c liflines/newrecs.c
	liflines/screen.c po/sv.po:

	More i18n.

2002-02-26 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog po/sv.po
	NEW: README.INTERNATIONAL:

	New readme for l10n issues & update to Swedish version.

2002-02-25 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/messages.c interp/date.c liflines/screen.c
	po/sv.po:

	i18n short form of may, translation tables. Updated Swedish po.

2002-02-24 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog liflines/screen.c:

	Cleanup compiler warnings.

	* .linesrc ChangeLog configure.in lines.cfg gedlib/messages.c
	gedlib/translat.c hdrs/gedcom.h hdrs/llstdlib.h
	liflines/main.c liflines/screen.c po/LINGUAS po/it.po
	reports/exercise.ll stdlib/stdstrng.c tools/dbverify.c
	win32/msvc6/llines/config.h win32/msvc6/llines/llines.rc
	NEW: po/sv.po:

	Finish i18n main menu. Split locale options into collate
	& messages (eg, UiLocaleMessages). Add Swedish msg catalog.

	* ChangeLog gedlib/messages.c liflines/ask.c liflines/scan.c
	liflines/screen.c
	NEW: po/el.po:

	i18n utility, extra, & scan menus.

	* ChangeLog btree/record.c:

	Add more sanity checking when altering an db block.

2002-02-23 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog Makefile.am configure.in arch/alphasort.c
	arch/scandir.c gedlib/indiseq.c gedlib/property.c
	gedlib/translat.c hdrs/menuitem.h hdrs/standard.h
	liflines/Makefile.am liflines/main.c liflines/menuitem.c
	liflines/screen.c tools/Makefile.am
	win32/msvc6/llines/llines.rc win32/msvc6/llines/llinesprj.dsp
	NEW: intl/* intl/hdr/libintl.h po/* win32/libintl/*:

	Implemented gettext-0.10.40 (new intl/ & po/).
	Added win32/msvc6/libintl project. Added it.po as test
	file (not real data).

	* ChangeLog README.DEVELOPERS gedlib/editmap.c gedlib/messages.c
	interp/date.c liflines/add.c liflines/ask.c liflines/browse.c
	liflines/delete.c liflines/edit.c liflines/main.c
	liflines/merge.c liflines/newrecs.c liflines/screen.c
	liflines/show.c liflines/swap.c po/POTFILES.in po/it.po
	NEW: ABOUT_NLS

	More i18n.

2002-02-21 Perry Rapp <puddle@users.sourceforge.net>

	* gedlib/indiseq.c hdrs/interp.h interp/interp.c
	interp/pvalmath.c:

	Cleanup compiler warnings.

2002-02-20 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/indiseq.c hdrs/indiseq.h interp/intrpseq.c
	win32/msvc6/llines/llines.rc:

	Fix valuesort for indiseqs to correctly handle the fact that
	there are various types of pvalues.

2002-02-18 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/indiseq.c gedlib/intrface.c hdrs/Makefile.am
	hdrs/interp.h hdrs/llstdlib.h interp/Makefile.am
	interp/builtin.c interp/date.c interp/eval.c interp/interp.c
	interp/intrpseq.c interp/more.c interp/pvalue.c interp/rassa.c
	liflines/Makefile.am liflines/browse.c liflines/main.c
	liflines/screen.c liflines/show.c stdlib/double.c
	win32/msvc6/llines/llinesprj.dsp
	NEW: hdrs/date.h:

	Moved date function declarations out of interp.h into new
	date.h. Changed some calls to prog_error to new prog_var_error.

2002-02-17 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/names.c hdrs/interp.h hdrs/llstdlib.h
	hdrs/mystring.h hdrs/screen.h hdrs/table.h interp/Makefile.am
	interp/alloc.c interp/builtin.c interp/date.c interp/eval.c
	interp/heapused.c interp/interp.c interp/intrpseq.c
	interp/more.c interp/pvalue.c interp/rassa.c interp/yacc.y
	liflines/browse.c liflines/main.c liflines/screen.c
	reports/exercise.ll stdlib/mystring.c stdlib/stdstrng.c
	stdlib/table.c win32/mycurses.c win32/msvc6/llines/llines.rc
	win32/msvc6/llines/llinesprj.dsp:

	Adding functions create_pvalue_from_int etc to remove casts.
	Workaround compiler warning in win32/mycurses.c (for long->char).
	Revised more report functions to use shared error strings
	(nonnod1 etc).
	Spun off pvalmath.c & symtab.c from pvalue.c.
	Began to build debugger for report program errors.

2002-02-16 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog NEWS gedlib/messages.c gedlib/translat.c
	hdrs/interp.h interp/alloc.c interp/builtin.c interp/interp.c
	interp/more.c interp/pvalue.c liflines/main.c
	liflines/screen.c tools/dbverify.c:

	Fix extractnames to handle missing name (& to set all
	variables if empty name). Modify value conversion to 
	convert implicitly from record to (root) node. Improved
	comments in coerce_pvalue.
	Add interpreter locale reload for common error functions.
	Bugfix for dbused crash if user didn't specify database
	(in main.c).
	Bugfix for status msg getting lost when report finished.

2002-02-15 Perry Rapp <puddle@users.sourceforge.net>

	.linesrc ChangeLog lines.cfg gedlib/gedcom.c gedlib/indiseq.c
	gedlib/messages.c gedlib/node.c gedlib/valid.c hdrs/indiseq.h
	interp/builtin.c liflines/lbrowse.c liflines/main.c
	liflines/screen.c liflines/valgdcom.c tools/dbverify.c
	win32/msvc6/llines/llines.rc:

	Allow nameless persons. Change indiseqs to not precompute names.
	Bugfix for dbrequested getting lost when creating new db.
	New option RequireNames to give legacy behavior.

	* ChangeLog interp/builtin.c:

	Bugfix for _dateformat (it wasn't allowing 12,13,14 formats).

2002-02-14 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog hdrs/screen.h liflines/screen.c:

	Change a bunch of windows to file locals in screen.c.

2002-02-13 Perry Rapp <puddle@users.sourceforge.net>

	* liflines/ask.c liflines/browse.c:

	Remove spurious carriage returns.

	* ChangeLog interp/date.c liflines/main.c liflines/valgdcom.c
	stdlib/path.c:

	Fix some more potential sign-extensions of chars.

2002-02-11 Perry Rapp <puddle@users.sourceforge.net>

	* gedlib/messages.c liflines/ask.c liflines/browse.c:

	Bugfix so browsing to invalid family doesn't crash.

2002-02-10 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/messages.c gedlib/translat.c hdrs/llstdlib.h
	hdrs/translat.h liflines/main.c liflines/screen.c
	stdlib/stdstrng.c tools/dbverify.c
	win32/msvc6/llines/llinesprj.dsp:

	Drive ui & report locales off user variables.
	Capture locale at startup for fallback (if user-specified
	value invalid).
	Fix translat.c to include config.h.

	* ChangeLog gedlib/indiseq.c gedlib/init.c hdrs/indiseq.h
	liflines/main.c liflines/screen.c win32/msvc6/llines/llines.rc:

	Bugfixes for dual locale operation. Fix namesort & valuesort to
	detect if sorted in wrong locale.

2002-02-08 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in lifelines.spec docs/llines.1
	hdrs/version.h:

	Set version 3.0.10 for making dist. Add llines.1 to rpm spec.

	* interp/builtin.c:

	Bugfix: because date.year is structure now instead of int.

	* lifelines.spec:

	Bugfix: tinytafel2 being installed as tree.tex in rpm.

	* gedlib/indiseq.c gedlib/messages.c:

	Fix sort of mixed items to be in canonical key order (eg, S1,S2,E1,E2).
	Change "among these persons" to "among these records".

2002-02-07 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/indiseq.c:

	Fix name_sort to handle null names, for when hit lists include
	non-indis (and in future indis without names). Fixes "crash when
	cross-referencing from indi to duplicated REFNs in non-indi
	records" bug.

2002-02-04 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog interp/lex.c tools/Makefile.am:

	Allow periods inside variable names. Fix sign-extension in inchar.
	Fix copy&paste typo in dbverify build line in makefile.

2002-02-03 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog hdrs/version.h hdrs/win32/curses.h interp/date.c
	liflines/screen.c stdlib/stdstrng.c win32/mycurses.c:

	Bugfix for sprintpic3. Recognize dates with two numbers as day,year
	if legal day, or as year,day if legal day. Bugfix for graphic chars
	in screen.c (need to be chtype, not char). Fix win32 curses
	emulation to use chtype where appropriate (instead of char).

	* hdrs/interp.h interp/builtin.c interp/date.c
	reports/exercise.ll:

	Modify date parser to recognize slash & hyphen dates. Modify date
	structure for compound numbers for these. Add corresponding tests
	to exercise.ll.

	* ChangeLog liflines/Makefile.am:

	Move last three C sources into alphabetized order.

	* ChangeLog interp/date.c reports/exercise.ll:

	Fix date parser to require whitespace before compound numbers,
	so 1930-11-24 is recognized as three different numbers.

2002-01-31 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog INSTALL hdrs/interp.h hdrs/screen.h
	hdrs/win32/curses.h interp/builtin.c interp/date.c
	liflines/main.c liflines/screen.c tools/dbverify.c win32/mycurses.c:

	Fix __year & __extractdatestr to return 0 for unknown 0, rather
	than -99999. Add -z option to not use curses graphics. Fix dbverify.c
	with workaround for gcc 3.0.3 bug.


2002-01-27 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog liflines/screen.c:

	Fix list browse overwriting right-hand box line.

	* ChangeLog Makefile.am configure.in hdrs/Makefile.am
	hdrs/version.h
	NEW: hdrs/win32/Makefile.am win32/Makefile.am
	win32/msvc6/Makefile.am:

	Add files in hdrs/win32 & win32 & win32 subdirs to dist.
	Bump version to 3.0.9 (for a new distribution).

2002-01-25 Perry Rapp <puddle@users.sourceforge.net>

	* .linesrc ChangeLog lines.cfg gedlib/property.c
	NEW: docs/llines.1:

	Revised my ChangeLog entries for added files to say *NEW (for
	greppability). Added minimal man page. Made all config variables
	available from the report language getproperty command.

2002-01-24 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/messages.c hdrs/menuitem.h hdrs/screen.h
	liflines/menuitem.c liflines/screen.c:

	Removed choice letters in menuitems (they are all in display
	strings). Removed hardcoded "q" & "?" treatment. Moved screen
	defines to menuitem.h & removed screen.h from menuitem.c.
	Bugfix: delete the dynamically created curses popup list window.

	* ChangeLog liflines/screen.c:

	Bugfix: was skipping last line in lower tandem person window.

	* ChangeLog gedlib/messages.c liflines/menuitem.c:

	Gettextify menuitem.c.

	* ChangeLog hdrs/mystring.h hdrs/screen.h liflines/export.c
	liflines/import.c liflines/llinesi.h liflines/main.c
	liflines/screen.c liflines/show.c liflines/valgdcom.c
	stdlib/mystring.c stdlib/stdstrng.c:

	Fixes to mystring.c to handle incorrect sign-extensions.
	Jiggled header orders to make gcc happy about declaration of LLRECT.

2002-01-23 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog stdlib/stdstrng.c:

	Fixed sprintpic family to handle null args (occur with partial dates).

	* ChangeLog hdrs/screen.h hdrs/win32/curses.h liflines/screen.c
	liflines/show.c win32/mycurses.c:

	Added delwin to win32 curses. Revised list show routines to get closer
	to being able to use for full-screen list. Added digits to short lists.
	Switched to creating & deleting popup list curses window on-the-fly.

2002-01-22 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog hdrs/screen.h liflines/export.c liflines/llinesi.h
	liflines/pedigree.c liflines/screen.c liflines/show.c:

	Introduced LLRECT type into screen etc (to reduce #args).
	Removed assumption that display starts on col==1 from some of
	indi displays.

2002-01-21 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog liflines/screen.c:

	Bugfix for menus not being repainted if user
	presses illegal key.

2002-01-19 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog configure.in hdrs/version.h interp/interp.c
	liflines/pedigree.c stdlib/mystring.c:

	Fix infinite loop in !t mode (fix llstrncpy).
	Fix !t mode to handle long lines (make buffer MAXLINELEN
	in add_dnodes in pedigree.c). Change version to 3.0.8.

	* win32/msvc6/*

	Added project files for MSVC6 (Microsoft Visual C++).


2002-01-18 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog hdrs/gedcheck.h

	Change CHAR typedef from char to unsigned char.  Remove check 
	for elem->type >= 0 in KNOWNTYPE macro since this is always
	true for unsigned chars.

2002-01-18 Matt Emmerton <memmerto@users.sourceforge.net>

	* ChangeLog hdrs/interp.h interp/pvalue.c

	Change ptag.type from 'char' to 'unsigned char'.  Remove check
	for pvalue->type >= 0 since this is always true for
	unsigned chars.

2002-01-18 Perry Rapp <puddle@users.sourceforge.net>

	* ChangeLog gedlib/messages.c interp/interp.c interp/rassa.c
	stdlib/lloptions.c stdlib/path.c:

	Fix bug in copy_process. Make interpreter report cancel or file
	error in output file, and not do traceback. Allow trailing
	slash in LLDATABASES paths.

	* ChangeLog interp/pvalue.c:

	Fix bug in pvalue.c (attempted check for self-assignment
	was too broad).

